/*
 * Ifx_Cfg_Pwm.C
 *
 *  Created on: 28.08.2013
 *
 */


#include "Ifx_Cfg_Pwm.h"


const IfxGtmTom_Ch      		Ifx_Cfg_timerCh   = IfxGtmTom_Ch_0;
const IfxGtmTom_ToutMapP       	Ifx_Cfg_triggerCh   = &IfxGtm_TOM1_7_TOUT17_P00_8; /* legt ausgangspins fest */
const IfxGtmTom_ToutMapP      	Ifx_Cfg_ccxCh[3]   = {
		&IfxGtm_TOM1_2_TOUT12_P00_3,
		&IfxGtm_TOM1_4_TOUT14_P00_5,
		&IfxGtm_TOM1_6_TOUT16_P00_7
};
const IfxGtmTom_ToutMapP      	Ifx_Cfg_coutxCh[3] = {
		&IfxGtm_TOM1_1_TOUT11_P00_2,
		&IfxGtm_TOM1_3_TOUT13_P00_4,
		&IfxGtm_TOM1_5_TOUT15_P00_6,
};


const AppPwmDriver_cfg_3ChPwm cfg_Pwm_3Phase = {
		.usedUnit	= AppPwmDriver_Unit_Gtm_Tom1,
		.pwmTimer =
		{
			.frequency = 20000,
			.isrPriority = 0,
			.isrProvider = IfxSrc_Tos_cpu0,
			.minResolution = 0.1e-6,
			.trigger =
			{
				.enabled  = TRUE,
				.dutyCycle = 0.5,
				.isrPriority = 0,
				.isrProvider = IfxSrc_Tos_cpu0,
				.outputFeature = 0,
				.outputOption = 0,       							/**< \brief Output option */
			    .outputMode = IfxPort_OutputMode_pushPull,          /**< \brief Output mode *//* FIXME use generic type (No specific tricore AURIX type ) */
			    .outputDriver = IfxPort_PadDriver_cmosAutomotiveSpeed2,        /**< \brief Output pad driver *//* FIXME use generic type (No specific tricore AURIX type ) */
			    .risingEdgeAtPeriod = FALSE,  /**< \brief Set the clock signal polarity, if TRUE, the rising edge is at the period, else at the trigger offset. When the timer is stopped, the output is set to high */
			    .outputEnabled = TRUE,
			},
			.countDir = Timer_CountDir_up,

		},
		.pwmCh = {
			.timer = NULL_PTR,
			.deadtime	= 1.0e-6,
			.minPulse	= 0,
			.channelCount = 3,
			.emergencyEnabled = FALSE,
			.outputMode	= IfxPort_OutputMode_pushPull,
			.outputDriver = IfxPort_PadDriver_cmosAutomotiveSpeed1,
			.ccxActiveState = ActiveState_low,
			.ccxFeature = NULL_PTR,
			.ccxOption =  NULL_PTR,
			.coutxActiveState = ActiveState_high,
			.coutxFeature = NULL_PTR,
			.coutxOption = NULL_PTR
		},
		.timerChannelSel = &Ifx_Cfg_timerCh,
		.triggerChannelSel = &IfxGtm_TOM1_7_TOUT17_P00_8,
		.PwmCcxChannelSel = Ifx_Cfg_ccxCh,
		.PwmCoutxChannelSel = Ifx_Cfg_coutxCh

};
