/*
 * AppPwmDriver.h
 *
 *  Created on: 28.08.2013
 *
 */

#ifndef APPPWMDRIVER_H_
#define APPPWMDRIVER_H_


#include "0_Src/4_McHal/Tricore/_PinMap/IfxGtm_PinMap.h"
#include "Gtm/Tom/PwmHL/IfxGtmTom_PwmHl.h"


typedef enum
{
	AppPwmDriver_Unit_Gtm_Tom0 = 0,
	AppPwmDriver_Unit_Gtm_Tom1,
	AppPwmDriver_Unit_Gtm_Atom0,
	AppPwmDriver_Unit_Gtm_Atom1,
	AppPwmDriver_Unit_Gtm_Atom2,
	AppPwmDriver_Unit_Gtm_Atom3,
	AppPwmDriver_Unit_Ccu6,
	AppPwmDriver_Unit_count
}AppPwmDriver_Unit;

typedef struct
{
	AppPwmDriver_Unit 	usedUnit;
	Timer_Config		pwmTimer;
	PwmHl_Config		pwmCh;
	const void				*timerChannelSel;
	const void				*triggerChannelSel;
	const void				*PwmCcxChannelSel;
	const void				*PwmCoutxChannelSel;
}AppPwmDriver_cfg_3ChPwm;



typedef struct
{
	IfxGtmTom_Timer	tmr;
	IfxGtmTom_PwmHl ch;
}AppPwmDriver_3ChPwm;


void AppPwmDriver_init(void);
AppPwmDriver_3ChPwm* AppPwmDriver_get3ChannelPwm(void);
void AppPwmDriver_update3ChannelPwm(AppPwmDriver_3ChPwm *pwm, TimerVal *tOn, TimerVal adcTon);

IFX_INLINE TimerVal AppPwmDriver_getPeriod(AppPwmDriver_3ChPwm *pwm)
{
	return(pwm->tmr.base.period);
}

#endif /* APPPWMDRIVER_H_ */



