/*
 * Dma_Daisy_Chain.c

 *
 *  Created on: 01.12.2015
 *      Author: uacqk
 */


#include "Dma_Daisy_Chain.h"


void init_DMA_Daisy_Chain(Dma_Daisy_Chain_config* dma_Cfg) {
    Ifx_DMA  *dmaSFR  = &MODULE_DMA;

    static IfxDma_Dma               dma;
    IfxDma_Dma_createModuleHandle(&dma, dmaSFR);
    static IfxDma_Dma_ChannelConfig* dmaChannelCfg;

    // configure channel N

    dmaChannelCfg= &dma_Cfg->tx_channel_config[0];

    IfxDma_Dma_initChannelConfig(&dma_Cfg->tx_channel_config[0], &dma);


    dma_Cfg->dma_Ch_handle[0].channelId = IfxDma_ChannelId_5 ;
    dmaChannelCfg->channelId               = dma_Cfg->dma_Ch_handle[0].channelId;
    dmaChannelCfg->hardwareRequestEnabled  = TRUE; // will be triggered from FFT service request
    dmaChannelCfg->channelInterruptEnabled = TRUE;  // trigger interrupt after transaction

    // source address and transfer count will be configured during runtime
    dmaChannelCfg->sourceAddress               = dma_Cfg->source_addr[0];
    dmaChannelCfg->shadowAddress			= dma_Cfg->source_addr[0];
    dmaChannelCfg->sourceAddressCircularRange  = IfxDma_ChannelIncrementCircular_128;
    dmaChannelCfg->sourceCircularBufferEnabled = TRUE;
    dmaChannelCfg->transferCount               = 0;
    dmaChannelCfg->moveSize                    = IfxDma_ChannelMoveSize_32bit;
    dmaChannelCfg->sourceAddressIncrementDirection = IfxDma_ChannelIncrementDirection_positive;

    // destination address is fixed; use circular mode to stay at this address for each move
    dmaChannelCfg->destinationAddress               = dma_Cfg->dest_addr[0] ;
    dmaChannelCfg->destinationAddressCircularRange  = IfxDma_ChannelIncrementCircular_1;
    dmaChannelCfg->destinationCircularBufferEnabled = TRUE;

    dmaChannelCfg->requestMode                      = IfxDma_ChannelRequestMode_oneTransferPerRequest;
    dmaChannelCfg->operationMode                    = IfxDma_ChannelOperationMode_continuous;
    dmaChannelCfg->blockMode                        = IfxDma_ChannelMove_1;

    dmaChannelCfg->requestSource = IfxDma_ChannelRequestSource_daisyChain ;
    //dmaChannelCfg->shadowControl = IfxDma_ChannelShadow_src ;

    IfxDma_Dma_initChannel(&dma_Cfg->dma_Ch_handle[0], dmaChannelCfg);

    // configure channel N - 1

    dmaChannelCfg= &dma_Cfg->tx_channel_config[1];

    IfxDma_Dma_initChannelConfig(&dma_Cfg->tx_channel_config[1], &dma);


    dma_Cfg->dma_Ch_handle[1].channelId = IfxDma_ChannelId_4 ;
    dmaChannelCfg->channelId               = dma_Cfg->dma_Ch_handle[1].channelId;
    dmaChannelCfg->hardwareRequestEnabled  = FALSE; // will be triggered from FFT service request
    dmaChannelCfg->channelInterruptEnabled = TRUE;  // trigger interrupt after transaction

    // source address and transfer count will be configured during runtime
    dmaChannelCfg->sourceAddress               =dma_Cfg->source_addr[1];
    dmaChannelCfg->sourceAddressCircularRange  = IfxDma_ChannelIncrementCircular_128;
    dmaChannelCfg->sourceCircularBufferEnabled = TRUE;
    dmaChannelCfg->transferCount               = 0;
    dmaChannelCfg->moveSize                    = IfxDma_ChannelMoveSize_32bit;
    dmaChannelCfg->sourceAddressIncrementDirection =IfxDma_ChannelIncrementDirection_positive;

    // destination address is fixed; use circular mode to stay at this address for each move
    dmaChannelCfg->destinationAddress               = dma_Cfg->dest_addr[1] ;
    dmaChannelCfg->destinationAddressCircularRange  = IfxDma_ChannelIncrementCircular_1;
    dmaChannelCfg->destinationCircularBufferEnabled = TRUE;

    dmaChannelCfg->requestMode                      = IfxDma_ChannelRequestMode_oneTransferPerRequest;
    dmaChannelCfg->operationMode                    = IfxDma_ChannelOperationMode_continuous;
    dmaChannelCfg->blockMode                        = IfxDma_ChannelMove_1;

    dmaChannelCfg->requestSource = IfxDma_ChannelRequestSource_daisyChain ;
    //dmaChannelCfg->shadowControl = IfxDma_ChannelShadow_src ;

    IfxDma_Dma_initChannel(&dma_Cfg->dma_Ch_handle[1], dmaChannelCfg);



    // configure channel N - 2

    dmaChannelCfg= &dma_Cfg->tx_channel_config[2];

    IfxDma_Dma_initChannelConfig(&dma_Cfg->tx_channel_config[2], &dma);


    dma_Cfg->dma_Ch_handle[2].channelId = IfxDma_ChannelId_3 ;
    dmaChannelCfg->channelId               = dma_Cfg->dma_Ch_handle[2].channelId;
    dmaChannelCfg->hardwareRequestEnabled  = FALSE; // will be triggered from FFT service request
    dmaChannelCfg->channelInterruptEnabled = TRUE;  // trigger interrupt after transaction

    // source address and transfer count will be configured during runtime
    dmaChannelCfg->sourceAddress               =dma_Cfg->source_addr[2];
    dmaChannelCfg->sourceAddressCircularRange  = IfxDma_ChannelIncrementCircular_128;
    dmaChannelCfg->sourceCircularBufferEnabled = TRUE;
    dmaChannelCfg->transferCount               = 0;
    dmaChannelCfg->moveSize                    = IfxDma_ChannelMoveSize_32bit;
    dmaChannelCfg->sourceAddressIncrementDirection =IfxDma_ChannelIncrementDirection_positive;

    // destination address is fixed; use circular mode to stay at this address for each move
    dmaChannelCfg->destinationAddress               = dma_Cfg->dest_addr[2] ;
    dmaChannelCfg->destinationAddressCircularRange  = IfxDma_ChannelIncrementCircular_1;
    dmaChannelCfg->destinationCircularBufferEnabled = TRUE;

    dmaChannelCfg->requestMode                      = IfxDma_ChannelRequestMode_oneTransferPerRequest;
    dmaChannelCfg->operationMode                    = IfxDma_ChannelOperationMode_continuous;
    dmaChannelCfg->blockMode                        = IfxDma_ChannelMove_1;

    dmaChannelCfg->requestSource = IfxDma_ChannelRequestSource_peripheral ;
   // dmaChannelCfg->shadowControl = IfxDma_ChannelShadow_src ;

    IfxDma_Dma_initChannel(&dma_Cfg->dma_Ch_handle[2], dmaChannelCfg);






    // enable interrupt for last chain element
   // volatile Ifx_SRC_SRCR *src = IfxDma_getSrcPointer(dmaSFR, IfxDma_ChannelId_3 );
   // IfxSrc_init(src, (IfxSrc_Tos)IfxCpu_getCoreId(), dma_Cfg->last_element_prio);
   // IfxSrc_enable(src);





}

void dma_Daisy_chain_Transaction_test(){
	Ifx_DMA               *dmaSFR         = &MODULE_DMA;
    IfxDma_startChannelTransaction(dmaSFR, IfxDma_ChannelId_5);


}
void dma_daisy_chain_reset() {
	Ifx_DMA               *dmaSFR         = &MODULE_DMA;

	IfxDma_resetChannel(dmaSFR, IfxDma_ChannelId_5);
	IfxDma_resetChannel(dmaSFR, IfxDma_ChannelId_4);
	IfxDma_resetChannel(dmaSFR, IfxDma_ChannelId_3);
}

void dma_daisy_chain_halt_and_reset(uint32* addr,IfxDma_Dma_Channel *channel, boolean enabled) {
	Ifx_DMA               *dma         = &MODULE_DMA;


    {
        Ifx_DMA_TSR tsr;
        tsr.U = 0;

        if (enabled)
        {
            tsr.B.ECH = 1;
        }
        else
        {
            tsr.B.DCH = 1;
        }

        dma->TSR[channel->channelId].U = tsr.U;
    }


}

void dma_daisy_chain_set_source_addr(uint32* addr,IfxDma_ChannelId id) {
	Ifx_DMA               *dmaSFR         = &MODULE_DMA;
	IfxDma_setChannelSourceAddress(dmaSFR, id, addr);

}




