
/**
 * GPIO_driver.h


 *
 *  Created on: 19.11.2015
 *      Author: uacqk
 *
 *	@file GPIO_driver.h
 *	@brief initialize pins for GPIO Use
 *  @ingroup interfaces
 */

#ifndef APPLICATION_GPIO_DRIVER_H_
#define APPLICATION_GPIO_DRIVER_H_

#include "_Reg/IfxPort_regdef.h"
#include "Cpu/Std/Platform_types.h"
#include "_Reg/IfxPort_reg.h"

/**
 * @brief define Port number and Pin number
 */
typedef struct {
	Ifx_P *port;
	uint16 pin;
}GPIO_config;


void initGpio(GPIO_config* conf);
void set_GPIO(GPIO_config* conf);
void clear_GPIO(GPIO_config* conf);
void toggle_GPIO(GPIO_config* conf);
void set_IO_start();

#endif /* 0_SRC_0_APPSW_TRICORE_APPLICATION_GPIO_DRIVER_H_ */
