/*
 * RS232_Interface.c


 *	a simple communication device for debug purposes
 *  Created on: 04.11.2015
 *      Author: Simon Bischof
 */

#include <0_Src/0_AppSw/Tricore/Application/RS232_Interface.h>


 void init_uart_poll(int baudrate)
{
	unsigned int numerator;
	unsigned int denominator;
	static uint16 endinitSfty_pw;
	static uint32 Test;





	const uint32 output_alternate_fcn_2_push_pull = 0x12 ;

	//	/* ARX0A/P14.1 (RXD), ATX0/P14.0 (TXD) */
	// Alternativ fr USB Anschluss
   /* verwende P02.2 als Ausgang */
	port->IOCR0.B.PC2 = output_alternate_fcn_2_push_pull ;
	port->OMR.B.PS0 = 0;
	port->OMR.B.PCL2 = 1 ;
	port->OMR.B.PS2 = 1;



	/* baudrate values at 100 MHz */
	denominator = 3125;

	switch (baudrate)
	{
		case   9600 : numerator =   BAUD_9600; break;
		case  19200 : numerator =  BAUD_19200; break;
		case  57600 : numerator =  BAUD_57600; break;
		case 115200 : numerator = BAUD_115200; break;
		default     : numerator =  BAUD_38400; break;
	}

	/* Enable ASCn */

	//UARTBASE->CLC.U = 0;

	/* read back for activating module */
	(void)UARTBASE->CLC.U;

/* input is not implemented */

	/* Program ASC0 */
	UARTBASE->CSR.U = 0;

	/* configure TX and RX FIFOs */

	 UARTBASE->TXFIFOCON.U = (1 << 6)	/* INW: (1 == 1 byte) */
						  | (1 << 1)	/* ENO */
					      | (1 << 0);	/* FLUSH */


	Test= ((Ifx_ASCLIN*)&MODULE_ASCLIN1)->TXFIFOCON.U;
	UARTBASE->RXFIFOCON.U = (1 << 6)	/* OUTW: (1 == 1 byte) */
						  | (1 << 1)	/* ENI */
						  | (1 << 0);	/* FLUSH */

	UARTBASE->BITCON.U = ( 9 << 0)		/* PRESCALER: 10 */
					   | (15 << 16)		/* OVERSAMPLING: 16 */
					   | ( 9 << 24)		/* SAMPLEPOINT: position 7,8,9 */
					   | (1u << 31);	/* SM: 3 samples per bit */

	/* data format: 8N1 */
	UARTBASE->FRAMECON.U = (1 << 9)		/* STOP: 1 bit */
						 | (0 << 16)	/* MODE: Init */
						 | (0 << 30);	/* PEN: no parity */
	UARTBASE->DATCON.U = (7 << 0);		/* DATLEN: 8 bit */

	/* set baudrate value */
	UARTBASE->BRG.U = (denominator << 0)	/* DENOMINATOR */
					| (numerator << 16);	/* NUMERATOR */

	UARTBASE->FRAMECON.B.MODE = 1;		/* ASC mode */
	UARTBASE->CSR.U = 1;				/* select CLC as clock source */

	//endinitSfty_pw = IfxScuWdt_getSafetyWatchdogPassword();
	//IfxScuWdt_clearSafetyEndinit(endinitSfty_pw);

	TX_START(UARTBASE);
	//IfxScuWdt_setSafetyEndinit(endinitSfty_pw);
	printf("Hi\n");
	printf("Hi\n");
}

/* Send character CHR via the serial line */
void _out_uart(const unsigned char chr)
{
	/* wait until space is available in the FIFO */
	while (!TX_READY(UARTBASE)){


	}


	TX_CLEAR(UARTBASE);

	/* send the character */
	PUT_CHAR(UARTBASE, chr);
}

void test() {

	printf("HI IM TEST\n");
}
/*

void my_puts(const char *str)
{
	char buffer[BUFSIZE];
	char *ptr;

	usr_sprintf(buffer, "%s\r\n", str);

	for (ptr = buffer; *ptr; ++ptr)
		_out_uart((const unsigned char) *ptr);
}
*/

/*void my_printf(const char *fmt, ...)
{
	char buffer[BUFSIZE];
	char *ptr;
	__gnuc_va_list ap;

	va_start(ap, fmt);
	usr_vsprintf(buffer, fmt, ap);
	va_end(ap);

	for (ptr = buffer; *ptr; ++ptr)
		_out_uart((const unsigned char) *ptr);
}
*/
/*
int usr_vsprintf(char *dest, const char *fmt, __gnuc_va_list ap)
{
	char c, sign, *cp, *dp = dest;
	int left_prec, right_prec, zero_fill, length, pad, pad_on_right;
	char buf[32];
	long val;

	while ((c = *fmt++) != 0)
	{
		cp = buf;
		length = 0;
		if (c == '%')
		{
			c = *fmt++;
			left_prec = right_prec = pad_on_right = 0;
			if (c == '-')
			{
				c = *fmt++;
				pad_on_right++;
			}
			if (c == '0')
			{
				zero_fill = TRUE;
				c = *fmt++;
			}
			else
			{
				zero_fill = FALSE;
			}
			while (is_digit(c))
			{
				left_prec = (left_prec * 10) + (c - '0');
				c = *fmt++;
			}
			if (c == '.')
			{
				c = *fmt++;
				zero_fill++;
				while (is_digit(c))
				{
					right_prec = (right_prec * 10) + (c - '0');
					c = *fmt++;
				}
			}
			else
			{
				right_prec = left_prec;
			}
			sign = '\0';
			*/

			/* handle type modifier */
/*
			if (c == 'l' || c == 'h')
			{
				c = *fmt++;
			}
			switch (c)
			{
				case 'd' :
				case 'u' :
				case 'x' :
				case 'X' :
					val = va_arg(ap, long);
					switch (c)
					{
						case 'd' :
							if (val < 0)
							{
								sign = '-';
								val = -val;
							}
							*/
							/* fall through */
/*
						case 'u' :
							length = _cvt(val, buf, 10, "0123456789");
							break;
						case 'x' :
							length = _cvt(val, buf, 16, "0123456789abcdef");
							break;
						case 'X' :
							length = _cvt(val, buf, 16, "0123456789ABCDEF");
							break;
					}
					break;
				case 's' :
					cp = va_arg(ap, char *);
					length = strlen(cp);
					break;
				case 'c' :
					c = (char)va_arg(ap, long);
					*dp++ = c;
					continue;
				default:
					*dp++ = '?';
			}
			pad = left_prec - length;
			if (sign != '\0')
			{
				pad--;
			}
			if (zero_fill)
			{
				c = '0';
				if (sign != '\0')
				{
					*dp++ = sign;
					sign = '\0';
				}
			}
			else
			{
				c = ' ';
			}
			if (!pad_on_right)
			{
				while (pad-- > 0)
				{
					*dp++ = c;
				}
			}
			if (sign != '\0')
			{
				*dp++ = sign;
			}
			while (length-- > 0)
			{
				c = *cp++;
				if (c == '\n')
				{
					*dp++ = '\r';
				}
				*dp++ = c;
			}
			if (pad_on_right)
			{
				while (pad-- > 0)
				{
					*dp++= ' ';
				}
			}
		}
		else
		{
			if (c == '\n')
			{
				*dp++= '\r';
			}
			*dp++ = c;
		}
	}

	*dp = '\0';

	return ((int)dp - (int)dest);
}

*/

static void inline safety_endinit_disable()
{
        unsigned int wdtscon0;

        /*
         * 1st step: Password access (create password and send to WDTSCON0)
         */
        wdtscon0 = SCU_WDTSCON0.U;

        wdtscon0 &= 0xffffff01;         /* clear WDTLCK, WDTHPW0, WDTHPW1 */
        wdtscon0 |= 0xf0;               /* set WDTHPW1 to 0xf */
        wdtscon0 |= 0x1;                /* 1 must be written to ENDINIT for password access
                                         * (but this will not actually modify the bit) */
        SCU_WDTSCON0.U = wdtscon0;

        /*
         * 2nd step: Modify access, set the bit ENDINIT to 1 or 0 to allow access to
         *           registers: SCU_WDTSCON1, BTV, BIV, ISP and mod_CLC
         */
        wdtscon0 &= 0xfffffff0;         /* clear WDTHPW0, WDTLCK, ENDINIT  */
        wdtscon0 |= 0x02 | 0;       /* WDTHPW0=0, WDTLCK=1, ENDINIT=0 */
        __isync();
        SCU_WDTSCON0.U = wdtscon0;
        SCU_WDTSCON0.U;                 /* read is required */
}

static void inline safety_endinit_enable(  )
{
        unsigned int wdtscon0;

        /*
         * 1st step: Password access (create password and send to WDTSCON0)
         */
        wdtscon0 = SCU_WDTSCON0.U;

        wdtscon0 &= 0xffffff01;         /* clear WDTLCK, WDTHPW0, WDTHPW1 */
        wdtscon0 |= 0xf0;               /* set WDTHPW1 to 0xf */
        wdtscon0 |= 0x1;                /* 1 must be written to ENDINIT for password access
                                         * (but this will not actually modify the bit) */
        SCU_WDTSCON0.U = wdtscon0;

        /*
         * 2nd step: Modify access, set the bit ENDINIT to 1 or 0 to allow access to
         *           registers: SCU_WDTSCON1, BTV, BIV, ISP and mod_CLC
         */
        wdtscon0 &= 0xfffffff0;         /* clear WDTHPW0, WDTLCK, ENDINIT  */
        wdtscon0 |= 0x02 | 1;       /* WDTHPW0=0, WDTLCK=1, ENDINIT=0 */
        __isync();
        SCU_WDTSCON0.U = wdtscon0;
        SCU_WDTSCON0.U;                 /* read is required */
}





