/*
 * RS232_interface.h


 *
 *  Created on: 04.11.2015
 *      Author: uacqk
 */

#ifndef RS232_INTERFACE_H_
#define RS232_INTERFACE_H_

#include "IfxAsclin_regdef.h"
#include "IfxAsclin_bf.h"
#include "IfxAsclin_reg.h"
#include "IfxPort_regdef.h"
#include "IfxPort_reg.h"
#include "Port/Std/IfxPort.h"
#include <stdarg.h>
#include <string.h>

static Ifx_ASCLIN * const asclin1 = (Ifx_ASCLIN *) &MODULE_ASCLIN1;
static Ifx_P * const port = (Ifx_P *) &MODULE_P02 ;

#define UARTBASE				asclin1


#define UART_BAUDRATE 38400

/* UART primitives */
#define TX_START(u)				((u)->FLAGSSET.U   = (IFX_ASCLIN_FLAGSSET_TFLS_MSK << IFX_ASCLIN_FLAGSSET_TFLS_OFF))
#define TX_READY(u)				((u)->FLAGS.B.TFL != 0)				/* Transmit FIFO Level */
#define RX_READY(u)				((u)->FLAGS.B.RFL != 0)				/* Receive FIFO Level */

#define RX_CLEAR(u)				((u)->FLAGSCLEAR.U = (IFX_ASCLIN_FLAGSCLEAR_RFLC_MSK << IFX_ASCLIN_FLAGSCLEAR_RFLC_OFF))
#define TX_CLEAR(u)				((u)->FLAGSCLEAR.U = (IFX_ASCLIN_FLAGSCLEAR_TFLC_MSK << IFX_ASCLIN_FLAGSCLEAR_TFLC_OFF))
#define PUT_CHAR(u, c)			((u)->TXDATA.U = (c))
#define GET_CHAR(u)				((u)->RXDATA.U)
#define GET_ERROR_STATUS(u)		(((u)->FLAGS.U) & ASC_ERROR_MASK)
#define RESET_ERROR(u)			((u)->FLAGSCLEAR.U = ASC_CLRERR_MASK)

/* baud rate values at 100 MHz */
#define BAUD_9600				(48 * 1)
#define BAUD_19200				(48 * 2)
#define BAUD_38400				(48 * 4)
#define BAUD_57600				(48 * 6)
#define BAUD_115200				(48 * 12)

#define 	BUFSIZE		120







void init_uart_poll(int baudrate);
void _out_uart(const unsigned char chr);
void test() ;
static void inline safety_endinit_enable();
static void inline safety_endinit_disable();
//void my_puts(const char *str);
//void my_printf(const char *fmt, ...);
//int usr_vsprintf(char *dest, const char *fmt, __gnuc_va_list ap);





#endif /* 0_SRC_0_APPSW_TRICORE_APPLICATION_RS232_INTERFACE_H_ */

