/*
 * dma_linked_list.c




 *
 *  Created on: 10.12.2015
 *      Author: uacqk
 */

#include "dma_linked_list.h"

    __align(64) static uint32 TransactionControlSet_idle [8];
	__align(64) static uint32 TransactionControlSet_initial [8];
    __align(64) static uint32 TransactionControlSet0 [8];
    __align(64) static uint32 TransactionControlSet1 [8];
    __align(64) static uint32 TransactionControlSet2 [8];
    __align(64) static uint32 TransactionControlSet3 [8];
    __align(64) static uint32 TransactionControlSet4 [8];
    __align(64) static uint32 TransactionControlSet5 [8];
    __align(64) static uint32 TransactionControlSet6 [8];
    __align(64) static uint32 TransactionControlSet7 [8];
    __align(64) static uint32 TransactionControlSet8 [8];

    __align(64) static uint32 TransactionControlSet_test1 [8];
    __align(64) static uint32 TransactionControlSet_test2 [8];




    __align(64) static uint32 TransactionReadControlSet0 [8];
    __align(64) static uint32 TransactionReadControlSet1 [8];
    __align(64) static uint32 TransactionReadControlSet2 [8];
    __align(64) static uint32 TransactionReadControlSet3 [8];
    __align(64) static uint32 TransactionReadControlSet4 [8];
    __align(64) static uint32 TransactionReadControlSet5 [8];
    __align(64) static uint32 TransactionReadControlSet6 [8];
    __align(64) static uint32 TransactionReadControlSet7 [8];
    __align(64) static uint32 TransactionReadControlSet8 [8];
    __align(64) static uint32 TransactionReadControlSet9 [8];
    __align(64) static uint32 TransactionReadControlSet10 [8];
    __align(64) static uint32 TransactionReadControlSet11 [8];

    __align(64) static uint32 TransactionReadControlSet12 [8];
    __align(64) static uint32 TransactionReadControlSet13 [8];
    __align(64) static uint32 TransactionReadControlSet14 [8];
    __align(64) static uint32 TransactionReadControlSet15 [8];
    __align(64) static uint32 TransactionReadControlSet16 [8];
    __align(64) static uint32 TransactionReadControlSet17 [8];
    __align(64) static uint32 TransactionReadControlSet18 [8];
    __align(64) static uint32 TransactionReadControlSet19 [8];
    __align(64) static uint32 TransactionReadControlSet20 [8];
    __align(64) static uint32 TransactionReadControlSet21 [8];
    __align(64) static uint32 TransactionReadControlSet22 [8];
    __align(64) static uint32 TransactionReadControlSet23 [8];

    static uint32 linked_list_test_array[9];



void init_dma_linked_list(IfxDma_ChannelId ch_id, uint32 * src_addr, uint32 beacon_addr, uint32 data_enty_addr) {
	Ifx_DMA  *dmaSFR  = &MODULE_DMA;

	Ifx_DMA_CH *dmaChannel = &dmaSFR->CH[ch_id];		// channel Configuration register
	Ifx_DMA_TSR *dma_tsr = &dmaSFR->TSR[ch_id];		// 	transaction state register
	static uint32 ch_config_reg;
	static uint32 ch_adicr;

	uint16 passwd = IfxScuWdt_getCpuWatchdogPassword();
    IfxScuWdt_clearCpuEndinit(passwd);
	DMA_CLC.B.DISR = 0;		// Module enable
	IfxScuWdt_setCpuEndinit(passwd);

	ch_config_reg = 0x00580001;
	ch_adicr = 0x000c0000;



	dmaChannel->CHCFGR.B.DMAPRIO =0;		// low DMA Priority
	dmaChannel->CHCFGR.B.RROAT=1;			// complete Transfer per request
	dmaChannel->CHCFGR.B.CHDW = 0x2;		// move Size 32 bit
	dmaChannel->CHCFGR.B.BLKM = 0x0;		// one DMA Move per DMA Transfer
	dmaChannel->CHCFGR.B.TREL = 0x01;		// transfer reload value
	dmaChannel->CHCFGR.B.CHMODE = 1;		// Continouus mode activated

	// set channel configuration
	dmaChannel->ADICR.B.SCBE =0;		// source buffer enabled
	dmaChannel->ADICR.B.CBLS = 0x0;		// source buffer size 0
	dmaChannel->ADICR.B.INCS =0;		// increment of source address = 0


	//source address
	dmaChannel->SADR.U =(uint32)src_addr ; // source addr

	//destination address
	dmaChannel->DADR.U =beacon_addr ;

	dmaChannel->ADICR.B.INCD =0;		// Increment of Destiantion Address = 0
	dmaChannel->ADICR.B.DMF=0;			// Destination Modification factor =0
	dmaChannel->ADICR.B.DCBE=0;			// Destination Circular Buffer = enabled
	dmaChannel->ADICR.B.CBLD=0;			// Destination Circular Buffer size = 0

	//linked list control
	dmaChannel->ADICR.B.SHCT= 0xC;
	dmaChannel->SHADR.B.SHADR=(uint32)TransactionControlSet0;
	dmaChannel->CHCSR.B.SIT= 0;



	//enable Hardware triggerung
	//dmaChannel->CHCSR.B.SCH=1;



	Ifx_DMA_TSR dma_tsr_temp=*dma_tsr;


	dma_tsr->B.ECH=1;
	dma_tsr->B.DCH=0;


			dma_tsr->U=dma_tsr_temp.U;

	ch_config_reg =dmaChannel->CHCFGR.U;
	ch_adicr=dmaChannel->ADICR.U;

	while(dma_tsr->B.RST != 0) {
		__nop();
	}


	uint32 data_exit_addr=0xF0001F90;


	TransactionControlSet_initial[0]=0x00000000 ; //RDCRC
	TransactionControlSet_initial[1]=0x00000000 ; //SDCRC
	TransactionControlSet_initial[2]=(uint32)&src_addr[0] ; //RDCRC
	TransactionControlSet_initial[3]=beacon_addr ; //DARR
	TransactionControlSet_initial[4]= ch_adicr; 		//ADICR
	TransactionControlSet_initial[5]= ch_config_reg;	//CHFGR
    TransactionControlSet_initial[6]= (uint32)TransactionControlSet0 ;  //SHADR
	TransactionControlSet_initial[7]= 0x00000000 ; 	//set SW Trigger

	TransactionControlSet0[0]= 0x00000000 ; //RDCRC
	TransactionControlSet0[1]= 0x00000000 ; //SDCRC
	TransactionControlSet0[2]= (uint32)&src_addr[1] ; //SADR
	TransactionControlSet0[3]= data_enty_addr ; //DARR
	TransactionControlSet0[4]= ch_adicr; 		//ADICR
	TransactionControlSet0[5]= ch_config_reg;	//CHFGR
	TransactionControlSet0[6]= (uint32)TransactionControlSet1;  //SHADR
	TransactionControlSet0[7]= 0x80000000 ; 	//set SW Trigger

	TransactionControlSet1[0]= 0x00000000 ; //RDCRC
	TransactionControlSet1[1]= 0x00000000 ; //SDCRC
	TransactionControlSet1[2]= (uint32)&src_addr[2] ; //SADR
	TransactionControlSet1[3]= beacon_addr; //DARR
	TransactionControlSet1[4]= ch_adicr; 		//ADICR
	TransactionControlSet1[5]= ch_config_reg;	//CHFGR
	TransactionControlSet1[6]= (uint32)TransactionControlSet2 ;  //SHADR
	TransactionControlSet1[7]= 0x80000000 ; 	//set SW Trigger



// Slave 2

	TransactionControlSet2[0]= 0x00000000 ; //RDCRC
	TransactionControlSet2[1]= 0x00000000 ; //SDCRC
	TransactionControlSet2[2]= (uint32)&src_addr[3] ; //SADR
	TransactionControlSet2[3]= data_enty_addr ; //DARR
	TransactionControlSet2[4]= ch_adicr; 		//ADICR
	TransactionControlSet2[5]= ch_config_reg;	//CHFGR
	TransactionControlSet2[6]= (uint32)TransactionControlSet3 ;  //SHADR
	TransactionControlSet2[7]= 0x00000000 ; 	//set HW Trigger


	TransactionControlSet3[0]= 0x00000000 ; //RDCRC
	TransactionControlSet3[1]= 0x00000000 ; //SDCRC
	TransactionControlSet3[2]= (uint32)&src_addr[4] ; //SADR
	TransactionControlSet3[3]= beacon_addr;//DARR
	TransactionControlSet3[4]= ch_adicr; 		//ADICR
	TransactionControlSet3[5]= ch_config_reg;	//CHFGR
	TransactionControlSet3[6]= (uint32)TransactionControlSet4 ;  //SHADR
	TransactionControlSet3[7]= 0x80000000 ; 	//set SW Trigger

	TransactionControlSet4[0]= 0x00000000 ; //RDCRC
	TransactionControlSet4[1]= 0x00000000 ; //SDCRC
	TransactionControlSet4[2]= (uint32)&src_addr[5] ; //SADR
	TransactionControlSet4[3]= data_enty_addr; //DARR
	TransactionControlSet4[4]= ch_adicr; 		//ADICR
	TransactionControlSet4[5]= ch_config_reg;	//CHFGR
	TransactionControlSet4[6]= (uint32)TransactionControlSet_initial ;  //SHADR
	TransactionControlSet4[7]= 0x80000000 ; 	//set SW Trigger









// Slave 3
	TransactionControlSet5[0]= 0x00000000 ; //RDCRC
	TransactionControlSet5[1]= 0x00000000 ; //SDCRC
	TransactionControlSet5[2]= (uint32)&src_addr[6] ; //SADR
	TransactionControlSet5[3]= beacon_addr;//DARR
	TransactionControlSet5[4]= ch_adicr; 		//ADICR
	TransactionControlSet5[5]= ch_config_reg;	//CHFGR
	TransactionControlSet5[6]= (uint32)TransactionControlSet6 ;  //SHADR
	TransactionControlSet5[7]= 0x00000000 ; 	//set HW Trigger

	TransactionControlSet6[0]= 0x00000000 ; //RDCRC
	TransactionControlSet6[1]= 0x00000000 ; //SDCRC
	TransactionControlSet6[2]= (uint32)&src_addr[7] ; //SADR
	TransactionControlSet6[3]= data_enty_addr ;//DARR
	TransactionControlSet6[4]= ch_adicr; 		//ADICR
	TransactionControlSet6[5]= ch_config_reg;	//CHFGR
	TransactionControlSet6[6]= (uint32)TransactionControlSet7 ;  //SHADR
	TransactionControlSet6[7]= 0x80000000 ; 	//set SW Trigger

	TransactionControlSet7[0]= 0x00000000 ; //RDCRC
	TransactionControlSet7[1]= 0x00000000 ; //SDCRC
	TransactionControlSet7[2]= (uint32)&src_addr[8] ; //SADR
	TransactionControlSet7[3]= beacon_addr ;//DARR
	TransactionControlSet7[4]= ch_adicr; 		//ADICR
	TransactionControlSet7[5]= ch_config_reg;	//CHFGR
	TransactionControlSet7[6]= (uint32)TransactionControlSet_initial ;//SHADR
	TransactionControlSet7[7]= 0x80000000 ; 	//set SW Trigger


}

void set_hw_trigger_enable(IfxDma_ChannelId ch_id,boolean on) {
	Ifx_DMA  *dmaSFR  = &MODULE_DMA;
	Ifx_DMA_TSR *dma_tsr = &dmaSFR->TSR[ch_id];		// 	transaction state register
	if(on) {
		dma_tsr->B.ECH=1;

	}
	else {
		dma_tsr->B.DCH=1;
	}
}

void set_sw_request(IfxDma_ChannelId ch_id){
	Ifx_DMA  *dmaSFR  = &MODULE_DMA;
	Ifx_DMA_CH *dmaChannel = &dmaSFR->CH[ch_id];		// channel Configuration register
	//source address
	dmaChannel->RDCRCR.U=TransactionControlSet_initial[0] ; //RDCRC
	dmaChannel->SDCRCR.U=TransactionControlSet_initial[1] ; //SDCRC
	dmaChannel->SADR.U=TransactionControlSet_initial[2] ; //SADR
	dmaChannel->DADR.U=TransactionControlSet_initial[3] ; //DARR
	dmaChannel->ADICR.U=TransactionControlSet_initial[4]; //ADICR
	dmaChannel->CHCFGR.U=TransactionControlSet_initial[5]; //CHFGR
	dmaChannel->SHADR.U=TransactionControlSet_initial[6];//SHADR
	dmaChannel->CHCSR.U=TransactionControlSet_initial[7];

}


void init_dma_linked_list_read(IfxDma_ChannelId ch_id, qspi_dma_rx_stucture* rx_str , uint32 fifo_exit_addr){
	Ifx_DMA  *dmaSFR  = &MODULE_DMA;

	Ifx_DMA_CH *dmaChannel = &dmaSFR->CH[ch_id];		// channel Configuration register
	Ifx_DMA_TSR *dma_tsr = &dmaSFR->TSR[ch_id];		// 	transaction state register
	static uint32 ch_config_reg;
	static uint32 ch_adicr;

	fifo_exit_addr=0xF0001F90;

	uint16 passwd = IfxScuWdt_getCpuWatchdogPassword();
    IfxScuWdt_clearCpuEndinit(passwd);
	DMA_CLC.B.DISR = 0;		// Module enable
	IfxScuWdt_setCpuEndinit(passwd);

	dmaChannel->CHCFGR.B.DMAPRIO =0;		// low DMA Priority
	dmaChannel->CHCFGR.B.RROAT=1;			// complete Transfer per request
	dmaChannel->CHCFGR.B.CHDW = 0x2;		// move Size 32 bit
	dmaChannel->CHCFGR.B.BLKM = 0x0;		// one DMA Move per DMA Transfer
	dmaChannel->CHCFGR.B.TREL = 0x01;		// transfer reload value
	dmaChannel->CHCFGR.B.CHMODE = 1;		// Continouus mode activated

	// set channel configuration
	dmaChannel->ADICR.B.SCBE =0;		// source buffer enabled
	dmaChannel->ADICR.B.CBLS = 0x0;		// source buffer size 0
	dmaChannel->ADICR.B.INCS =0;		// increment of source address = 0


	//source address
	dmaChannel->SADR.U =fifo_exit_addr; // source addr

	//destination address
	dmaChannel->DADR.U =(uint32)&(rx_str->sensor1[0].value) ;

	dmaChannel->ADICR.B.INCD =0;		// Increment of Destiantion Address = 0
	dmaChannel->ADICR.B.DMF=0;			// Destination Modification factor =0
	dmaChannel->ADICR.B.DCBE=0;			// Destination Circular Buffer = enabled
	dmaChannel->ADICR.B.CBLD=0;			// Destination Circular Buffer size = 0

	//linked list control
	dmaChannel->ADICR.B.SHCT= 0xC;
	dmaChannel->SHADR.B.SHADR=(uint32)TransactionReadControlSet1;
	dmaChannel->CHCSR.B.SIT= 0;



	//enable Hardware triggerung
	//dmaChannel->CHCSR.B.SCH=1;
	dma_tsr->B.HTRE = 0;
	dma_tsr->B.ECH=1;
	dma_tsr->B.DCH=0;

	ch_config_reg =dmaChannel->CHCFGR.U;
	ch_adicr=dmaChannel->ADICR.U;

	while(dma_tsr->B.RST != 0) {
		__nop();
	}

//read value of Sensor 1 TS 1
	TransactionReadControlSet0[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet0[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet0[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet0[3]= (uint32)&(rx_str->sensor1[0].value)  ;//DARR
	TransactionReadControlSet0[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet0[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet0[6]= (uint32)TransactionReadControlSet1 ;  //SHADR
	TransactionReadControlSet0[7]= 0x00000000 ; 	//set HW Trigger

//read status of Sensor 1 TS 1
	TransactionReadControlSet1[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet1[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet1[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet1[3]= (uint32)&(rx_str->sensor2[0].value)  ;//DARR
	TransactionReadControlSet1[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet1[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet1[6]= (uint32)TransactionReadControlSet2 ;  //SHADR
	TransactionReadControlSet1[7]= 0x80000000 ; 	//set SW Trigger

//read value of Sensor 2 TS 1
	TransactionReadControlSet2[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet2[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet2[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet2[3]= (uint32)&(rx_str->sensor3[0].value) ;//DARR
	TransactionReadControlSet2[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet2[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet2[6]= (uint32)TransactionReadControlSet3 ;  //SHADR
	TransactionReadControlSet2[7]= 0x00000000 ; 	//set SW Trigger

// read status of Sensor 2 TS 1
	TransactionReadControlSet3[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet3[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet3[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet3[3]= (uint32)&(rx_str->sensor1[1].value) ;//DARR
	TransactionReadControlSet3[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet3[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet3[6]= (uint32)TransactionReadControlSet4 ;  //SHADR
	TransactionReadControlSet3[7]= 0x80000000 ; 	//set SW Trigger

// READ BURST 1 COMPLETE

// read value of Sensor 3 TS 1
	TransactionReadControlSet4[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet4[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet4[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet4[3]= (uint32)&(rx_str->sensor2[1].value) ;//DARR
	TransactionReadControlSet4[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet4[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet4[6]= (uint32)TransactionReadControlSet5 ;  //SHADR
	TransactionReadControlSet4[7]= 0x00000000 ; 	//set SW Trigger

// read status of Sensor 3 TS 1
	TransactionReadControlSet5[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet5[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet5[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet5[3]= (uint32)&(rx_str->sensor3[1].value) ;//DARR
	TransactionReadControlSet5[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet5[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet5[6]= (uint32)TransactionReadControlSet6 ;  //SHADR
	TransactionReadControlSet5[7]= 0x80000000 ; 	//set SW Trigger

//read value of Sensor 1 TS 2
	TransactionReadControlSet6[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet6[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet6[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet6[3]= (uint32)&(rx_str->sensor1[2].value) ;//DARR
	TransactionReadControlSet6[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet6[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet6[6]= (uint32)TransactionReadControlSet7 ;  //SHADR
	TransactionReadControlSet6[7]= 0x00000000 ; 	//set SW Trigger

//read status of Sensor 1 TS 2
	TransactionReadControlSet7[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet7[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet7[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet7[3]= (uint32)&(rx_str->sensor2[2].value) ;//DARR
	TransactionReadControlSet7[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet7[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet7[6]= (uint32)TransactionReadControlSet8 ;  //SHADR
	TransactionReadControlSet7[7]= 0x80000000 ; 	//set SW Trigger

//// READ BURST 2 COMPLETE

//read value of Sensor 2 TS 2
	TransactionReadControlSet8[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet8[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet8[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet8[3]= (uint32)&(rx_str->sensor3[2].value) ;//DARR
	TransactionReadControlSet8[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet8[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet8[6]= (uint32)TransactionReadControlSet9 ;  //SHADR
	TransactionReadControlSet8[7]= 0x0000000 ; 	//set SW Trigger

// read status of Sensor 2 TS 2
	TransactionReadControlSet9[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet9[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet9[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet9[3]= (uint32)&(rx_str->sensor1[3].value) ;//DARR
	TransactionReadControlSet9[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet9[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet9[6]= (uint32)TransactionReadControlSet10 ;  //SHADR
	TransactionReadControlSet9[7]= 0x80000000 ; 	//set SW Trigger

//read value of Sensor 3 TS 2
	TransactionReadControlSet10[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet10[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet10[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet10[3]= (uint32)&(rx_str->sensor2[3].value) ;//DARR
	TransactionReadControlSet10[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet10[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet10[6]= (uint32)TransactionReadControlSet11 ;  //SHADR
	TransactionReadControlSet10[7]= 0x00000000 ; 	//set SW Trigger

//read status of Sensor 3 TS 2
	TransactionReadControlSet11[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet11[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet11[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet11[3]= (uint32)&(rx_str->sensor3[3].value) ;//DARR
	TransactionReadControlSet11[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet11[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet11[6]= (uint32)TransactionReadControlSet0 ;  //SHADR
	TransactionReadControlSet11[7]= 0x80000000 ; 	//set SW Trigger

//// READ BURST 3 Complete

//read value of Sensor 1 TS 3
	TransactionReadControlSet12[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet12[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet12[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet12[3]= (uint32)&(rx_str->sensor1[2].value) ;//DARR
	TransactionReadControlSet12[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet12[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet12[6]= (uint32)TransactionReadControlSet13 ;  //SHADR
	TransactionReadControlSet12[7]= 0x00000000 ; 	//set HW Trigger

// read status of Sensor 1 TS 3
	TransactionReadControlSet13[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet13[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet13[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet13[3]= (uint32)&(rx_str->sensor1[2].status) ;//DARR
	TransactionReadControlSet13[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet13[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet13[6]= (uint32)TransactionReadControlSet14 ;  //SHADR
	TransactionReadControlSet13[7]= 0x80000000 ; 	//set SW Trigger

//read value of Sensor 2 TS 3
	TransactionReadControlSet14[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet14[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet14[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet14[3]= (uint32)&(rx_str->sensor2[2].value) ;//DARR
	TransactionReadControlSet14[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet14[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet14[6]= (uint32)TransactionReadControlSet15 ;  //SHADR
	TransactionReadControlSet14[7]= 0x80000000 ; 	//set SW Trigger

//read status of Sensor 2 TS 3
	TransactionReadControlSet15[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet15[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet15[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet15[3]= (uint32)&(rx_str->sensor2[2].status) ;//DARR
	TransactionReadControlSet15[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet15[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet15[6]= (uint32)TransactionReadControlSet16 ;  //SHADR
	TransactionReadControlSet15[7]= 0x00000000 ; 	//set SW Trigger

//// READ BURST 4 Complete

//read value of Sensor 3 TS 3
	TransactionReadControlSet16[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet16[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet16[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet16[3]= (uint32)&(rx_str->sensor3[2].value) ;//DARR
	TransactionReadControlSet16[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet16[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet16[6]= (uint32)TransactionReadControlSet17 ;  //SHADR
	TransactionReadControlSet16[7]= 0x80000000 ; 	//set HW Trigger

// read status of Sensor 3 TS 3
	TransactionReadControlSet17[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet17[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet17[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet17[3]= (uint32)&(rx_str->sensor3[2].status) ;//DARR
	TransactionReadControlSet17[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet17[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet17[6]= (uint32)TransactionReadControlSet18 ;  //SHADR
	TransactionReadControlSet17[7]= 0x80000000 ; 	//set SW Trigger

//read value of Sensor 1 TS 4
	TransactionReadControlSet18[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet18[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet18[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet18[3]= (uint32)&(rx_str->sensor1[3].value) ;//DARR
	TransactionReadControlSet18[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet18[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet18[6]= (uint32)TransactionReadControlSet19 ;  //SHADR
	TransactionReadControlSet18[7]= 0x00000000 ; 	//set SW Trigger

//read status of Sensor 1 TS 4
	TransactionReadControlSet19[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet19[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet19[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet19[3]= (uint32)&(rx_str->sensor1[3].status) ;//DARR
	TransactionReadControlSet19[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet19[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet19[6]= (uint32)TransactionReadControlSet20 ;  //SHADR
	TransactionReadControlSet19[7]= 0x80000000 ; 	//set SW Trigger

//// READ BURST 5 Complete

//read value of Sensor 2 TS 4
	TransactionReadControlSet20[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet20[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet20[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet20[3]= (uint32)&(rx_str->sensor2[3].value) ;//DARR
	TransactionReadControlSet20[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet20[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet20[6]= (uint32)TransactionReadControlSet21 ;  //SHADR
	TransactionReadControlSet20[7]= 0x80000000 ; 	//set HW Trigger

// read status of Sensor 2 TS 4
	TransactionReadControlSet21[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet21[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet21[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet21[3]= (uint32)&(rx_str->sensor2[3].status) ;//DARR
	TransactionReadControlSet21[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet21[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet21[6]= (uint32)TransactionReadControlSet22 ;  //SHADR
	TransactionReadControlSet21[7]= 0x00000000 ; 	//set SW Trigger

//read value of Sensor 3 TS 4
	TransactionReadControlSet22[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet22[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet22[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet22[3]= (uint32)&(rx_str->sensor3[3].value) ;//DARR
	TransactionReadControlSet22[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet22[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet22[6]= (uint32)TransactionReadControlSet23 ;  //SHADR
	TransactionReadControlSet22[7]= 0x80000000 ; 	//set SW Trigger

//read status of Sensor 3 TS 4
	TransactionReadControlSet23[0]=0x00000000 ; //RDCRC
	TransactionReadControlSet23[1]=0x00000000 ; //SDCRC
	TransactionReadControlSet23[2]= fifo_exit_addr; //SADR
	TransactionReadControlSet23[3]= (uint32)&(rx_str->sensor3[3].status) ;//DARR
	TransactionReadControlSet23[4]= ch_adicr; 		//ADICR
	TransactionReadControlSet23[5]= ch_config_reg;	//CHFGR
	TransactionReadControlSet23[6]= (uint32)TransactionReadControlSet0;  //SHADR
	TransactionReadControlSet23[7]= 0x80000000 ; 	//set SW Trigger




}

void Qspi_SpiMaster_restart_chain(IfxQspi_SpiMaster_Channel *chHandle,IfxDma_ChannelId ch_id) {
    IfxQspi_SpiMaster *handle = chHandle->base.driver->driver;
    Ifx_QSPI          *qspiSFR = handle->qspi;
    static SizeT          count;
    volatile uint8              cs      = chHandle->bacon.B.CS;

	Ifx_DMA  *dmaSFR  = &MODULE_DMA;

	Ifx_DMA_CH *dmaChannel = &dmaSFR->CH[ch_id];		// channel Configuration register

    if(qspiSFR->STATUS.B.TXFIFOLEVEL < 1 && qspiSFR->STATUS.B.RXFIFOLEVEL <1) {
    	dmaChannel->CHCSR.B.SCH=1;
    	__nop();
    }

}

void init_dma_startup_linked_list(IfxDma_ChannelId ch_id) {
	Ifx_DMA  *dmaSFR  = &MODULE_DMA;

	Ifx_DMA_CH *dmaChannel = &dmaSFR->CH[ch_id];		// channel Configuration register
	Ifx_DMA_TSR *dma_tsr = &dmaSFR->TSR[ch_id];		// 	transaction state register
	uint32 init_shadow_addr=dmaChannel->SHADR.B.SHADR;

	dma_tsr->B.ECH=0;
	dma_tsr->B.DCH=1;

	while(dma_tsr->B.RST != 0) {
		__nop();
	}

	dmaChannel->CHCSR.B.SCH=1;

	while(dmaChannel->SHADR.B.SHADR == init_shadow_addr) {
		__nop();
	}
	dma_tsr->B.ECH=1;
	dma_tsr->B.DCH=0;

	while(dma_tsr->B.RST != 0) {
		__nop();
	}


}














