/*
 * inc_encoder.c


 *
 *  Created on: 11.01.2016
 *      Author: uacqk
 */

#include "inc_encoder.h"

const IfxGpt12_IncrEnc_Config cfg_PosIf_IncrEnc_Gpt12 =
{

	.base.offset			= CFG_ENCODER_OFFSET,
    .base.reversed          = TRUE,
    .base.periodPerRotation = 1,
    .base.resolution        = ENCODER_PULSE_PER_REVOLUTION * 2, /* IfxGpt12_IncrEnc interface doubles the pulse count */
    .base.motorPolePairs	= CFG_M0_POLPAIR,
    .servPriority           = INTERRUPT_ENCODER_GPT12,
    .isrProvider            = IfxSrc_Tos_cpu0,
    .module                 = &MODULE_GPT120,
    .pinForwardTxIn         = &IfxGpt120_T3INA_P02_6_IN,
    .pinBackwardTxEud       = &IfxGpt120_T3EUDA_P02_7_IN,
    .pinZeroTxIn            = &IfxGpt120_T4INA_P02_8_IN,
    .pinMode                = IfxPort_InputMode_noPullDevice

};

void init_encoder(IfxGpt12_IncrEnc *encoder){
	IfxGpt12_IncrEnc_init(encoder, &cfg_PosIf_IncrEnc_Gpt12);
}

sint32 get_inc_encoder_position(IfxGpt12_IncrEnc* gptEnc) {

	return (sint32)IfxGpt12_IncrEnc_updateFromT3(gptEnc);
}

sint16 convert_to_electrical(sint32 position_mech, float32 elAngleConst)
{                               //TODO: using StdReal multiplication */
    sint16 elAngle = (sint16)(elAngleConst * position_mech);

    return elAngle & (POSIF_ANGLE_RANGE - 1);
}

sint16 get_electrical(sint32 position_mech) {
	static sint16 pos_mech_test;
	sint32 pos_offset = (sint32)((ENCODER_PULSE_PER_REVOLUTION * 2)*270.0 /(4*360.0)) ;



	sint16 pos_el=(((position_mech+pos_offset)*4) % (ENCODER_PULSE_PER_REVOLUTION * 2) );
	//pos_mech_test=((position_mech*4+pos_offset)% (ENCODER_PULSE_PER_REVOLUTION * 2) );
	//Abbildung auf 10 bit
	float pos_el_float=(( (float32)pos_el /(float32)(ENCODER_PULSE_PER_REVOLUTION * 2) ) * (float32)1080.0 ) ;

	pos_el= (sint16)(pos_el_float);

	if(pos_el <0 ) {
		pos_el=0;
	}

	pos_el=pos_el%1080;

	return pos_el;
}

float32 calc_elAngle_const(uint32 polePairs,sint32 resolution) {
	float32 c= (float32) polePairs * (float32)POSIF_ANGLE_RANGE / (float32)resolution ;
	return c;
}




