/*
 * open_loop_pwm.h

 *
 *  Created on: 20.11.2015
 *      Author: uacqk
 */

#include "math.h"
#include "Cpu/Std/Platform_Types.h"
#include "_Lib/Math/StdReal.h"
#include "_Lib/Math/Arith.StdReal.h"
#include "SysSe/MotorDrive/MotorControl.h"
#include "SysSe/MotorDrive/Foc.h"
#include "SysSe/MotorDrive/Tables.h"

typedef struct open_loop_driver{
	float32 electrical_angle ;	/* current electrical angle of motor [0 ... 2pi] */
	float32 delta_angle;		/* offset of angle in next step [0 ... 2pi] */
	float32 amplitude;			/* Amplitude of 3 Phase sin [ V]  */
	float32 supply_voltage;		/* maximum output voltage [V] */
	float32 pwm_period;
	TimerVal pwm_period_ticks;
	TimerVal tOn[3];
	CplxStdReal complex_ptr;		/* complex pointer */
}open_loop_driver;


void set_open_sin_frequency(open_loop_driver* driver, float32 frequency );
void do_open_loop_step(open_loop_driver* driver);
void init_open_loop_driver (open_loop_driver* driver,float32 frequency,float32 amplitude ,float32 pwm_period, TimerVal pwm_ticks);
void do_measured_step(open_loop_driver* driver,sint16 sensor_pos, T3Phase *currents);
