/*
 * vector_control.h


 *
 *  Created on: 13.01.2016
 *      Author: uacqk
 */

#ifndef VECTOR_CONTROL_H_
#define VECTOR_CONTROL_H_

#include "SysSe/MotorDrive/Foc.h"
#include "SysSe/MotorDrive/MotorControl.h"
#include "SysSe/MotorDrive/Tables.h"
#include "_Lib/Math/StdReal.h"

#define CFG_M0_IQ_LIMIT		(5.0)
#define CFG_M0_ID_LIMIT		(4.0)

#define CFG_M0_PI_ID_LIMIT_MAX (5.0)            		//brief Define the max limit value.
#define CFG_M0_PI_IQ_LIMIT_MAX (5.0)             		//brief Define the max limit value.*/

#define CFG_M0_PI_KP (0.244)
#define CFG_M0_PI_KI (195.33)

#define eMotorBoardVoltageMax (0.9)
#define eMotorBoardCurrentMax (4.0)




void init_fo_controller(TFoc* foc,uint32 pwmFrequency);
CplxStdReal fo_current_ctrl_step(TFoc* foc, sint16 sensor_pos_electrical,T3Phase* phase_currents);
void set_Id_ref_current(TFoc *foc, StdReal id);
void set_Iq_ref_current(TFoc *foc, StdReal id);
CplxStdReal own_fo_current_ctrl_step(TFoc* foc, sint16 electricalAngle,T3Phase*currents);
CplxStdReal OWN_Foc_LimitVqVd(TPic* Pic_d,TPic* Pic_q, CplxStdReal mdq,StdReal Limit );


#endif /* 0_SRC_0_APPSW_TRICORE_APPLICATION_VECTOR_CONTROL_H_ */
