/**
 * \file SpiIf.c
 *
 * \license
 * You can use this file under the terms of the IFX License.
 *
 * This file is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * IFX License for more details (IFX_License.txt).
 *
 * This file may be used, copied, and distributed, with or without
 * modification, provided that all copyright notices are retained;
 * that all modifications to this file are prominently noted in the
 * modified file; and that this paragraph is not modified.
 *
 * \copyright Copyright (C) 2012 Infineon Technologies AG
 *
 *
 *
 * $Revision: $1351.4
 * $Date: $2013-06-24 18:38:09 GMT
 *
 */
#include "SpiIf.h"

void SpiIf_initConfig(SpiIf_Config *config)
{
    config->mode            = SpiIf_Mode_master;
    config->rxPriority      = 0;
    config->txPriority      = 0;
    config->erPriority      = 0;
    config->isrProvider     = IfxSrc_Tos_cpu0;
    config->bufferSize      = 0;
    config->buffer          = NULL_PTR;
    config->maximumBaudrate = 0;
}


void SpiIf_initChannelConfig(SpiIf_ChConfig *config, SpiIf *driver)
{
    config->driver               = driver;
    config->baudrate             = 0;
    config->mode.enabled         = 1;
    config->mode.autoCS          = 1;
    config->mode.loopback        = 0;
    config->mode.clockPolarity   = SpiIf_ClockPolarity_idleLow;
    config->mode.shiftClock      = SpiIf_ShiftClock_shiftTransmitDataOnLeadingEdge;
    config->mode.dataHeading     = SpiIf_DataHeading_msbFirst;
    config->mode.dataWidth       = 8;
    config->mode.csActiveLevel   = ActiveState_low;
    config->mode.csLeadDelay     = SpiIf_SlsoTiming_0;
    config->mode.csTrailDelay    = SpiIf_SlsoTiming_0;
    config->mode.csInactiveDelay = SpiIf_SlsoTiming_0;
    config->mode.parityCheck     = 0;
    config->mode.parityMode      = ParityMode_even;
    config->errorChecks.baudrate = 1;
    config->errorChecks.phase    = 1;
    config->errorChecks.receive  = 1;
    config->errorChecks.transmit = 0;
}
