/**
 * \file IfxGtm.h
 * \brief GTM basic functionality
 * \ingroup IfxLld_Gtm_std_gtm
 *
 *
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 *
 * $Revision: $1479.7
 * $Date: $2013-08-09 16:42:18 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 *
 * \defgroup IfxLld_Gtm GTM
 * \ingroup IfxLld
 *
 * \defgroup IfxLld_Gtm_std Basic functionality
 * \ingroup IfxLld_Gtm
 *
 * \defgroup IfxLld_Gtm_std_gtm GTM basic functionality
 * \ingroup IfxLld_Gtm_std
 *
 * \defgroup IfxLld_Gtm_interfaces Interface Layers
 * \ingroup IfxLld_Gtm
 */

#ifndef IFXGTM_H
#define IFXGTM_H
/******************************************************************************/
#include "_Impl/IfxGtm_cfg.h"
/******************************************************************************/
/** GTM interrupt modes */
typedef enum
{
    IfxGtm_IrqMode_level       = 0,
    IfxGtm_IrqMode_pulse       = 1,
    IfxGtm_IrqMode_pulseNotify = 2,
    IfxGtm_IrqMode_singlePulse = 3
} IfxGtm_IrqMode;

/******************************************************************************/
/*                           Function prototypes                              */
/******************************************************************************/

/** \addtogroup IfxLld_Gtm_std_gtm
 * \{ */
IFX_EXTERN void IfxGtm_enable(Ifx_GTM *gtm);
IFX_EXTERN void IfxGtm_disable(Ifx_GTM *gtm);

IFX_INLINE boolean IfxGtm_isEnabled(Ifx_GTM *gtm)
{
    return gtm->CLC.B.DISS == 0;
}


/** \} */

/******************************************************************************/
/*                           Functions                                        */
/******************************************************************************/

/******************************************************************************/
#endif /* IFXGTM_H */
