/**
 * \file IfxGtmDpll.h
 * \brief GTM DPLL basic functionality
 * \ingroup IfxLld_Gtm_std_dpll
 *
 *
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 *
 * $Revision: $1415.6
 * $Date: $2013-08-09 16:42:19 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 *
 * \defgroup IfxLld_Gtm_std_dpll DPLL basic functionality
 * \ingroup IfxLld_Gtm_std
 *
 */

#ifndef IFXGTMDPLL_H
#define IFXGTMDPLL_H
/******************************************************************************/
#include "_Impl/IfxGtm_cfg.h"
/******************************************************************************/
/*                           Function prototypes                              */
/******************************************************************************/

/** \addtogroup IfxLld_Gtm_std_dpll
 * \{ */
IFX_EXTERN float32 IfxGtmDpll_getSubIncFrequency(Ifx_GTM *gtm, IfxGtmDpll_SubInc Index);

/** \} */

/******************************************************************************/
/*                           Functions                                        */
/******************************************************************************/

/******************************************************************************/
#endif /* IFXGTMDPLL_H */
