/**
 * \file IfxGtmTbu.c
 * \brief GTM TBU basic functionality
 *
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 *
 * $Revision: $1428.5
 * $Date: $2013-08-09 16:42:21 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 *
 */

/******************************************************************************/
#include "IfxGtmTbu.h"
#include "IfxGtmCmu.h"
/******************************************************************************/
/*                           Functions                                        */
/******************************************************************************/

/******************************************************************************/

float32 IfxGtmTbu_getClockFrequency(Ifx_GTM *gtm, IfxGtmTbu_Ts channel)
{
    float32 result = 0.0F;

    if (channel == IfxGtmTbu_Ts_0)
    {
        result = IfxGtmCmu_getClkFrequency(gtm, gtm->TBU.CH0_CTRL.B.CH_CLK_SRC, TRUE);
    }
    else if (channel == IfxGtmTbu_Ts_1)
    {
        result = IfxGtmCmu_getClkFrequency(gtm, gtm->TBU.CH1_CTRL.B.CH_CLK_SRC, TRUE);
    }
    else if (channel == IfxGtmTbu_Ts_2)
    {
        result = IfxGtmCmu_getClkFrequency(gtm, gtm->TBU.CH2_CTRL.B.CH_CLK_SRC, TRUE);
    }

    return result;
}
