/**
 * \file IfxGtmTbu.h
 * \brief GTM TBU basic functionality
 * \ingroup IfxLld_Gtm_std_tbu
 *
 *
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 *
 * $Revision: $1454.5
 * $Date: $2013-08-09 16:42:21 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 *
 * \defgroup IfxLld_Gtm_std_tbu TBU basic functionality
 * \ingroup IfxLld_Gtm_std
 *
 */

#ifndef IFXGTMTBU_H
#define IFXGTMTBU_H
/******************************************************************************/
#include "_Impl/IfxGtm_cfg.h"
/******************************************************************************/
/** GTM TOM TBU Time stamps
 *
 */
typedef enum
{
    IfxGtmTbu_Ts_0 = 0,
    IfxGtmTbu_Ts_1 = 1,
    IfxGtmTbu_Ts_2 = 2,
} IfxGtmTbu_Ts;
/******************************************************************************/
/*                           Function prototypes                              */
/******************************************************************************/

/** \addtogroup IfxLld_Gtm_std_tbu
 * \{ */
/** \} */

/******************************************************************************/
/*                           Functions                                        */
/******************************************************************************/
IFX_INLINE void    IfxGtmTbu_enableChannel(Ifx_GTM *gtm, IfxGtmTbu_Ts channel);
IFX_EXTERN float32 IfxGtmTbu_getClockFrequency(Ifx_GTM *gtm, IfxGtmTbu_Ts channel);

/******************************************************************************/
IFX_INLINE void IfxGtmTbu_enableChannel(Ifx_GTM *gtm, IfxGtmTbu_Ts channel)
{
    uint32 shift = channel * 2;

    __ldmst_c(&gtm->TBU.CHEN.U, (3U << shift), (IfxGtm_FeatureControl_enable << shift));
}


#endif /* IFXGTMTBU_H */
