/**
 * \file IfxGtm_Spe.c
 * \brief GTM SPE basic functionalities
 *
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 *
 * $Revision: $
 * $Date: $
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 *
 */


#include "IfxGtmTim.h"


//#include "math.h"
#include "IfxGtm_bf.h"



void IfxGtm_Tim_init(Ifx_GTM *gtm, IfxGtm_Tim_Config* config)
{

	switch(config->channel)
	{
	case 	IfxGtm_Tim_Channel_0:
		gtm->TIM[config->module].CH0_CTRL.B.ARU_EN = 0;
		gtm->TIM[config->module].CH0_CTRL.B.CLK_SEL = config->clock;
		gtm->TIM[config->module].CH0_CTRL.B.TIM_MODE = config->mode;
		gtm->TIM[config->module].CH0_CTRL.B.GPR0_SEL = config->gpr0Sel;
		gtm->TIM[config->module].CH0_CTRL.B.GPR1_SEL = 3;
		gtm->TIM[config->module].CH0_CTRL.B.CNTS_SEL = 0;
		gtm->TIM[config->module].CH0_CTRL.B.ISL = 1;
		gtm->TIM[config->module].CH0_CTRL.B.DSL = 1;
		gtm->TIM[config->module].CH0_CTRL.B.FLT_EN = (config->filterEnable != FALSE) ? 1:0;
		gtm->TIM[config->module].CH0_CTRL.B.FLT_CNT_FRQ = config->filterClock;
		gtm->TIM[config->module].CH0_CTRL.B.TIM_EN = 1;
		break;
	case 	IfxGtm_Tim_Channel_1:
		gtm->TIM[config->module].CH1_CTRL.B.ARU_EN = 0;
		gtm->TIM[config->module].CH1_CTRL.B.CLK_SEL = config->clock;
		gtm->TIM[config->module].CH1_CTRL.B.TIM_MODE = config->mode;
		gtm->TIM[config->module].CH1_CTRL.B.GPR0_SEL = config->gpr0Sel;
		gtm->TIM[config->module].CH1_CTRL.B.GPR1_SEL = 3;
		gtm->TIM[config->module].CH1_CTRL.B.CNTS_SEL = 0;
		gtm->TIM[config->module].CH1_CTRL.B.ISL = 1;
		gtm->TIM[config->module].CH1_CTRL.B.DSL = 1;
		gtm->TIM[config->module].CH1_CTRL.B.FLT_EN = (config->filterEnable != FALSE) ? 1:0;
		gtm->TIM[config->module].CH1_CTRL.B.FLT_CNT_FRQ = config->filterClock;
		gtm->TIM[config->module].CH1_CTRL.B.TIM_EN = 1;
		break;
	case 	IfxGtm_Tim_Channel_2:
		gtm->TIM[config->module].CH2_CTRL.B.ARU_EN = 0;
		gtm->TIM[config->module].CH2_CTRL.B.CLK_SEL = config->clock;
		gtm->TIM[config->module].CH2_CTRL.B.TIM_MODE = config->mode;
		gtm->TIM[config->module].CH2_CTRL.B.GPR0_SEL = config->gpr0Sel;
		gtm->TIM[config->module].CH2_CTRL.B.GPR1_SEL = 3;
		gtm->TIM[config->module].CH2_CTRL.B.CNTS_SEL = 0;
		gtm->TIM[config->module].CH2_CTRL.B.ISL = 1;
		gtm->TIM[config->module].CH2_CTRL.B.DSL = 1;
		gtm->TIM[config->module].CH2_CTRL.B.FLT_EN = (config->filterEnable != FALSE) ? 1:0;
		gtm->TIM[config->module].CH2_CTRL.B.FLT_CNT_FRQ = config->filterClock;
		gtm->TIM[config->module].CH2_CTRL.B.TIM_EN = 1;
		break;
	case 	IfxGtm_Tim_Channel_3:
		gtm->TIM[config->module].CH3_CTRL.B.ARU_EN = 0;
		gtm->TIM[config->module].CH3_CTRL.B.CLK_SEL = config->clock;
		gtm->TIM[config->module].CH3_CTRL.B.TIM_MODE = config->mode;
		gtm->TIM[config->module].CH3_CTRL.B.GPR0_SEL = config->gpr0Sel;
		gtm->TIM[config->module].CH3_CTRL.B.GPR1_SEL = 3;
		gtm->TIM[config->module].CH3_CTRL.B.CNTS_SEL = 0;
		gtm->TIM[config->module].CH3_CTRL.B.ISL = 1;
		gtm->TIM[config->module].CH3_CTRL.B.DSL = 1;
		gtm->TIM[config->module].CH3_CTRL.B.FLT_EN = (config->filterEnable != FALSE) ? 1:0;
		gtm->TIM[config->module].CH3_CTRL.B.FLT_CNT_FRQ = config->filterClock;
		gtm->TIM[config->module].CH3_CTRL.B.TIM_EN = 1;
		break;
	case 	IfxGtm_Tim_Channel_4:
		gtm->TIM[config->module].CH4_CTRL.B.ARU_EN = 0;
		gtm->TIM[config->module].CH4_CTRL.B.CLK_SEL = config->clock;
		gtm->TIM[config->module].CH4_CTRL.B.TIM_MODE = config->mode;
		gtm->TIM[config->module].CH4_CTRL.B.GPR0_SEL = config->gpr0Sel;
		gtm->TIM[config->module].CH4_CTRL.B.GPR1_SEL = 3;
		gtm->TIM[config->module].CH4_CTRL.B.CNTS_SEL = 0;
		gtm->TIM[config->module].CH4_CTRL.B.ISL = 1;
		gtm->TIM[config->module].CH4_CTRL.B.DSL = 1;
		gtm->TIM[config->module].CH4_CTRL.B.FLT_EN = (config->filterEnable != FALSE) ? 1:0;
		gtm->TIM[config->module].CH4_CTRL.B.FLT_CNT_FRQ = config->filterClock;
		gtm->TIM[config->module].CH4_CTRL.B.TIM_EN = 1;
		break;
	case 	IfxGtm_Tim_Channel_5:
		gtm->TIM[config->module].CH5_CTRL.B.ARU_EN = 0;
		gtm->TIM[config->module].CH5_CTRL.B.CLK_SEL = config->clock;
		gtm->TIM[config->module].CH5_CTRL.B.TIM_MODE = config->mode;
		gtm->TIM[config->module].CH5_CTRL.B.GPR0_SEL = config->gpr0Sel;
		gtm->TIM[config->module].CH5_CTRL.B.GPR1_SEL = 3;
		gtm->TIM[config->module].CH5_CTRL.B.CNTS_SEL = 0;
		gtm->TIM[config->module].CH5_CTRL.B.ISL = 1;
		gtm->TIM[config->module].CH5_CTRL.B.DSL = 1;
		gtm->TIM[config->module].CH5_CTRL.B.FLT_EN = (config->filterEnable != FALSE) ? 1:0;
		gtm->TIM[config->module].CH5_CTRL.B.FLT_CNT_FRQ = config->filterClock;
		gtm->TIM[config->module].CH5_CTRL.B.TIM_EN = 1;
		break;
	case 	IfxGtm_Tim_Channel_6:
		gtm->TIM[config->module].CH6_CTRL.B.ARU_EN = 0;
		gtm->TIM[config->module].CH6_CTRL.B.CLK_SEL = config->clock;
		gtm->TIM[config->module].CH6_CTRL.B.TIM_MODE = config->mode;
		gtm->TIM[config->module].CH6_CTRL.B.GPR0_SEL = config->gpr0Sel;
		gtm->TIM[config->module].CH6_CTRL.B.GPR1_SEL = 3;
		gtm->TIM[config->module].CH6_CTRL.B.CNTS_SEL = 0;
		gtm->TIM[config->module].CH6_CTRL.B.ISL = 1;
		gtm->TIM[config->module].CH6_CTRL.B.DSL = 1;
		gtm->TIM[config->module].CH6_CTRL.B.FLT_EN = (config->filterEnable != FALSE) ? 1:0;
		gtm->TIM[config->module].CH6_CTRL.B.FLT_CNT_FRQ = config->filterClock;
		gtm->TIM[config->module].CH6_CTRL.B.TIM_EN = 1;
		break;
	case 	IfxGtm_Tim_Channel_7:
		gtm->TIM[config->module].CH7_CTRL.B.ARU_EN = 0;
		gtm->TIM[config->module].CH7_CTRL.B.CLK_SEL = config->clock;
		gtm->TIM[config->module].CH7_CTRL.B.TIM_MODE = config->mode;
		gtm->TIM[config->module].CH7_CTRL.B.GPR0_SEL = config->gpr0Sel;
		gtm->TIM[config->module].CH7_CTRL.B.GPR1_SEL = 3;
		gtm->TIM[config->module].CH7_CTRL.B.CNTS_SEL = 0;
		gtm->TIM[config->module].CH7_CTRL.B.ISL = 1;
		gtm->TIM[config->module].CH7_CTRL.B.DSL = 1;
		gtm->TIM[config->module].CH7_CTRL.B.FLT_EN = (config->filterEnable != FALSE) ? 1:0;
		gtm->TIM[config->module].CH7_CTRL.B.FLT_CNT_FRQ = config->filterClock;
		gtm->TIM[config->module].CH7_CTRL.B.TIM_EN = 1;
		break;
	default: break;
	}

	gtm->INOUTSEL.TIM[config->module].INSEL.U |= config->chOption<<(4*config->channel);

}

void IfxGtm_Tim_initConfig(IfxGtm_Tim_Config* config)
{


	config->clock = Ifx_Gtm_Tim_Clock_cmuClk0;
	config->mode = Ifx_Gtm_Tim_Mode_measurePwm;
	config->filterEnable = FALSE;
	config->filterClock = Ifx_Gtm_Tim_FilterClock_cmuClk0;
	config->module = IfxGtm_Tim_Module_0;
	config->channel = IfxGtm_Tim_Channel_0;
	config->chOption = IfxGtm_channelOption_0;

}


