/**
 * \file IfxGtm_cfg.c
 * \brief GTM on-chip implementation data.
 *
 *
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 * $Revision: $1417.4
 * $Date: $2013-07-01 15:57:51 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 *
 */
#include "IfxGtm_cfg.h"

/* *INDENT-OFF* */

const IfxGtm_PortMap IfxGtm_cfg_PortMap[IFXGTM_CFG_PORT_MAP_COUNT] = {
    {If_IoOption_a, IfxGtm_PinFeature_tin0, {&MODULE_GTM, {&MODULE_P02, 0}, IfxPort_OutputIdx_general}},

    {If_IoOption_a, IfxGtm_PinFeature_tout0, {&MODULE_GTM, {&MODULE_P02, 0}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout1, {&MODULE_GTM, {&MODULE_P02, 1}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout2, {&MODULE_GTM, {&MODULE_P02, 2}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout3, {&MODULE_GTM, {&MODULE_P02, 3}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout4, {&MODULE_GTM, {&MODULE_P02, 4}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout5, {&MODULE_GTM, {&MODULE_P02, 5}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout6, {&MODULE_GTM, {&MODULE_P02, 6}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout7, {&MODULE_GTM, {&MODULE_P02, 7}, IfxPort_OutputIdx_alt1}},

    { If_IoOption_b, IfxGtm_PinFeature_tout11, {&MODULE_GTM, {&MODULE_P00, 2}, IfxPort_OutputIdx_alt1   }},
    { If_IoOption_b, IfxGtm_PinFeature_tout12, {&MODULE_GTM, {&MODULE_P00, 3}, IfxPort_OutputIdx_alt1   }},
    { If_IoOption_b, IfxGtm_PinFeature_tout13, {&MODULE_GTM, {&MODULE_P00, 4}, IfxPort_OutputIdx_alt1   }},
    { If_IoOption_b, IfxGtm_PinFeature_tout14, {&MODULE_GTM, {&MODULE_P00, 5}, IfxPort_OutputIdx_alt1   }},
    { If_IoOption_b, IfxGtm_PinFeature_tout15, {&MODULE_GTM, {&MODULE_P00, 6}, IfxPort_OutputIdx_alt1   }},
    { If_IoOption_b, IfxGtm_PinFeature_tout16, {&MODULE_GTM, {&MODULE_P00, 7}, IfxPort_OutputIdx_alt1   }},
    { If_IoOption_b, IfxGtm_PinFeature_tout17, {&MODULE_GTM, {&MODULE_P00, 8}, IfxPort_OutputIdx_alt1   }},
    { If_IoOption_b, IfxGtm_PinFeature_tout18, {&MODULE_GTM, {&MODULE_P00, 9}, IfxPort_OutputIdx_alt1   }},

    {If_IoOption_a, IfxGtm_PinFeature_tout80, {&MODULE_GTM, {&MODULE_P14, 0}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout81, {&MODULE_GTM, {&MODULE_P14, 1}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout82, {&MODULE_GTM, {&MODULE_P14, 2}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout83, {&MODULE_GTM, {&MODULE_P14, 3}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout84, {&MODULE_GTM, {&MODULE_P14, 4}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout85, {&MODULE_GTM, {&MODULE_P14, 5}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout86, {&MODULE_GTM, {&MODULE_P14, 6}, IfxPort_OutputIdx_alt1}},
    {If_IoOption_a, IfxGtm_PinFeature_tout88, {&MODULE_GTM, {&MODULE_P14, 8}, IfxPort_OutputIdx_alt1}},

    /* FIXME to be completed */
};
