/**
 * \file IfxPsi5_cfg.h
 * \brief PSI5 on-chip implementation data.
 * \ingroup IfxLld_Psi5
 *
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 * $Revision: $1532.3
 * $Date: $2013-06-26 11:22:17 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 */

#ifndef IFXPSI5_CFG_H_
#define IFXPSI5_CFG_H_

#include <_Reg/IfxPsi5_bf.h>
#include <_Reg/IfxPsi5_reg.h>
#include <Cpu/Std/IfxCpu_Intrinsics.h>
#include <Src/Std/IfxSrc.h>

#define IFXPSI5_NUM_CHANNELS 3

#define IFXPSI5_STEP_RANGE 1024
#define IFXPSI5_WDT_COUNT 7
#define IFXPSI5_SLOT_COUNT 6
#define IFXPSI5_ENABLE_CHANNELTRIGGER   (1 << 8)
#define IFXPSI5_ENABLE_CHANNEL  (1 << 16)

#define IFXPSI5_DEFAULT_SLOWCLOCK_FREQ 4000000
#define IFXPSI5_DEFAULT_FASTCLOCK_FREQ 6000000
#define IFXPSI5_DEFAULT_TIMESTAMP_FREQ 1000000

/** \brief Channel Id */
typedef enum
{
    IfxPsi5_ChannelId_0,         /**< \brief Ifx_PSI5 Channel 0 */
    IfxPsi5_ChannelId_1,         /**< \brief Ifx_PSI5 Channel 1 */
    IfxPsi5_ChannelId_2,         /**< \brief Ifx_PSI5 Channel 2 */
    IfxPsi5_ChannelId_none = -1  /**< \brief None of the Ifx_PSI5 Channels */
} IfxPsi5_ChannelId;

#endif /* IFXPSI5_CFG_H_ */
