/**
 * \file IfxQspi_cfg.h
 * \brief Qspi on-chip implementation data 
 * \ingroup IfxLld_Qspi 
 *
 * \copyright Copyright (c) 2013 Infineon Technologies AG. All rights reserved.
 *
 * $Date: $2013-07-01 15:57:29 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 */

#ifndef IFXQSPI_CFG_H
#define IFXQSPI_CFG_H

#include "Cpu/Std/IfxCpu.h"
#include "Port/Std/IfxPort.h"
#include "_Reg/IfxQspi_reg.h"
#include "Scu/Std/IfxScuWdt.h"
#include "Cpu/Std/IfxCpu_Intrinsics.h"
#include "Scu/Std/IfxScuCcu.h"
#include "_Reg/IfxQspi_bf.h"

/** \brief Specifies Number of Slaves QSPI can select 
 */
#define IFXQSPI_CFG_SLAVE_SELECT_COUNT (    16) 
                
#define IFXQSPI_CFG_HWFIFO_DEPTH (    4) 
                

#endif /* IFXQSPI_CFG_H */

