/**
 * \file IfxPort_PinMap.c
 * \brief PORT I/O map
 * \ingroup IfxLld_Port
 *
 * \version iLLD_1_0_0_3_0
 * \copyright Copyright (c) 2013 Infineon Technologies AG. All rights reserved.
 *
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 */

#include "IfxPort_PinMap.h"

IfxPort_Pin IfxPort_P00_0 = {&MODULE_P00, 0};
IfxPort_Pin IfxPort_P00_1 = {&MODULE_P00, 1};
IfxPort_Pin IfxPort_P00_12 = {&MODULE_P00,12};
IfxPort_Pin IfxPort_P00_2 = {&MODULE_P00, 2};
IfxPort_Pin IfxPort_P00_3 = {&MODULE_P00, 3};
IfxPort_Pin IfxPort_P00_4 = {&MODULE_P00, 4};
IfxPort_Pin IfxPort_P00_5 = {&MODULE_P00, 5};
IfxPort_Pin IfxPort_P00_6 = {&MODULE_P00, 6};
IfxPort_Pin IfxPort_P00_7 = {&MODULE_P00, 7};
IfxPort_Pin IfxPort_P00_8 = {&MODULE_P00, 8};
IfxPort_Pin IfxPort_P00_9 = {&MODULE_P00, 9};
IfxPort_Pin IfxPort_P02_0 = {&MODULE_P02, 0};
IfxPort_Pin IfxPort_P02_1 = {&MODULE_P02, 1};
IfxPort_Pin IfxPort_P02_2 = {&MODULE_P02, 2};
IfxPort_Pin IfxPort_P02_3 = {&MODULE_P02, 3};
IfxPort_Pin IfxPort_P02_4 = {&MODULE_P02, 4};
IfxPort_Pin IfxPort_P02_5 = {&MODULE_P02, 5};
IfxPort_Pin IfxPort_P02_6 = {&MODULE_P02, 6};
IfxPort_Pin IfxPort_P02_7 = {&MODULE_P02, 7};
IfxPort_Pin IfxPort_P02_8 = {&MODULE_P02, 8};
IfxPort_Pin IfxPort_P10_1 = {&MODULE_P10, 1};
IfxPort_Pin IfxPort_P10_2 = {&MODULE_P10, 2};
IfxPort_Pin IfxPort_P10_3 = {&MODULE_P10, 3};
IfxPort_Pin IfxPort_P10_5 = {&MODULE_P10, 5};
IfxPort_Pin IfxPort_P10_6 = {&MODULE_P10, 6};
IfxPort_Pin IfxPort_P11_10 = {&MODULE_P11,10};
IfxPort_Pin IfxPort_P11_11 = {&MODULE_P11,11};
IfxPort_Pin IfxPort_P11_12 = {&MODULE_P11,12};
IfxPort_Pin IfxPort_P11_2 = {&MODULE_P11, 2};
IfxPort_Pin IfxPort_P11_3 = {&MODULE_P11, 3};
IfxPort_Pin IfxPort_P11_6 = {&MODULE_P11, 6};
IfxPort_Pin IfxPort_P11_8 = {&MODULE_P11, 8};
IfxPort_Pin IfxPort_P11_9 = {&MODULE_P11, 9};
IfxPort_Pin IfxPort_P13_0 = {&MODULE_P13, 0};
IfxPort_Pin IfxPort_P13_1 = {&MODULE_P13, 1};
IfxPort_Pin IfxPort_P13_2 = {&MODULE_P13, 2};
IfxPort_Pin IfxPort_P13_3 = {&MODULE_P13, 3};
IfxPort_Pin IfxPort_P14_0 = {&MODULE_P14, 0};
IfxPort_Pin IfxPort_P14_1 = {&MODULE_P14, 1};
IfxPort_Pin IfxPort_P14_2 = {&MODULE_P14, 2};
IfxPort_Pin IfxPort_P14_3 = {&MODULE_P14, 3};
IfxPort_Pin IfxPort_P14_4 = {&MODULE_P14, 4};
IfxPort_Pin IfxPort_P14_5 = {&MODULE_P14, 5};
IfxPort_Pin IfxPort_P14_6 = {&MODULE_P14, 6};
IfxPort_Pin IfxPort_P14_7 = {&MODULE_P14, 7};
IfxPort_Pin IfxPort_P14_8 = {&MODULE_P14, 8};
IfxPort_Pin IfxPort_P15_0 = {&MODULE_P15, 0};
IfxPort_Pin IfxPort_P15_1 = {&MODULE_P15, 1};
IfxPort_Pin IfxPort_P15_2 = {&MODULE_P15, 2};
IfxPort_Pin IfxPort_P15_3 = {&MODULE_P15, 3};
IfxPort_Pin IfxPort_P15_4 = {&MODULE_P15, 4};
IfxPort_Pin IfxPort_P15_5 = {&MODULE_P15, 5};
IfxPort_Pin IfxPort_P15_6 = {&MODULE_P15, 6};
IfxPort_Pin IfxPort_P15_7 = {&MODULE_P15, 7};
IfxPort_Pin IfxPort_P15_8 = {&MODULE_P15, 8};
IfxPort_Pin IfxPort_P20_0 = {&MODULE_P20, 0};
IfxPort_Pin IfxPort_P20_10 = {&MODULE_P20,10};
IfxPort_Pin IfxPort_P20_11 = {&MODULE_P20,11};
IfxPort_Pin IfxPort_P20_12 = {&MODULE_P20,12};
IfxPort_Pin IfxPort_P20_13 = {&MODULE_P20,13};
IfxPort_Pin IfxPort_P20_14 = {&MODULE_P20,14};
IfxPort_Pin IfxPort_P20_3 = {&MODULE_P20, 3};
IfxPort_Pin IfxPort_P20_6 = {&MODULE_P20, 6};
IfxPort_Pin IfxPort_P20_7 = {&MODULE_P20, 7};
IfxPort_Pin IfxPort_P20_8 = {&MODULE_P20, 8};
IfxPort_Pin IfxPort_P20_9 = {&MODULE_P20, 9};
IfxPort_Pin IfxPort_P21_2 = {&MODULE_P21, 2};
IfxPort_Pin IfxPort_P21_3 = {&MODULE_P21, 3};
IfxPort_Pin IfxPort_P21_4 = {&MODULE_P21, 4};
IfxPort_Pin IfxPort_P21_5 = {&MODULE_P21, 5};
IfxPort_Pin IfxPort_P21_6 = {&MODULE_P21, 6};
IfxPort_Pin IfxPort_P21_7 = {&MODULE_P21, 7};
IfxPort_Pin IfxPort_P22_0 = {&MODULE_P22, 0};
IfxPort_Pin IfxPort_P22_1 = {&MODULE_P22, 1};
IfxPort_Pin IfxPort_P22_2 = {&MODULE_P22, 2};
IfxPort_Pin IfxPort_P22_3 = {&MODULE_P22, 3};
IfxPort_Pin IfxPort_P22_4 = {&MODULE_P22, 4};
IfxPort_Pin IfxPort_P23_1 = {&MODULE_P23, 1};
IfxPort_Pin IfxPort_P33_0 = {&MODULE_P33, 0};
IfxPort_Pin IfxPort_P33_1 = {&MODULE_P33, 1};
IfxPort_Pin IfxPort_P33_10 = {&MODULE_P33,10};
IfxPort_Pin IfxPort_P33_11 = {&MODULE_P33,11};
IfxPort_Pin IfxPort_P33_12 = {&MODULE_P33,12};
IfxPort_Pin IfxPort_P33_2 = {&MODULE_P33, 2};
IfxPort_Pin IfxPort_P33_3 = {&MODULE_P33, 3};
IfxPort_Pin IfxPort_P33_4 = {&MODULE_P33, 4};
IfxPort_Pin IfxPort_P33_5 = {&MODULE_P33, 5};
IfxPort_Pin IfxPort_P33_6 = {&MODULE_P33, 6};
IfxPort_Pin IfxPort_P33_7 = {&MODULE_P33, 7};
IfxPort_Pin IfxPort_P33_8 = {&MODULE_P33, 8};
IfxPort_Pin IfxPort_P33_9 = {&MODULE_P33, 9};
IfxPort_Pin IfxPort_P34_0 = {&MODULE_P34, 0};
IfxPort_Pin IfxPort_P34_1 = {&MODULE_P34, 1};
IfxPort_Pin IfxPort_P34_2 = {&MODULE_P34, 2};
IfxPort_Pin IfxPort_P34_3 = {&MODULE_P34, 3};
IfxPort_Pin IfxPort_P40_11 = {&MODULE_P40,11};
IfxPort_Pin IfxPort_P41_0 = {&MODULE_P41, 0};
IfxPort_Pin IfxPort_P41_2 = {&MODULE_P41, 2};
IfxPort_Pin IfxPort_P41_3 = {&MODULE_P41, 3};


const IfxPort_Pin *IfxPort_Pin_pinTable[IFXPORT_PINMAP_NUM_MODULES][IFXPORT_PINMAP_PIN_NUM_ITEMS] = {
    {
        &IfxPort_P00_0,
        &IfxPort_P00_1,
        &IfxPort_P00_2,
        &IfxPort_P00_3,
        &IfxPort_P00_4,
        &IfxPort_P00_5,
        &IfxPort_P00_6,
        &IfxPort_P00_7,
        &IfxPort_P00_8,
        &IfxPort_P00_9,
        NULL_PTR,
        NULL_PTR,
        &IfxPort_P00_12,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        &IfxPort_P02_0,
        &IfxPort_P02_1,
        &IfxPort_P02_2,
        &IfxPort_P02_3,
        &IfxPort_P02_4,
        &IfxPort_P02_5,
        &IfxPort_P02_6,
        &IfxPort_P02_7,
        &IfxPort_P02_8,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        &IfxPort_P10_1,
        &IfxPort_P10_2,
        &IfxPort_P10_3,
        NULL_PTR,
        &IfxPort_P10_5,
        &IfxPort_P10_6,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        &IfxPort_P11_2,
        &IfxPort_P11_3,
        NULL_PTR,
        NULL_PTR,
        &IfxPort_P11_6,
        NULL_PTR,
        &IfxPort_P11_8,
        &IfxPort_P11_9,
        &IfxPort_P11_10,
        &IfxPort_P11_11,
        &IfxPort_P11_12,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        &IfxPort_P13_0,
        &IfxPort_P13_1,
        &IfxPort_P13_2,
        &IfxPort_P13_3,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        &IfxPort_P14_0,
        &IfxPort_P14_1,
        &IfxPort_P14_2,
        &IfxPort_P14_3,
        &IfxPort_P14_4,
        &IfxPort_P14_5,
        &IfxPort_P14_6,
        &IfxPort_P14_7,
        &IfxPort_P14_8,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        &IfxPort_P15_0,
        &IfxPort_P15_1,
        &IfxPort_P15_2,
        &IfxPort_P15_3,
        &IfxPort_P15_4,
        &IfxPort_P15_5,
        &IfxPort_P15_6,
        &IfxPort_P15_7,
        &IfxPort_P15_8,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        &IfxPort_P20_0,
        NULL_PTR,
        NULL_PTR,
        &IfxPort_P20_3,
        NULL_PTR,
        NULL_PTR,
        &IfxPort_P20_6,
        &IfxPort_P20_7,
        &IfxPort_P20_8,
        &IfxPort_P20_9,
        &IfxPort_P20_10,
        &IfxPort_P20_11,
        &IfxPort_P20_12,
        &IfxPort_P20_13,
        &IfxPort_P20_14
    },
    {
        NULL_PTR,
        NULL_PTR,
        &IfxPort_P21_2,
        &IfxPort_P21_3,
        &IfxPort_P21_4,
        &IfxPort_P21_5,
        &IfxPort_P21_6,
        &IfxPort_P21_7,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        &IfxPort_P22_0,
        &IfxPort_P22_1,
        &IfxPort_P22_2,
        &IfxPort_P22_3,
        &IfxPort_P22_4,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        &IfxPort_P23_1,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        &IfxPort_P33_0,
        &IfxPort_P33_1,
        &IfxPort_P33_2,
        &IfxPort_P33_3,
        &IfxPort_P33_4,
        &IfxPort_P33_5,
        &IfxPort_P33_6,
        &IfxPort_P33_7,
        &IfxPort_P33_8,
        &IfxPort_P33_9,
        &IfxPort_P33_10,
        &IfxPort_P33_11,
        &IfxPort_P33_12,
        NULL_PTR,
        NULL_PTR
    },
    {
        &IfxPort_P34_0,
        &IfxPort_P34_1,
        &IfxPort_P34_2,
        &IfxPort_P34_3,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        &IfxPort_P40_11,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    },
    {
        &IfxPort_P41_0,
        NULL_PTR,
        &IfxPort_P41_2,
        &IfxPort_P41_3,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR,
        NULL_PTR
    }
};
