/**
 * \file IfxPort_PinMap.h
 * \brief PORT I/O map
 * \ingroup IfxLld_Port
 *
 * \version iLLD_1_0_0_3_0
 * \copyright Copyright (c) 2013 Infineon Technologies AG. All rights reserved.
 *
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 * \defgroup IfxLld_Port_pinmap PORT Pin Mapping
 * \ingroup IfxLld_Port
 */

#ifndef IFXPORT_PINMAP_H
#define IFXPORT_PINMAP_H

#include <Port/Std/IfxPort.h>

/** \addtogroup IfxLld_Port_pinmap
 * \{ */


IFX_EXTERN IfxPort_Pin IfxPort_P00_0;  /**< \brief IfxPort_P00_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_1;  /**< \brief IfxPort_P00_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_12;  /**< \brief IfxPort_P00_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_2;  /**< \brief IfxPort_P00_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_3;  /**< \brief IfxPort_P00_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_4;  /**< \brief IfxPort_P00_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_5;  /**< \brief IfxPort_P00_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_6;  /**< \brief IfxPort_P00_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_7;  /**< \brief IfxPort_P00_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_8;  /**< \brief IfxPort_P00_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P00_9;  /**< \brief IfxPort_P00_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_0;  /**< \brief IfxPort_P02_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_1;  /**< \brief IfxPort_P02_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_2;  /**< \brief IfxPort_P02_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_3;  /**< \brief IfxPort_P02_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_4;  /**< \brief IfxPort_P02_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_5;  /**< \brief IfxPort_P02_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_6;  /**< \brief IfxPort_P02_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_7;  /**< \brief IfxPort_P02_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P02_8;  /**< \brief IfxPort_P02_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_1;  /**< \brief IfxPort_P10_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_2;  /**< \brief IfxPort_P10_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_3;  /**< \brief IfxPort_P10_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_5;  /**< \brief IfxPort_P10_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P10_6;  /**< \brief IfxPort_P10_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_10;  /**< \brief IfxPort_P11_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_11;  /**< \brief IfxPort_P11_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_12;  /**< \brief IfxPort_P11_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_2;  /**< \brief IfxPort_P11_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_3;  /**< \brief IfxPort_P11_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_6;  /**< \brief IfxPort_P11_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_8;  /**< \brief IfxPort_P11_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P11_9;  /**< \brief IfxPort_P11_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_0;  /**< \brief IfxPort_P13_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_1;  /**< \brief IfxPort_P13_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_2;  /**< \brief IfxPort_P13_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P13_3;  /**< \brief IfxPort_P13_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_0;  /**< \brief IfxPort_P14_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_1;  /**< \brief IfxPort_P14_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_2;  /**< \brief IfxPort_P14_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_3;  /**< \brief IfxPort_P14_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_4;  /**< \brief IfxPort_P14_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_5;  /**< \brief IfxPort_P14_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_6;  /**< \brief IfxPort_P14_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_7;  /**< \brief IfxPort_P14_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P14_8;  /**< \brief IfxPort_P14_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_0;  /**< \brief IfxPort_P15_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_1;  /**< \brief IfxPort_P15_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_2;  /**< \brief IfxPort_P15_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_3;  /**< \brief IfxPort_P15_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_4;  /**< \brief IfxPort_P15_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_5;  /**< \brief IfxPort_P15_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_6;  /**< \brief IfxPort_P15_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_7;  /**< \brief IfxPort_P15_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P15_8;  /**< \brief IfxPort_P15_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_0;  /**< \brief IfxPort_P20_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_10;  /**< \brief IfxPort_P20_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_11;  /**< \brief IfxPort_P20_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_12;  /**< \brief IfxPort_P20_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_13;  /**< \brief IfxPort_P20_13 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_14;  /**< \brief IfxPort_P20_14 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_3;  /**< \brief IfxPort_P20_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_6;  /**< \brief IfxPort_P20_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_7;  /**< \brief IfxPort_P20_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_8;  /**< \brief IfxPort_P20_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P20_9;  /**< \brief IfxPort_P20_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_2;  /**< \brief IfxPort_P21_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_3;  /**< \brief IfxPort_P21_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_4;  /**< \brief IfxPort_P21_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_5;  /**< \brief IfxPort_P21_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_6;  /**< \brief IfxPort_P21_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P21_7;  /**< \brief IfxPort_P21_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_0;  /**< \brief IfxPort_P22_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_1;  /**< \brief IfxPort_P22_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_2;  /**< \brief IfxPort_P22_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_3;  /**< \brief IfxPort_P22_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P22_4;  /**< \brief IfxPort_P22_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P23_1;  /**< \brief IfxPort_P23_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_0;  /**< \brief IfxPort_P33_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_1;  /**< \brief IfxPort_P33_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_10;  /**< \brief IfxPort_P33_10 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_11;  /**< \brief IfxPort_P33_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_12;  /**< \brief IfxPort_P33_12 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_2;  /**< \brief IfxPort_P33_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_3;  /**< \brief IfxPort_P33_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_4;  /**< \brief IfxPort_P33_4 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_5;  /**< \brief IfxPort_P33_5 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_6;  /**< \brief IfxPort_P33_6 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_7;  /**< \brief IfxPort_P33_7 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_8;  /**< \brief IfxPort_P33_8 */
IFX_EXTERN IfxPort_Pin IfxPort_P33_9;  /**< \brief IfxPort_P33_9 */
IFX_EXTERN IfxPort_Pin IfxPort_P34_0;  /**< \brief IfxPort_P34_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P34_1;  /**< \brief IfxPort_P34_1 */
IFX_EXTERN IfxPort_Pin IfxPort_P34_2;  /**< \brief IfxPort_P34_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P34_3;  /**< \brief IfxPort_P34_3 */
IFX_EXTERN IfxPort_Pin IfxPort_P40_11;  /**< \brief IfxPort_P40_11 */
IFX_EXTERN IfxPort_Pin IfxPort_P41_0;  /**< \brief IfxPort_P41_0 */
IFX_EXTERN IfxPort_Pin IfxPort_P41_2;  /**< \brief IfxPort_P41_2 */
IFX_EXTERN IfxPort_Pin IfxPort_P41_3;  /**< \brief IfxPort_P41_3 */

/** \brief Table dimensions */
#define IFXPORT_PINMAP_NUM_MODULES 42
#define IFXPORT_PINMAP_PIN_NUM_ITEMS 15


/** \brief IfxPort_Pin table */
IFX_EXTERN const IfxPort_Pin *IfxPort_Pin_pinTable[IFXPORT_PINMAP_NUM_MODULES][IFXPORT_PINMAP_PIN_NUM_ITEMS];

/** \} */

#endif /* IFXPORT_PINMAP_H */
