/**
 * \file IfxPmu_reg.h
 * \brief
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 *
 * $Revision: $1527.1
 * $Date: $2013-06-10 08:50:06 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 * \defgroup IfxLld_pmu_cfg Pmu address
 * \ingroup IfxLld_pmu
 * 
 * \defgroup IfxLld_pmu_cfg_base_address Base address
 * \ingroup IfxLld_pmu_cfg
 * 
 * \defgroup IfxLld_pmu_cfg_pmu0 2-PMU0
 * \ingroup IfxLld_pmu_cfg
 * 
 */
#ifndef IFXPMU_REG_H
#define IFXPMU_REG_H
/******************************************************************************/
#include "IfxPmu_regdef.h"
/******************************************************************************/
/** \addtogroup IfxLld_pmu_cfg_base_address
 * \{  */

/** \\brief  PMU object */
#define MODULE_PMU0 /*lint --e(923)*/ ((*(Ifx_PMU*)0xF8000500u))
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_pmu_cfg_pmu0
 * \{  */

/** \\brief  8, PMU0 Identification Register */
#define PMU0_ID /*lint --e(923)*/ (*(volatile Ifx_PMU_ID*)0xF8000508u)
/** \}  */
/******************************************************************************/
/******************************************************************************/
#endif /* IFXPMU_REG_H */
