/**
 * \file IfxMc_reg.h
 * \brief
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 *
 * $Revision: $1527.1
 * $Date: $2013-06-10 08:50:00 GMT
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 * \defgroup IfxLld_mc_cfg Mc address
 * \ingroup IfxLld_mc
 * 
 * \defgroup IfxLld_mc_cfg_base_address Base address
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc0 2-MC0
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc1 2-MC1
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc2 2-MC2
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc3 2-MC3
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc4 2-MC4
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc5 2-MC5
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc6 2-MC6
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc7 2-MC7
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc8 2-MC8
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc9 2-MC9
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc10 2-MC10
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc11 2-MC11
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc12 2-MC12
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc13 2-MC13
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc14 2-MC14
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc15 2-MC15
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc16 2-MC16
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc17 2-MC17
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc18 2-MC18
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc19 2-MC19
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc20 2-MC20
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc21 2-MC21
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc22 2-MC22
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc23 2-MC23
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc24 2-MC24
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc25 2-MC25
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc26 2-MC26
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc27 2-MC27
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc28 2-MC28
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc29 2-MC29
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc30 2-MC30
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc31 2-MC31
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc32 2-MC32
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc33 2-MC33
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc34 2-MC34
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc35 2-MC35
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc36 2-MC36
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc37 2-MC37
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc38 2-MC38
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc39 2-MC39
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc40 2-MC40
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc41 2-MC41
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc42 2-MC42
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc43 2-MC43
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc44 2-MC44
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc45 2-MC45
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc46 2-MC46
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc47 2-MC47
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc48 2-MC48
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc49 2-MC49
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc50 2-MC50
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc51 2-MC51
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc52 2-MC52
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc53 2-MC53
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc54 2-MC54
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc55 2-MC55
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc56 2-MC56
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc57 2-MC57
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc58 2-MC58
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc59 2-MC59
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc60 2-MC60
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc61 2-MC61
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc62 2-MC62
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc63 2-MC63
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc64 2-MC64
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc65 2-MC65
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc66 2-MC66
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc67 2-MC67
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc68 2-MC68
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc69 2-MC69
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc70 2-MC70
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc71 2-MC71
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc72 2-MC72
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc73 2-MC73
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc74 2-MC74
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc75 2-MC75
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc76 2-MC76
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc77 2-MC77
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc78 2-MC78
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc79 2-MC79
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc80 2-MC80
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc81 2-MC81
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc82 2-MC82
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc83 2-MC83
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc84 2-MC84
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc85 2-MC85
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc86 2-MC86
 * \ingroup IfxLld_mc_cfg
 * 
 * \defgroup IfxLld_mc_cfg_mc87 2-MC87
 * \ingroup IfxLld_mc_cfg
 * 
 */
#ifndef IFXMC_REG_H
#define IFXMC_REG_H
/******************************************************************************/
#include "IfxMc_regdef.h"
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_base_address
 * \{  */

/** \\brief  MC object */
#define MODULE_MC0 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061000u))

/** \\brief  MC object */
#define MODULE_MC1 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061100u))

/** \\brief  MC object */
#define MODULE_MC10 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061A00u))

/** \\brief  MC object */
#define MODULE_MC11 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061B00u))

/** \\brief  MC object */
#define MODULE_MC12 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061C00u))

/** \\brief  MC object */
#define MODULE_MC13 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061D00u))

/** \\brief  MC object */
#define MODULE_MC14 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061E00u))

/** \\brief  MC object */
#define MODULE_MC15 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061F00u))

/** \\brief  MC object */
#define MODULE_MC16 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062000u))

/** \\brief  MC object */
#define MODULE_MC17 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062100u))

/** \\brief  MC object */
#define MODULE_MC18 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062200u))

/** \\brief  MC object */
#define MODULE_MC19 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062300u))

/** \\brief  MC object */
#define MODULE_MC2 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061200u))

/** \\brief  MC object */
#define MODULE_MC20 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062400u))

/** \\brief  MC object */
#define MODULE_MC21 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062500u))

/** \\brief  MC object */
#define MODULE_MC22 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062600u))

/** \\brief  MC object */
#define MODULE_MC23 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062700u))

/** \\brief  MC object */
#define MODULE_MC24 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062800u))

/** \\brief  MC object */
#define MODULE_MC25 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062900u))

/** \\brief  MC object */
#define MODULE_MC26 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062A00u))

/** \\brief  MC object */
#define MODULE_MC27 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062B00u))

/** \\brief  MC object */
#define MODULE_MC28 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062C00u))

/** \\brief  MC object */
#define MODULE_MC29 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062D00u))

/** \\brief  MC object */
#define MODULE_MC3 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061300u))

/** \\brief  MC object */
#define MODULE_MC30 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062E00u))

/** \\brief  MC object */
#define MODULE_MC31 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0062F00u))

/** \\brief  MC object */
#define MODULE_MC32 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063000u))

/** \\brief  MC object */
#define MODULE_MC33 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063100u))

/** \\brief  MC object */
#define MODULE_MC34 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063200u))

/** \\brief  MC object */
#define MODULE_MC35 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063300u))

/** \\brief  MC object */
#define MODULE_MC36 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063400u))

/** \\brief  MC object */
#define MODULE_MC37 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063500u))

/** \\brief  MC object */
#define MODULE_MC38 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063600u))

/** \\brief  MC object */
#define MODULE_MC39 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063700u))

/** \\brief  MC object */
#define MODULE_MC4 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061400u))

/** \\brief  MC object */
#define MODULE_MC40 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063800u))

/** \\brief  MC object */
#define MODULE_MC41 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063900u))

/** \\brief  MC object */
#define MODULE_MC42 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063A00u))

/** \\brief  MC object */
#define MODULE_MC43 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063B00u))

/** \\brief  MC object */
#define MODULE_MC44 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063C00u))

/** \\brief  MC object */
#define MODULE_MC45 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063D00u))

/** \\brief  MC object */
#define MODULE_MC46 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063E00u))

/** \\brief  MC object */
#define MODULE_MC47 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0063F00u))

/** \\brief  MC object */
#define MODULE_MC48 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064000u))

/** \\brief  MC object */
#define MODULE_MC49 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064100u))

/** \\brief  MC object */
#define MODULE_MC5 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061500u))

/** \\brief  MC object */
#define MODULE_MC50 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064200u))

/** \\brief  MC object */
#define MODULE_MC51 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064300u))

/** \\brief  MC object */
#define MODULE_MC52 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064400u))

/** \\brief  MC object */
#define MODULE_MC53 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064500u))

/** \\brief  MC object */
#define MODULE_MC54 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064600u))

/** \\brief  MC object */
#define MODULE_MC55 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064700u))

/** \\brief  MC object */
#define MODULE_MC56 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064800u))

/** \\brief  MC object */
#define MODULE_MC57 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064900u))

/** \\brief  MC object */
#define MODULE_MC58 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064A00u))

/** \\brief  MC object */
#define MODULE_MC59 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064B00u))

/** \\brief  MC object */
#define MODULE_MC6 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061600u))

/** \\brief  MC object */
#define MODULE_MC60 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064C00u))

/** \\brief  MC object */
#define MODULE_MC61 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064D00u))

/** \\brief  MC object */
#define MODULE_MC62 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064E00u))

/** \\brief  MC object */
#define MODULE_MC63 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0064F00u))

/** \\brief  MC object */
#define MODULE_MC64 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065000u))

/** \\brief  MC object */
#define MODULE_MC65 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065100u))

/** \\brief  MC object */
#define MODULE_MC66 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065200u))

/** \\brief  MC object */
#define MODULE_MC67 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065300u))

/** \\brief  MC object */
#define MODULE_MC68 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065400u))

/** \\brief  MC object */
#define MODULE_MC69 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065500u))

/** \\brief  MC object */
#define MODULE_MC7 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061700u))

/** \\brief  MC object */
#define MODULE_MC70 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065600u))

/** \\brief  MC object */
#define MODULE_MC71 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065700u))

/** \\brief  MC object */
#define MODULE_MC72 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065800u))

/** \\brief  MC object */
#define MODULE_MC73 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065900u))

/** \\brief  MC object */
#define MODULE_MC74 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065A00u))

/** \\brief  MC object */
#define MODULE_MC75 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065B00u))

/** \\brief  MC object */
#define MODULE_MC76 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065C00u))

/** \\brief  MC object */
#define MODULE_MC77 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065D00u))

/** \\brief  MC object */
#define MODULE_MC78 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065E00u))

/** \\brief  MC object */
#define MODULE_MC79 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0065F00u))

/** \\brief  MC object */
#define MODULE_MC8 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061800u))

/** \\brief  MC object */
#define MODULE_MC80 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0066000u))

/** \\brief  MC object */
#define MODULE_MC81 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0066100u))

/** \\brief  MC object */
#define MODULE_MC82 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0066200u))

/** \\brief  MC object */
#define MODULE_MC83 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0066300u))

/** \\brief  MC object */
#define MODULE_MC84 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0066400u))

/** \\brief  MC object */
#define MODULE_MC85 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0066500u))

/** \\brief  MC object */
#define MODULE_MC86 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0066600u))

/** \\brief  MC object */
#define MODULE_MC87 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0066700u))

/** \\brief  MC object */
#define MODULE_MC9 /*lint --e(923)*/ ((*(Ifx_MC*)0xF0061900u))
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc0
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC0_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061000u)

/** \\brief  2, Configuration Register 1 */
#define MC0_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061002u)

/** \\brief  10, Memory ECC Detection Register */
#define MC0_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061010u)

/** \\brief  E, ECC Safety Register */
#define MC0_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006100Eu)

/** \\brief  12, Error Tracking Register */
#define MC0_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061012u)

/** \\brief  14, Error Tracking Register */
#define MC0_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061014u)

/** \\brief  16, Error Tracking Register */
#define MC0_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061016u)

/** \\brief  18, Error Tracking Register */
#define MC0_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061018u)

/** \\brief  1A, Error Tracking Register */
#define MC0_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006101Au)

/** \\brief  4, MBIST Control Register */
#define MC0_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061004u)

/** \\brief  6, Status Register */
#define MC0_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061006u)

/** \\brief  8, Range Register, single address mode */
#define MC0_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061008u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC0_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC0_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC0_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC0_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC0_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC0_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC0_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC0_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC0_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC0_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC0_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC0_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC0_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC0_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC0_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC0_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC0_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC0_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC0_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC0_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC0_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC0_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC0_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC0_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC0_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC0_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC0_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC0_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC0_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC0_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC0_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC0_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC0_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC0_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC0_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC0_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC0_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC0_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC0_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC0_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00610B2u)

/** \\brief  C, Revision ID Register */
#define MC0_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006100Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc1
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC1_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061100u)

/** \\brief  2, Configuration Register 1 */
#define MC1_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061102u)

/** \\brief  10, Memory ECC Detection Register */
#define MC1_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061110u)

/** \\brief  E, ECC Safety Register */
#define MC1_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006110Eu)

/** \\brief  12, Error Tracking Register */
#define MC1_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061112u)

/** \\brief  14, Error Tracking Register */
#define MC1_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061114u)

/** \\brief  16, Error Tracking Register */
#define MC1_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061116u)

/** \\brief  18, Error Tracking Register */
#define MC1_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061118u)

/** \\brief  1A, Error Tracking Register */
#define MC1_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006111Au)

/** \\brief  4, MBIST Control Register */
#define MC1_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061104u)

/** \\brief  6, Status Register */
#define MC1_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061106u)

/** \\brief  8, Range Register, single address mode */
#define MC1_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061108u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC1_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC1_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC1_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC1_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC1_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC1_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC1_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC1_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC1_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC1_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC1_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC1_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC1_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC1_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC1_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC1_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC1_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC1_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC1_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC1_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC1_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC1_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC1_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC1_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC1_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC1_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC1_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC1_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC1_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC1_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC1_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC1_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC1_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC1_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC1_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC1_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC1_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC1_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC1_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC1_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00611B2u)

/** \\brief  C, Revision ID Register */
#define MC1_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006110Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc2
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC2_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061200u)

/** \\brief  2, Configuration Register 1 */
#define MC2_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061202u)

/** \\brief  10, Memory ECC Detection Register */
#define MC2_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061210u)

/** \\brief  E, ECC Safety Register */
#define MC2_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006120Eu)

/** \\brief  12, Error Tracking Register */
#define MC2_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061212u)

/** \\brief  14, Error Tracking Register */
#define MC2_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061214u)

/** \\brief  16, Error Tracking Register */
#define MC2_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061216u)

/** \\brief  18, Error Tracking Register */
#define MC2_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061218u)

/** \\brief  1A, Error Tracking Register */
#define MC2_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006121Au)

/** \\brief  4, MBIST Control Register */
#define MC2_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061204u)

/** \\brief  6, Status Register */
#define MC2_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061206u)

/** \\brief  8, Range Register, single address mode */
#define MC2_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061208u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC2_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC2_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC2_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC2_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC2_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC2_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC2_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC2_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC2_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC2_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC2_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC2_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC2_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC2_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC2_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC2_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC2_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC2_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC2_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC2_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC2_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC2_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC2_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC2_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC2_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC2_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC2_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC2_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC2_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC2_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC2_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC2_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC2_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC2_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC2_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC2_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC2_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC2_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC2_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC2_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00612B2u)

/** \\brief  C, Revision ID Register */
#define MC2_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006120Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc3
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC3_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061300u)

/** \\brief  2, Configuration Register 1 */
#define MC3_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061302u)

/** \\brief  10, Memory ECC Detection Register */
#define MC3_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061310u)

/** \\brief  E, ECC Safety Register */
#define MC3_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006130Eu)

/** \\brief  12, Error Tracking Register */
#define MC3_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061312u)

/** \\brief  14, Error Tracking Register */
#define MC3_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061314u)

/** \\brief  16, Error Tracking Register */
#define MC3_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061316u)

/** \\brief  18, Error Tracking Register */
#define MC3_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061318u)

/** \\brief  1A, Error Tracking Register */
#define MC3_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006131Au)

/** \\brief  4, MBIST Control Register */
#define MC3_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061304u)

/** \\brief  6, Status Register */
#define MC3_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061306u)

/** \\brief  8, Range Register, single address mode */
#define MC3_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061308u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC3_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC3_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC3_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC3_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC3_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC3_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC3_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC3_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC3_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC3_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC3_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC3_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC3_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC3_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC3_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC3_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC3_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC3_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC3_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC3_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC3_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC3_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC3_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC3_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC3_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC3_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC3_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC3_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC3_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC3_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC3_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC3_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC3_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC3_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC3_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC3_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC3_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC3_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC3_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC3_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00613B2u)

/** \\brief  C, Revision ID Register */
#define MC3_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006130Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc4
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC4_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061400u)

/** \\brief  2, Configuration Register 1 */
#define MC4_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061402u)

/** \\brief  10, Memory ECC Detection Register */
#define MC4_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061410u)

/** \\brief  E, ECC Safety Register */
#define MC4_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006140Eu)

/** \\brief  12, Error Tracking Register */
#define MC4_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061412u)

/** \\brief  14, Error Tracking Register */
#define MC4_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061414u)

/** \\brief  16, Error Tracking Register */
#define MC4_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061416u)

/** \\brief  18, Error Tracking Register */
#define MC4_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061418u)

/** \\brief  1A, Error Tracking Register */
#define MC4_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006141Au)

/** \\brief  4, MBIST Control Register */
#define MC4_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061404u)

/** \\brief  6, Status Register */
#define MC4_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061406u)

/** \\brief  8, Range Register, single address mode */
#define MC4_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061408u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC4_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC4_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC4_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC4_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC4_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC4_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC4_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC4_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC4_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC4_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC4_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC4_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC4_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC4_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC4_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC4_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC4_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC4_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC4_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC4_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC4_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC4_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC4_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC4_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC4_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC4_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC4_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC4_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC4_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC4_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC4_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC4_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC4_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC4_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC4_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC4_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC4_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC4_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC4_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC4_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00614B2u)

/** \\brief  C, Revision ID Register */
#define MC4_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006140Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc5
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC5_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061500u)

/** \\brief  2, Configuration Register 1 */
#define MC5_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061502u)

/** \\brief  10, Memory ECC Detection Register */
#define MC5_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061510u)

/** \\brief  E, ECC Safety Register */
#define MC5_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006150Eu)

/** \\brief  12, Error Tracking Register */
#define MC5_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061512u)

/** \\brief  14, Error Tracking Register */
#define MC5_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061514u)

/** \\brief  16, Error Tracking Register */
#define MC5_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061516u)

/** \\brief  18, Error Tracking Register */
#define MC5_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061518u)

/** \\brief  1A, Error Tracking Register */
#define MC5_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006151Au)

/** \\brief  4, MBIST Control Register */
#define MC5_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061504u)

/** \\brief  6, Status Register */
#define MC5_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061506u)

/** \\brief  8, Range Register, single address mode */
#define MC5_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061508u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC5_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC5_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC5_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC5_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC5_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC5_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC5_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC5_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC5_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC5_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC5_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC5_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC5_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC5_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC5_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC5_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC5_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC5_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC5_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC5_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC5_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC5_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC5_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC5_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC5_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC5_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC5_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC5_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC5_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC5_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC5_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC5_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC5_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC5_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC5_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC5_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC5_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC5_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC5_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC5_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00615B2u)

/** \\brief  C, Revision ID Register */
#define MC5_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006150Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc6
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC6_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061600u)

/** \\brief  2, Configuration Register 1 */
#define MC6_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061602u)

/** \\brief  10, Memory ECC Detection Register */
#define MC6_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061610u)

/** \\brief  E, ECC Safety Register */
#define MC6_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006160Eu)

/** \\brief  12, Error Tracking Register */
#define MC6_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061612u)

/** \\brief  14, Error Tracking Register */
#define MC6_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061614u)

/** \\brief  16, Error Tracking Register */
#define MC6_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061616u)

/** \\brief  18, Error Tracking Register */
#define MC6_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061618u)

/** \\brief  1A, Error Tracking Register */
#define MC6_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006161Au)

/** \\brief  4, MBIST Control Register */
#define MC6_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061604u)

/** \\brief  6, Status Register */
#define MC6_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061606u)

/** \\brief  8, Range Register, single address mode */
#define MC6_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061608u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC6_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC6_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC6_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC6_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC6_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC6_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC6_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC6_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC6_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC6_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC6_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC6_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC6_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC6_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC6_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC6_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC6_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC6_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC6_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC6_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC6_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC6_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC6_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC6_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC6_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC6_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC6_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC6_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC6_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC6_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC6_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC6_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC6_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC6_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC6_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC6_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC6_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC6_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC6_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC6_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00616B2u)

/** \\brief  C, Revision ID Register */
#define MC6_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006160Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc7
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC7_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061700u)

/** \\brief  2, Configuration Register 1 */
#define MC7_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061702u)

/** \\brief  10, Memory ECC Detection Register */
#define MC7_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061710u)

/** \\brief  E, ECC Safety Register */
#define MC7_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006170Eu)

/** \\brief  12, Error Tracking Register */
#define MC7_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061712u)

/** \\brief  14, Error Tracking Register */
#define MC7_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061714u)

/** \\brief  16, Error Tracking Register */
#define MC7_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061716u)

/** \\brief  18, Error Tracking Register */
#define MC7_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061718u)

/** \\brief  1A, Error Tracking Register */
#define MC7_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006171Au)

/** \\brief  4, MBIST Control Register */
#define MC7_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061704u)

/** \\brief  6, Status Register */
#define MC7_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061706u)

/** \\brief  8, Range Register, single address mode */
#define MC7_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061708u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC7_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC7_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC7_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC7_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC7_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC7_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC7_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC7_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC7_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC7_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC7_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC7_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC7_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC7_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC7_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC7_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC7_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC7_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC7_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC7_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC7_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC7_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC7_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC7_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC7_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC7_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC7_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC7_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC7_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC7_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC7_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC7_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC7_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC7_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC7_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC7_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC7_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC7_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC7_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC7_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00617B2u)

/** \\brief  C, Revision ID Register */
#define MC7_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006170Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc8
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC8_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061800u)

/** \\brief  2, Configuration Register 1 */
#define MC8_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061802u)

/** \\brief  10, Memory ECC Detection Register */
#define MC8_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061810u)

/** \\brief  E, ECC Safety Register */
#define MC8_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006180Eu)

/** \\brief  12, Error Tracking Register */
#define MC8_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061812u)

/** \\brief  14, Error Tracking Register */
#define MC8_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061814u)

/** \\brief  16, Error Tracking Register */
#define MC8_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061816u)

/** \\brief  18, Error Tracking Register */
#define MC8_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061818u)

/** \\brief  1A, Error Tracking Register */
#define MC8_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006181Au)

/** \\brief  4, MBIST Control Register */
#define MC8_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061804u)

/** \\brief  6, Status Register */
#define MC8_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061806u)

/** \\brief  8, Range Register, single address mode */
#define MC8_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061808u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC8_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC8_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC8_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC8_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC8_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC8_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC8_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC8_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC8_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC8_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC8_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC8_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC8_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC8_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC8_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC8_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC8_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC8_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC8_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC8_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC8_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC8_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC8_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC8_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC8_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC8_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC8_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC8_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC8_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC8_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC8_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC8_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC8_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC8_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC8_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC8_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC8_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC8_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC8_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC8_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00618B2u)

/** \\brief  C, Revision ID Register */
#define MC8_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006180Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc9
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC9_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061900u)

/** \\brief  2, Configuration Register 1 */
#define MC9_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061902u)

/** \\brief  10, Memory ECC Detection Register */
#define MC9_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061910u)

/** \\brief  E, ECC Safety Register */
#define MC9_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006190Eu)

/** \\brief  12, Error Tracking Register */
#define MC9_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061912u)

/** \\brief  14, Error Tracking Register */
#define MC9_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061914u)

/** \\brief  16, Error Tracking Register */
#define MC9_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061916u)

/** \\brief  18, Error Tracking Register */
#define MC9_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061918u)

/** \\brief  1A, Error Tracking Register */
#define MC9_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006191Au)

/** \\brief  4, MBIST Control Register */
#define MC9_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061904u)

/** \\brief  6, Status Register */
#define MC9_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061906u)

/** \\brief  8, Range Register, single address mode */
#define MC9_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061908u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC9_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC9_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC9_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC9_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC9_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC9_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC9_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC9_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC9_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC9_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC9_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC9_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC9_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC9_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC9_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC9_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC9_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC9_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC9_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC9_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC9_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC9_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC9_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC9_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC9_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC9_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC9_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC9_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC9_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC9_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC9_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC9_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC9_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC9_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC9_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC9_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC9_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC9_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC9_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC9_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00619B2u)

/** \\brief  C, Revision ID Register */
#define MC9_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006190Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc10
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC10_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061A00u)

/** \\brief  2, Configuration Register 1 */
#define MC10_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061A02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC10_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061A10u)

/** \\brief  E, ECC Safety Register */
#define MC10_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0061A0Eu)

/** \\brief  12, Error Tracking Register */
#define MC10_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061A12u)

/** \\brief  14, Error Tracking Register */
#define MC10_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061A14u)

/** \\brief  16, Error Tracking Register */
#define MC10_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061A16u)

/** \\brief  18, Error Tracking Register */
#define MC10_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061A18u)

/** \\brief  1A, Error Tracking Register */
#define MC10_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061A1Au)

/** \\brief  4, MBIST Control Register */
#define MC10_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061A04u)

/** \\brief  6, Status Register */
#define MC10_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061A06u)

/** \\brief  8, Range Register, single address mode */
#define MC10_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061A08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC10_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC10_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC10_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC10_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC10_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC10_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ABAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC10_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ABCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC10_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ABEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC10_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC10_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC10_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC10_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC10_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC10_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC10_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ACAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC10_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ACCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC10_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ACEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC10_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC10_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC10_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC10_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC10_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC10_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ADAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC10_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC10_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ADCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC10_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ADEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC10_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC10_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC10_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC10_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC10_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC10_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC10_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC10_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC10_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC10_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC10_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC10_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC10_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC10_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061AB2u)

/** \\brief  C, Revision ID Register */
#define MC10_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0061A0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc11
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC11_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061B00u)

/** \\brief  2, Configuration Register 1 */
#define MC11_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061B02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC11_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061B10u)

/** \\brief  E, ECC Safety Register */
#define MC11_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0061B0Eu)

/** \\brief  12, Error Tracking Register */
#define MC11_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061B12u)

/** \\brief  14, Error Tracking Register */
#define MC11_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061B14u)

/** \\brief  16, Error Tracking Register */
#define MC11_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061B16u)

/** \\brief  18, Error Tracking Register */
#define MC11_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061B18u)

/** \\brief  1A, Error Tracking Register */
#define MC11_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061B1Au)

/** \\brief  4, MBIST Control Register */
#define MC11_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061B04u)

/** \\brief  6, Status Register */
#define MC11_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061B06u)

/** \\brief  8, Range Register, single address mode */
#define MC11_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061B08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC11_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC11_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC11_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC11_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC11_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC11_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC11_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC11_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC11_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC11_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC11_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC11_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC11_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC11_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC11_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC11_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC11_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC11_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC11_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC11_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC11_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC11_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC11_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC11_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC11_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC11_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC11_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC11_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC11_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC11_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC11_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC11_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC11_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC11_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC11_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC11_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC11_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC11_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC11_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC11_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061BB2u)

/** \\brief  C, Revision ID Register */
#define MC11_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0061B0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc12
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC12_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061C00u)

/** \\brief  2, Configuration Register 1 */
#define MC12_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061C02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC12_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061C10u)

/** \\brief  E, ECC Safety Register */
#define MC12_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0061C0Eu)

/** \\brief  12, Error Tracking Register */
#define MC12_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061C12u)

/** \\brief  14, Error Tracking Register */
#define MC12_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061C14u)

/** \\brief  16, Error Tracking Register */
#define MC12_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061C16u)

/** \\brief  18, Error Tracking Register */
#define MC12_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061C18u)

/** \\brief  1A, Error Tracking Register */
#define MC12_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061C1Au)

/** \\brief  4, MBIST Control Register */
#define MC12_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061C04u)

/** \\brief  6, Status Register */
#define MC12_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061C06u)

/** \\brief  8, Range Register, single address mode */
#define MC12_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061C08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC12_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC12_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC12_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC12_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC12_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC12_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC12_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC12_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC12_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC12_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC12_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC12_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC12_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC12_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC12_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC12_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC12_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC12_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC12_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC12_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC12_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC12_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC12_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC12_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC12_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC12_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC12_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC12_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC12_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC12_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC12_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC12_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC12_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC12_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC12_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC12_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC12_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC12_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC12_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC12_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061CB2u)

/** \\brief  C, Revision ID Register */
#define MC12_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0061C0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc13
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC13_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061D00u)

/** \\brief  2, Configuration Register 1 */
#define MC13_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061D02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC13_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061D10u)

/** \\brief  E, ECC Safety Register */
#define MC13_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0061D0Eu)

/** \\brief  12, Error Tracking Register */
#define MC13_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061D12u)

/** \\brief  14, Error Tracking Register */
#define MC13_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061D14u)

/** \\brief  16, Error Tracking Register */
#define MC13_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061D16u)

/** \\brief  18, Error Tracking Register */
#define MC13_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061D18u)

/** \\brief  1A, Error Tracking Register */
#define MC13_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061D1Au)

/** \\brief  4, MBIST Control Register */
#define MC13_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061D04u)

/** \\brief  6, Status Register */
#define MC13_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061D06u)

/** \\brief  8, Range Register, single address mode */
#define MC13_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061D08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC13_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC13_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC13_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC13_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC13_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC13_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC13_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC13_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC13_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC13_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC13_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC13_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC13_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC13_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC13_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC13_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC13_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC13_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC13_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC13_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC13_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC13_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC13_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC13_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC13_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC13_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC13_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC13_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC13_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC13_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC13_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC13_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC13_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC13_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC13_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC13_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC13_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC13_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC13_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC13_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061DB2u)

/** \\brief  C, Revision ID Register */
#define MC13_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0061D0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc14
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC14_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061E00u)

/** \\brief  2, Configuration Register 1 */
#define MC14_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061E02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC14_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061E10u)

/** \\brief  E, ECC Safety Register */
#define MC14_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0061E0Eu)

/** \\brief  12, Error Tracking Register */
#define MC14_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061E12u)

/** \\brief  14, Error Tracking Register */
#define MC14_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061E14u)

/** \\brief  16, Error Tracking Register */
#define MC14_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061E16u)

/** \\brief  18, Error Tracking Register */
#define MC14_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061E18u)

/** \\brief  1A, Error Tracking Register */
#define MC14_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061E1Au)

/** \\brief  4, MBIST Control Register */
#define MC14_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061E04u)

/** \\brief  6, Status Register */
#define MC14_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061E06u)

/** \\brief  8, Range Register, single address mode */
#define MC14_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061E08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC14_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC14_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC14_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC14_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC14_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC14_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC14_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC14_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC14_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC14_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC14_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC14_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC14_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC14_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC14_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ECAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC14_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ECCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC14_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ECEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC14_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ED0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC14_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ED2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC14_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ED4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC14_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ED6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC14_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061ED8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC14_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC14_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC14_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC14_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC14_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC14_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC14_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC14_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC14_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC14_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC14_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC14_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC14_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC14_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC14_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC14_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC14_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC14_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061EB2u)

/** \\brief  C, Revision ID Register */
#define MC14_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0061E0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc15
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC15_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0061F00u)

/** \\brief  2, Configuration Register 1 */
#define MC15_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0061F02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC15_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0061F10u)

/** \\brief  E, ECC Safety Register */
#define MC15_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0061F0Eu)

/** \\brief  12, Error Tracking Register */
#define MC15_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061F12u)

/** \\brief  14, Error Tracking Register */
#define MC15_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061F14u)

/** \\brief  16, Error Tracking Register */
#define MC15_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061F16u)

/** \\brief  18, Error Tracking Register */
#define MC15_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061F18u)

/** \\brief  1A, Error Tracking Register */
#define MC15_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0061F1Au)

/** \\brief  4, MBIST Control Register */
#define MC15_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0061F04u)

/** \\brief  6, Status Register */
#define MC15_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0061F06u)

/** \\brief  8, Range Register, single address mode */
#define MC15_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0061F08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC15_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC15_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC15_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC15_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC15_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC15_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC15_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC15_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC15_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC15_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC15_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC15_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC15_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC15_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC15_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC15_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC15_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC15_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC15_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC15_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC15_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC15_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC15_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC15_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC15_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC15_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC15_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC15_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC15_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC15_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC15_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC15_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC15_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC15_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC15_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC15_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC15_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC15_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC15_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC15_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0061FB2u)

/** \\brief  C, Revision ID Register */
#define MC15_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0061F0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc16
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC16_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062000u)

/** \\brief  2, Configuration Register 1 */
#define MC16_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062002u)

/** \\brief  10, Memory ECC Detection Register */
#define MC16_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062010u)

/** \\brief  E, ECC Safety Register */
#define MC16_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006200Eu)

/** \\brief  12, Error Tracking Register */
#define MC16_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062012u)

/** \\brief  14, Error Tracking Register */
#define MC16_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062014u)

/** \\brief  16, Error Tracking Register */
#define MC16_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062016u)

/** \\brief  18, Error Tracking Register */
#define MC16_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062018u)

/** \\brief  1A, Error Tracking Register */
#define MC16_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006201Au)

/** \\brief  4, MBIST Control Register */
#define MC16_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062004u)

/** \\brief  6, Status Register */
#define MC16_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062006u)

/** \\brief  8, Range Register, single address mode */
#define MC16_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062008u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC16_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC16_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC16_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC16_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC16_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC16_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC16_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC16_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC16_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC16_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC16_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC16_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC16_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC16_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC16_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC16_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC16_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC16_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC16_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC16_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC16_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC16_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC16_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC16_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC16_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC16_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC16_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC16_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC16_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC16_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC16_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC16_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC16_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC16_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC16_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC16_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC16_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC16_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC16_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC16_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00620B2u)

/** \\brief  C, Revision ID Register */
#define MC16_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006200Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc17
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC17_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062100u)

/** \\brief  2, Configuration Register 1 */
#define MC17_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062102u)

/** \\brief  10, Memory ECC Detection Register */
#define MC17_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062110u)

/** \\brief  E, ECC Safety Register */
#define MC17_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006210Eu)

/** \\brief  12, Error Tracking Register */
#define MC17_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062112u)

/** \\brief  14, Error Tracking Register */
#define MC17_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062114u)

/** \\brief  16, Error Tracking Register */
#define MC17_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062116u)

/** \\brief  18, Error Tracking Register */
#define MC17_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062118u)

/** \\brief  1A, Error Tracking Register */
#define MC17_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006211Au)

/** \\brief  4, MBIST Control Register */
#define MC17_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062104u)

/** \\brief  6, Status Register */
#define MC17_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062106u)

/** \\brief  8, Range Register, single address mode */
#define MC17_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062108u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC17_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC17_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC17_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC17_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC17_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC17_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC17_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC17_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC17_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC17_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC17_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC17_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC17_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC17_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC17_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC17_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC17_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC17_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC17_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC17_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC17_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC17_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC17_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC17_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC17_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC17_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC17_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC17_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC17_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC17_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC17_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC17_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC17_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC17_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC17_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC17_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC17_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC17_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC17_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC17_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00621B2u)

/** \\brief  C, Revision ID Register */
#define MC17_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006210Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc18
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC18_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062200u)

/** \\brief  2, Configuration Register 1 */
#define MC18_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062202u)

/** \\brief  10, Memory ECC Detection Register */
#define MC18_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062210u)

/** \\brief  E, ECC Safety Register */
#define MC18_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006220Eu)

/** \\brief  12, Error Tracking Register */
#define MC18_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062212u)

/** \\brief  14, Error Tracking Register */
#define MC18_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062214u)

/** \\brief  16, Error Tracking Register */
#define MC18_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062216u)

/** \\brief  18, Error Tracking Register */
#define MC18_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062218u)

/** \\brief  1A, Error Tracking Register */
#define MC18_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006221Au)

/** \\brief  4, MBIST Control Register */
#define MC18_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062204u)

/** \\brief  6, Status Register */
#define MC18_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062206u)

/** \\brief  8, Range Register, single address mode */
#define MC18_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062208u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC18_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC18_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC18_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC18_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC18_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC18_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC18_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC18_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC18_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC18_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC18_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC18_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC18_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC18_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC18_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC18_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC18_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC18_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC18_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC18_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC18_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC18_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC18_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC18_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC18_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC18_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC18_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC18_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC18_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC18_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC18_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC18_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC18_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC18_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC18_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC18_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC18_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC18_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC18_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC18_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00622B2u)

/** \\brief  C, Revision ID Register */
#define MC18_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006220Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc19
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC19_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062300u)

/** \\brief  2, Configuration Register 1 */
#define MC19_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062302u)

/** \\brief  10, Memory ECC Detection Register */
#define MC19_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062310u)

/** \\brief  E, ECC Safety Register */
#define MC19_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006230Eu)

/** \\brief  12, Error Tracking Register */
#define MC19_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062312u)

/** \\brief  14, Error Tracking Register */
#define MC19_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062314u)

/** \\brief  16, Error Tracking Register */
#define MC19_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062316u)

/** \\brief  18, Error Tracking Register */
#define MC19_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062318u)

/** \\brief  1A, Error Tracking Register */
#define MC19_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006231Au)

/** \\brief  4, MBIST Control Register */
#define MC19_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062304u)

/** \\brief  6, Status Register */
#define MC19_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062306u)

/** \\brief  8, Range Register, single address mode */
#define MC19_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062308u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC19_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC19_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC19_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC19_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC19_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC19_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC19_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC19_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC19_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC19_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC19_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC19_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC19_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC19_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC19_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC19_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC19_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC19_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC19_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC19_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC19_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC19_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC19_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC19_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC19_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC19_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC19_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC19_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC19_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC19_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC19_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC19_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC19_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC19_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC19_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC19_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC19_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC19_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC19_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC19_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00623B2u)

/** \\brief  C, Revision ID Register */
#define MC19_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006230Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc20
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC20_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062400u)

/** \\brief  2, Configuration Register 1 */
#define MC20_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062402u)

/** \\brief  10, Memory ECC Detection Register */
#define MC20_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062410u)

/** \\brief  E, ECC Safety Register */
#define MC20_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006240Eu)

/** \\brief  12, Error Tracking Register */
#define MC20_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062412u)

/** \\brief  14, Error Tracking Register */
#define MC20_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062414u)

/** \\brief  16, Error Tracking Register */
#define MC20_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062416u)

/** \\brief  18, Error Tracking Register */
#define MC20_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062418u)

/** \\brief  1A, Error Tracking Register */
#define MC20_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006241Au)

/** \\brief  4, MBIST Control Register */
#define MC20_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062404u)

/** \\brief  6, Status Register */
#define MC20_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062406u)

/** \\brief  8, Range Register, single address mode */
#define MC20_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062408u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC20_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC20_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC20_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC20_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC20_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC20_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC20_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC20_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC20_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC20_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC20_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC20_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC20_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC20_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC20_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC20_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC20_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC20_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC20_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC20_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC20_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC20_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC20_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC20_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC20_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC20_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC20_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC20_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC20_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC20_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC20_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC20_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC20_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC20_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC20_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC20_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC20_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC20_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC20_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC20_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00624B2u)

/** \\brief  C, Revision ID Register */
#define MC20_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006240Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc21
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC21_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062500u)

/** \\brief  2, Configuration Register 1 */
#define MC21_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062502u)

/** \\brief  10, Memory ECC Detection Register */
#define MC21_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062510u)

/** \\brief  E, ECC Safety Register */
#define MC21_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006250Eu)

/** \\brief  12, Error Tracking Register */
#define MC21_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062512u)

/** \\brief  14, Error Tracking Register */
#define MC21_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062514u)

/** \\brief  16, Error Tracking Register */
#define MC21_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062516u)

/** \\brief  18, Error Tracking Register */
#define MC21_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062518u)

/** \\brief  1A, Error Tracking Register */
#define MC21_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006251Au)

/** \\brief  4, MBIST Control Register */
#define MC21_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062504u)

/** \\brief  6, Status Register */
#define MC21_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062506u)

/** \\brief  8, Range Register, single address mode */
#define MC21_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062508u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC21_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC21_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC21_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC21_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC21_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC21_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC21_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC21_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC21_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC21_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC21_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC21_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC21_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC21_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC21_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC21_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC21_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC21_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC21_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC21_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC21_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC21_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC21_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC21_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC21_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC21_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC21_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC21_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC21_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC21_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC21_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC21_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC21_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC21_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC21_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC21_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC21_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC21_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC21_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC21_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00625B2u)

/** \\brief  C, Revision ID Register */
#define MC21_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006250Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc22
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC22_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062600u)

/** \\brief  2, Configuration Register 1 */
#define MC22_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062602u)

/** \\brief  10, Memory ECC Detection Register */
#define MC22_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062610u)

/** \\brief  E, ECC Safety Register */
#define MC22_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006260Eu)

/** \\brief  12, Error Tracking Register */
#define MC22_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062612u)

/** \\brief  14, Error Tracking Register */
#define MC22_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062614u)

/** \\brief  16, Error Tracking Register */
#define MC22_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062616u)

/** \\brief  18, Error Tracking Register */
#define MC22_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062618u)

/** \\brief  1A, Error Tracking Register */
#define MC22_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006261Au)

/** \\brief  4, MBIST Control Register */
#define MC22_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062604u)

/** \\brief  6, Status Register */
#define MC22_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062606u)

/** \\brief  8, Range Register, single address mode */
#define MC22_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062608u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC22_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC22_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC22_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC22_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC22_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC22_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC22_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC22_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC22_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC22_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC22_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC22_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC22_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC22_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC22_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC22_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC22_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC22_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC22_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC22_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC22_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC22_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC22_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC22_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC22_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC22_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC22_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC22_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC22_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC22_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC22_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC22_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC22_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC22_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC22_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC22_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC22_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC22_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC22_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC22_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00626B2u)

/** \\brief  C, Revision ID Register */
#define MC22_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006260Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc23
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC23_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062700u)

/** \\brief  2, Configuration Register 1 */
#define MC23_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062702u)

/** \\brief  10, Memory ECC Detection Register */
#define MC23_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062710u)

/** \\brief  E, ECC Safety Register */
#define MC23_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006270Eu)

/** \\brief  12, Error Tracking Register */
#define MC23_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062712u)

/** \\brief  14, Error Tracking Register */
#define MC23_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062714u)

/** \\brief  16, Error Tracking Register */
#define MC23_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062716u)

/** \\brief  18, Error Tracking Register */
#define MC23_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062718u)

/** \\brief  1A, Error Tracking Register */
#define MC23_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006271Au)

/** \\brief  4, MBIST Control Register */
#define MC23_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062704u)

/** \\brief  6, Status Register */
#define MC23_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062706u)

/** \\brief  8, Range Register, single address mode */
#define MC23_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062708u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC23_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC23_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC23_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC23_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC23_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC23_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC23_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC23_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC23_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC23_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC23_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC23_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC23_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC23_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC23_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC23_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC23_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC23_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC23_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC23_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC23_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC23_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC23_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC23_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC23_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC23_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC23_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC23_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC23_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC23_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC23_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC23_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC23_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC23_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC23_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC23_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC23_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC23_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC23_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC23_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00627B2u)

/** \\brief  C, Revision ID Register */
#define MC23_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006270Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc24
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC24_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062800u)

/** \\brief  2, Configuration Register 1 */
#define MC24_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062802u)

/** \\brief  10, Memory ECC Detection Register */
#define MC24_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062810u)

/** \\brief  E, ECC Safety Register */
#define MC24_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006280Eu)

/** \\brief  12, Error Tracking Register */
#define MC24_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062812u)

/** \\brief  14, Error Tracking Register */
#define MC24_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062814u)

/** \\brief  16, Error Tracking Register */
#define MC24_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062816u)

/** \\brief  18, Error Tracking Register */
#define MC24_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062818u)

/** \\brief  1A, Error Tracking Register */
#define MC24_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006281Au)

/** \\brief  4, MBIST Control Register */
#define MC24_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062804u)

/** \\brief  6, Status Register */
#define MC24_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062806u)

/** \\brief  8, Range Register, single address mode */
#define MC24_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062808u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC24_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC24_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC24_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC24_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC24_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC24_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC24_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC24_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC24_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC24_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC24_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC24_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC24_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC24_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC24_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC24_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC24_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC24_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC24_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC24_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC24_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC24_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC24_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC24_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC24_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC24_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC24_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC24_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC24_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC24_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC24_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC24_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC24_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC24_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC24_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC24_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC24_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC24_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC24_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC24_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00628B2u)

/** \\brief  C, Revision ID Register */
#define MC24_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006280Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc25
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC25_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062900u)

/** \\brief  2, Configuration Register 1 */
#define MC25_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062902u)

/** \\brief  10, Memory ECC Detection Register */
#define MC25_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062910u)

/** \\brief  E, ECC Safety Register */
#define MC25_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006290Eu)

/** \\brief  12, Error Tracking Register */
#define MC25_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062912u)

/** \\brief  14, Error Tracking Register */
#define MC25_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062914u)

/** \\brief  16, Error Tracking Register */
#define MC25_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062916u)

/** \\brief  18, Error Tracking Register */
#define MC25_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062918u)

/** \\brief  1A, Error Tracking Register */
#define MC25_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006291Au)

/** \\brief  4, MBIST Control Register */
#define MC25_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062904u)

/** \\brief  6, Status Register */
#define MC25_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062906u)

/** \\brief  8, Range Register, single address mode */
#define MC25_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062908u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC25_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC25_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC25_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC25_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC25_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC25_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC25_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC25_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC25_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC25_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC25_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC25_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC25_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC25_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC25_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC25_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC25_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC25_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC25_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC25_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC25_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC25_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC25_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC25_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC25_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC25_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC25_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC25_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC25_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC25_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC25_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC25_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC25_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC25_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC25_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC25_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC25_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC25_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC25_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC25_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00629B2u)

/** \\brief  C, Revision ID Register */
#define MC25_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006290Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc26
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC26_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062A00u)

/** \\brief  2, Configuration Register 1 */
#define MC26_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062A02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC26_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062A10u)

/** \\brief  E, ECC Safety Register */
#define MC26_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0062A0Eu)

/** \\brief  12, Error Tracking Register */
#define MC26_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062A12u)

/** \\brief  14, Error Tracking Register */
#define MC26_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062A14u)

/** \\brief  16, Error Tracking Register */
#define MC26_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062A16u)

/** \\brief  18, Error Tracking Register */
#define MC26_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062A18u)

/** \\brief  1A, Error Tracking Register */
#define MC26_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062A1Au)

/** \\brief  4, MBIST Control Register */
#define MC26_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062A04u)

/** \\brief  6, Status Register */
#define MC26_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062A06u)

/** \\brief  8, Range Register, single address mode */
#define MC26_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062A08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC26_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC26_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC26_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC26_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC26_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC26_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ABAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC26_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ABCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC26_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ABEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC26_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC26_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC26_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC26_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC26_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC26_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC26_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ACAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC26_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ACCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC26_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ACEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC26_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC26_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC26_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC26_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC26_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC26_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ADAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC26_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC26_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ADCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC26_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ADEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC26_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC26_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC26_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC26_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC26_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC26_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC26_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC26_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC26_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC26_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC26_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC26_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC26_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC26_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062AB2u)

/** \\brief  C, Revision ID Register */
#define MC26_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0062A0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc27
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC27_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062B00u)

/** \\brief  2, Configuration Register 1 */
#define MC27_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062B02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC27_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062B10u)

/** \\brief  E, ECC Safety Register */
#define MC27_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0062B0Eu)

/** \\brief  12, Error Tracking Register */
#define MC27_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062B12u)

/** \\brief  14, Error Tracking Register */
#define MC27_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062B14u)

/** \\brief  16, Error Tracking Register */
#define MC27_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062B16u)

/** \\brief  18, Error Tracking Register */
#define MC27_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062B18u)

/** \\brief  1A, Error Tracking Register */
#define MC27_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062B1Au)

/** \\brief  4, MBIST Control Register */
#define MC27_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062B04u)

/** \\brief  6, Status Register */
#define MC27_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062B06u)

/** \\brief  8, Range Register, single address mode */
#define MC27_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062B08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC27_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC27_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC27_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC27_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC27_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC27_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC27_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC27_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC27_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC27_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC27_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC27_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC27_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC27_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC27_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC27_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC27_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC27_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC27_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC27_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC27_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC27_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC27_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC27_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC27_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC27_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC27_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC27_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC27_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC27_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC27_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC27_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC27_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC27_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC27_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC27_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC27_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC27_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC27_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC27_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062BB2u)

/** \\brief  C, Revision ID Register */
#define MC27_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0062B0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc28
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC28_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062C00u)

/** \\brief  2, Configuration Register 1 */
#define MC28_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062C02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC28_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062C10u)

/** \\brief  E, ECC Safety Register */
#define MC28_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0062C0Eu)

/** \\brief  12, Error Tracking Register */
#define MC28_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062C12u)

/** \\brief  14, Error Tracking Register */
#define MC28_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062C14u)

/** \\brief  16, Error Tracking Register */
#define MC28_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062C16u)

/** \\brief  18, Error Tracking Register */
#define MC28_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062C18u)

/** \\brief  1A, Error Tracking Register */
#define MC28_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062C1Au)

/** \\brief  4, MBIST Control Register */
#define MC28_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062C04u)

/** \\brief  6, Status Register */
#define MC28_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062C06u)

/** \\brief  8, Range Register, single address mode */
#define MC28_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062C08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC28_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC28_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC28_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC28_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC28_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC28_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC28_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC28_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC28_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC28_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC28_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC28_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC28_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC28_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC28_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC28_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC28_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC28_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC28_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC28_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC28_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC28_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC28_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC28_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC28_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC28_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC28_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC28_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC28_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC28_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC28_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC28_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC28_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC28_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC28_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC28_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC28_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC28_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC28_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC28_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062CB2u)

/** \\brief  C, Revision ID Register */
#define MC28_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0062C0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc29
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC29_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062D00u)

/** \\brief  2, Configuration Register 1 */
#define MC29_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062D02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC29_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062D10u)

/** \\brief  E, ECC Safety Register */
#define MC29_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0062D0Eu)

/** \\brief  12, Error Tracking Register */
#define MC29_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062D12u)

/** \\brief  14, Error Tracking Register */
#define MC29_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062D14u)

/** \\brief  16, Error Tracking Register */
#define MC29_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062D16u)

/** \\brief  18, Error Tracking Register */
#define MC29_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062D18u)

/** \\brief  1A, Error Tracking Register */
#define MC29_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062D1Au)

/** \\brief  4, MBIST Control Register */
#define MC29_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062D04u)

/** \\brief  6, Status Register */
#define MC29_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062D06u)

/** \\brief  8, Range Register, single address mode */
#define MC29_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062D08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC29_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC29_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC29_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC29_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC29_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC29_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC29_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC29_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC29_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC29_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC29_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC29_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC29_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC29_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC29_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC29_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC29_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC29_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC29_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC29_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC29_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC29_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC29_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC29_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC29_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC29_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC29_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC29_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC29_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC29_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC29_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC29_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC29_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC29_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC29_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC29_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC29_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC29_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC29_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC29_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062DB2u)

/** \\brief  C, Revision ID Register */
#define MC29_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0062D0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc30
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC30_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062E00u)

/** \\brief  2, Configuration Register 1 */
#define MC30_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062E02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC30_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062E10u)

/** \\brief  E, ECC Safety Register */
#define MC30_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0062E0Eu)

/** \\brief  12, Error Tracking Register */
#define MC30_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062E12u)

/** \\brief  14, Error Tracking Register */
#define MC30_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062E14u)

/** \\brief  16, Error Tracking Register */
#define MC30_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062E16u)

/** \\brief  18, Error Tracking Register */
#define MC30_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062E18u)

/** \\brief  1A, Error Tracking Register */
#define MC30_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062E1Au)

/** \\brief  4, MBIST Control Register */
#define MC30_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062E04u)

/** \\brief  6, Status Register */
#define MC30_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062E06u)

/** \\brief  8, Range Register, single address mode */
#define MC30_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062E08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC30_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC30_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC30_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC30_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC30_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC30_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC30_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC30_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC30_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC30_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC30_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC30_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC30_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC30_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC30_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ECAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC30_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ECCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC30_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ECEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC30_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ED0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC30_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ED2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC30_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ED4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC30_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ED6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC30_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062ED8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC30_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC30_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC30_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC30_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC30_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC30_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC30_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC30_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC30_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC30_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC30_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC30_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC30_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC30_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC30_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC30_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC30_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC30_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062EB2u)

/** \\brief  C, Revision ID Register */
#define MC30_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0062E0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc31
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC31_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0062F00u)

/** \\brief  2, Configuration Register 1 */
#define MC31_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0062F02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC31_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0062F10u)

/** \\brief  E, ECC Safety Register */
#define MC31_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0062F0Eu)

/** \\brief  12, Error Tracking Register */
#define MC31_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062F12u)

/** \\brief  14, Error Tracking Register */
#define MC31_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062F14u)

/** \\brief  16, Error Tracking Register */
#define MC31_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062F16u)

/** \\brief  18, Error Tracking Register */
#define MC31_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062F18u)

/** \\brief  1A, Error Tracking Register */
#define MC31_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0062F1Au)

/** \\brief  4, MBIST Control Register */
#define MC31_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0062F04u)

/** \\brief  6, Status Register */
#define MC31_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0062F06u)

/** \\brief  8, Range Register, single address mode */
#define MC31_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0062F08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC31_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC31_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC31_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC31_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC31_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC31_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC31_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC31_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC31_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC31_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC31_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC31_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC31_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC31_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC31_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC31_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC31_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC31_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC31_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC31_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC31_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC31_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC31_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC31_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC31_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC31_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC31_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC31_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC31_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC31_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC31_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC31_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC31_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC31_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC31_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC31_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC31_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC31_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC31_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC31_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0062FB2u)

/** \\brief  C, Revision ID Register */
#define MC31_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0062F0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc32
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC32_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063000u)

/** \\brief  2, Configuration Register 1 */
#define MC32_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063002u)

/** \\brief  10, Memory ECC Detection Register */
#define MC32_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063010u)

/** \\brief  E, ECC Safety Register */
#define MC32_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006300Eu)

/** \\brief  12, Error Tracking Register */
#define MC32_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063012u)

/** \\brief  14, Error Tracking Register */
#define MC32_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063014u)

/** \\brief  16, Error Tracking Register */
#define MC32_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063016u)

/** \\brief  18, Error Tracking Register */
#define MC32_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063018u)

/** \\brief  1A, Error Tracking Register */
#define MC32_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006301Au)

/** \\brief  4, MBIST Control Register */
#define MC32_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063004u)

/** \\brief  6, Status Register */
#define MC32_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063006u)

/** \\brief  8, Range Register, single address mode */
#define MC32_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063008u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC32_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC32_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC32_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC32_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC32_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC32_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC32_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC32_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC32_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC32_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC32_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC32_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC32_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC32_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC32_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC32_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC32_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC32_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC32_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC32_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC32_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC32_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC32_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC32_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC32_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC32_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC32_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC32_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC32_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC32_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC32_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC32_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC32_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC32_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC32_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC32_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC32_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC32_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC32_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC32_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00630B2u)

/** \\brief  C, Revision ID Register */
#define MC32_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006300Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc33
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC33_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063100u)

/** \\brief  2, Configuration Register 1 */
#define MC33_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063102u)

/** \\brief  10, Memory ECC Detection Register */
#define MC33_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063110u)

/** \\brief  E, ECC Safety Register */
#define MC33_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006310Eu)

/** \\brief  12, Error Tracking Register */
#define MC33_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063112u)

/** \\brief  14, Error Tracking Register */
#define MC33_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063114u)

/** \\brief  16, Error Tracking Register */
#define MC33_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063116u)

/** \\brief  18, Error Tracking Register */
#define MC33_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063118u)

/** \\brief  1A, Error Tracking Register */
#define MC33_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006311Au)

/** \\brief  4, MBIST Control Register */
#define MC33_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063104u)

/** \\brief  6, Status Register */
#define MC33_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063106u)

/** \\brief  8, Range Register, single address mode */
#define MC33_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063108u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC33_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC33_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC33_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC33_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC33_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC33_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC33_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC33_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC33_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC33_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC33_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC33_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC33_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC33_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC33_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC33_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC33_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC33_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC33_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC33_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC33_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC33_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC33_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC33_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC33_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC33_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC33_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC33_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC33_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC33_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC33_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC33_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC33_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC33_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC33_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC33_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC33_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC33_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC33_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC33_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00631B2u)

/** \\brief  C, Revision ID Register */
#define MC33_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006310Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc34
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC34_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063200u)

/** \\brief  2, Configuration Register 1 */
#define MC34_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063202u)

/** \\brief  10, Memory ECC Detection Register */
#define MC34_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063210u)

/** \\brief  E, ECC Safety Register */
#define MC34_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006320Eu)

/** \\brief  12, Error Tracking Register */
#define MC34_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063212u)

/** \\brief  14, Error Tracking Register */
#define MC34_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063214u)

/** \\brief  16, Error Tracking Register */
#define MC34_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063216u)

/** \\brief  18, Error Tracking Register */
#define MC34_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063218u)

/** \\brief  1A, Error Tracking Register */
#define MC34_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006321Au)

/** \\brief  4, MBIST Control Register */
#define MC34_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063204u)

/** \\brief  6, Status Register */
#define MC34_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063206u)

/** \\brief  8, Range Register, single address mode */
#define MC34_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063208u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC34_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC34_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC34_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC34_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC34_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC34_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC34_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC34_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC34_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC34_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC34_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC34_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC34_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC34_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC34_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC34_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC34_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC34_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC34_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC34_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC34_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC34_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC34_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC34_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC34_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC34_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC34_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC34_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC34_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC34_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC34_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC34_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC34_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC34_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC34_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC34_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC34_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC34_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC34_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC34_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00632B2u)

/** \\brief  C, Revision ID Register */
#define MC34_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006320Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc35
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC35_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063300u)

/** \\brief  2, Configuration Register 1 */
#define MC35_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063302u)

/** \\brief  10, Memory ECC Detection Register */
#define MC35_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063310u)

/** \\brief  E, ECC Safety Register */
#define MC35_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006330Eu)

/** \\brief  12, Error Tracking Register */
#define MC35_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063312u)

/** \\brief  14, Error Tracking Register */
#define MC35_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063314u)

/** \\brief  16, Error Tracking Register */
#define MC35_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063316u)

/** \\brief  18, Error Tracking Register */
#define MC35_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063318u)

/** \\brief  1A, Error Tracking Register */
#define MC35_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006331Au)

/** \\brief  4, MBIST Control Register */
#define MC35_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063304u)

/** \\brief  6, Status Register */
#define MC35_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063306u)

/** \\brief  8, Range Register, single address mode */
#define MC35_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063308u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC35_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC35_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC35_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC35_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC35_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC35_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC35_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC35_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC35_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC35_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC35_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC35_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC35_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC35_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC35_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC35_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC35_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC35_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC35_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC35_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC35_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC35_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC35_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC35_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC35_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC35_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC35_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC35_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC35_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC35_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC35_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC35_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC35_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC35_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC35_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC35_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC35_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC35_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC35_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC35_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00633B2u)

/** \\brief  C, Revision ID Register */
#define MC35_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006330Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc36
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC36_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063400u)

/** \\brief  2, Configuration Register 1 */
#define MC36_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063402u)

/** \\brief  10, Memory ECC Detection Register */
#define MC36_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063410u)

/** \\brief  E, ECC Safety Register */
#define MC36_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006340Eu)

/** \\brief  12, Error Tracking Register */
#define MC36_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063412u)

/** \\brief  14, Error Tracking Register */
#define MC36_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063414u)

/** \\brief  16, Error Tracking Register */
#define MC36_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063416u)

/** \\brief  18, Error Tracking Register */
#define MC36_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063418u)

/** \\brief  1A, Error Tracking Register */
#define MC36_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006341Au)

/** \\brief  4, MBIST Control Register */
#define MC36_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063404u)

/** \\brief  6, Status Register */
#define MC36_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063406u)

/** \\brief  8, Range Register, single address mode */
#define MC36_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063408u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC36_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC36_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC36_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC36_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC36_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC36_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC36_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC36_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC36_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC36_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC36_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC36_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC36_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC36_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC36_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC36_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC36_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC36_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC36_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC36_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC36_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC36_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC36_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC36_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC36_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC36_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC36_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC36_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC36_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC36_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC36_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC36_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC36_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC36_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC36_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC36_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC36_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC36_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC36_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC36_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00634B2u)

/** \\brief  C, Revision ID Register */
#define MC36_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006340Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc37
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC37_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063500u)

/** \\brief  2, Configuration Register 1 */
#define MC37_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063502u)

/** \\brief  10, Memory ECC Detection Register */
#define MC37_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063510u)

/** \\brief  E, ECC Safety Register */
#define MC37_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006350Eu)

/** \\brief  12, Error Tracking Register */
#define MC37_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063512u)

/** \\brief  14, Error Tracking Register */
#define MC37_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063514u)

/** \\brief  16, Error Tracking Register */
#define MC37_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063516u)

/** \\brief  18, Error Tracking Register */
#define MC37_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063518u)

/** \\brief  1A, Error Tracking Register */
#define MC37_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006351Au)

/** \\brief  4, MBIST Control Register */
#define MC37_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063504u)

/** \\brief  6, Status Register */
#define MC37_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063506u)

/** \\brief  8, Range Register, single address mode */
#define MC37_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063508u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC37_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC37_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC37_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC37_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC37_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC37_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC37_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC37_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC37_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC37_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC37_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC37_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC37_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC37_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC37_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC37_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC37_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC37_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC37_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC37_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC37_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC37_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC37_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC37_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC37_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC37_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC37_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC37_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC37_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC37_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC37_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC37_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC37_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC37_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC37_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC37_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC37_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC37_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC37_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC37_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00635B2u)

/** \\brief  C, Revision ID Register */
#define MC37_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006350Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc38
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC38_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063600u)

/** \\brief  2, Configuration Register 1 */
#define MC38_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063602u)

/** \\brief  10, Memory ECC Detection Register */
#define MC38_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063610u)

/** \\brief  E, ECC Safety Register */
#define MC38_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006360Eu)

/** \\brief  12, Error Tracking Register */
#define MC38_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063612u)

/** \\brief  14, Error Tracking Register */
#define MC38_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063614u)

/** \\brief  16, Error Tracking Register */
#define MC38_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063616u)

/** \\brief  18, Error Tracking Register */
#define MC38_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063618u)

/** \\brief  1A, Error Tracking Register */
#define MC38_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006361Au)

/** \\brief  4, MBIST Control Register */
#define MC38_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063604u)

/** \\brief  6, Status Register */
#define MC38_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063606u)

/** \\brief  8, Range Register, single address mode */
#define MC38_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063608u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC38_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC38_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC38_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC38_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC38_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC38_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC38_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC38_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC38_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC38_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC38_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC38_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC38_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC38_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC38_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC38_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC38_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC38_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC38_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC38_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC38_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC38_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC38_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC38_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC38_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC38_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC38_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC38_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC38_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC38_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC38_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC38_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC38_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC38_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC38_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC38_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC38_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC38_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC38_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC38_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00636B2u)

/** \\brief  C, Revision ID Register */
#define MC38_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006360Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc39
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC39_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063700u)

/** \\brief  2, Configuration Register 1 */
#define MC39_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063702u)

/** \\brief  10, Memory ECC Detection Register */
#define MC39_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063710u)

/** \\brief  E, ECC Safety Register */
#define MC39_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006370Eu)

/** \\brief  12, Error Tracking Register */
#define MC39_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063712u)

/** \\brief  14, Error Tracking Register */
#define MC39_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063714u)

/** \\brief  16, Error Tracking Register */
#define MC39_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063716u)

/** \\brief  18, Error Tracking Register */
#define MC39_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063718u)

/** \\brief  1A, Error Tracking Register */
#define MC39_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006371Au)

/** \\brief  4, MBIST Control Register */
#define MC39_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063704u)

/** \\brief  6, Status Register */
#define MC39_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063706u)

/** \\brief  8, Range Register, single address mode */
#define MC39_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063708u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC39_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC39_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC39_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC39_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC39_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC39_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC39_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC39_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC39_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC39_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC39_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC39_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC39_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC39_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC39_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC39_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC39_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC39_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC39_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC39_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC39_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC39_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC39_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC39_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC39_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC39_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC39_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC39_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC39_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC39_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC39_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC39_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC39_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC39_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC39_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC39_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC39_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC39_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC39_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC39_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00637B2u)

/** \\brief  C, Revision ID Register */
#define MC39_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006370Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc40
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC40_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063800u)

/** \\brief  2, Configuration Register 1 */
#define MC40_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063802u)

/** \\brief  10, Memory ECC Detection Register */
#define MC40_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063810u)

/** \\brief  E, ECC Safety Register */
#define MC40_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006380Eu)

/** \\brief  12, Error Tracking Register */
#define MC40_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063812u)

/** \\brief  14, Error Tracking Register */
#define MC40_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063814u)

/** \\brief  16, Error Tracking Register */
#define MC40_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063816u)

/** \\brief  18, Error Tracking Register */
#define MC40_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063818u)

/** \\brief  1A, Error Tracking Register */
#define MC40_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006381Au)

/** \\brief  4, MBIST Control Register */
#define MC40_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063804u)

/** \\brief  6, Status Register */
#define MC40_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063806u)

/** \\brief  8, Range Register, single address mode */
#define MC40_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063808u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC40_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC40_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC40_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC40_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC40_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC40_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC40_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC40_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC40_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC40_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC40_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC40_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC40_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC40_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC40_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC40_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC40_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC40_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC40_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC40_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC40_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC40_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC40_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC40_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC40_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC40_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC40_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC40_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC40_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC40_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC40_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC40_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC40_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC40_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC40_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC40_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC40_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC40_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC40_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC40_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00638B2u)

/** \\brief  C, Revision ID Register */
#define MC40_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006380Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc41
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC41_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063900u)

/** \\brief  2, Configuration Register 1 */
#define MC41_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063902u)

/** \\brief  10, Memory ECC Detection Register */
#define MC41_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063910u)

/** \\brief  E, ECC Safety Register */
#define MC41_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006390Eu)

/** \\brief  12, Error Tracking Register */
#define MC41_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063912u)

/** \\brief  14, Error Tracking Register */
#define MC41_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063914u)

/** \\brief  16, Error Tracking Register */
#define MC41_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063916u)

/** \\brief  18, Error Tracking Register */
#define MC41_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063918u)

/** \\brief  1A, Error Tracking Register */
#define MC41_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006391Au)

/** \\brief  4, MBIST Control Register */
#define MC41_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063904u)

/** \\brief  6, Status Register */
#define MC41_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063906u)

/** \\brief  8, Range Register, single address mode */
#define MC41_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063908u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC41_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC41_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC41_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC41_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC41_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC41_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC41_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC41_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC41_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC41_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC41_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC41_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC41_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC41_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC41_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC41_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC41_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC41_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC41_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC41_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC41_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC41_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC41_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC41_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC41_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC41_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC41_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC41_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC41_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC41_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC41_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC41_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC41_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC41_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC41_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC41_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC41_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC41_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC41_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC41_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00639B2u)

/** \\brief  C, Revision ID Register */
#define MC41_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006390Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc42
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC42_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063A00u)

/** \\brief  2, Configuration Register 1 */
#define MC42_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063A02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC42_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063A10u)

/** \\brief  E, ECC Safety Register */
#define MC42_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0063A0Eu)

/** \\brief  12, Error Tracking Register */
#define MC42_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063A12u)

/** \\brief  14, Error Tracking Register */
#define MC42_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063A14u)

/** \\brief  16, Error Tracking Register */
#define MC42_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063A16u)

/** \\brief  18, Error Tracking Register */
#define MC42_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063A18u)

/** \\brief  1A, Error Tracking Register */
#define MC42_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063A1Au)

/** \\brief  4, MBIST Control Register */
#define MC42_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063A04u)

/** \\brief  6, Status Register */
#define MC42_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063A06u)

/** \\brief  8, Range Register, single address mode */
#define MC42_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063A08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC42_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC42_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC42_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC42_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC42_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC42_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ABAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC42_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ABCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC42_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ABEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC42_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC42_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC42_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC42_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC42_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC42_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC42_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ACAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC42_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ACCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC42_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ACEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC42_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC42_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC42_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC42_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC42_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC42_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ADAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC42_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC42_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ADCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC42_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ADEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC42_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC42_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC42_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC42_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC42_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC42_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC42_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC42_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC42_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC42_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC42_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC42_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC42_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC42_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063AB2u)

/** \\brief  C, Revision ID Register */
#define MC42_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0063A0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc43
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC43_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063B00u)

/** \\brief  2, Configuration Register 1 */
#define MC43_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063B02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC43_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063B10u)

/** \\brief  E, ECC Safety Register */
#define MC43_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0063B0Eu)

/** \\brief  12, Error Tracking Register */
#define MC43_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063B12u)

/** \\brief  14, Error Tracking Register */
#define MC43_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063B14u)

/** \\brief  16, Error Tracking Register */
#define MC43_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063B16u)

/** \\brief  18, Error Tracking Register */
#define MC43_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063B18u)

/** \\brief  1A, Error Tracking Register */
#define MC43_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063B1Au)

/** \\brief  4, MBIST Control Register */
#define MC43_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063B04u)

/** \\brief  6, Status Register */
#define MC43_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063B06u)

/** \\brief  8, Range Register, single address mode */
#define MC43_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063B08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC43_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC43_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC43_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC43_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC43_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC43_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC43_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC43_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC43_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC43_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC43_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC43_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC43_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC43_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC43_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC43_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC43_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC43_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC43_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC43_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC43_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC43_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC43_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC43_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC43_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC43_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC43_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC43_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC43_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC43_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC43_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC43_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC43_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC43_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC43_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC43_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC43_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC43_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC43_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC43_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063BB2u)

/** \\brief  C, Revision ID Register */
#define MC43_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0063B0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc44
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC44_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063C00u)

/** \\brief  2, Configuration Register 1 */
#define MC44_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063C02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC44_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063C10u)

/** \\brief  E, ECC Safety Register */
#define MC44_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0063C0Eu)

/** \\brief  12, Error Tracking Register */
#define MC44_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063C12u)

/** \\brief  14, Error Tracking Register */
#define MC44_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063C14u)

/** \\brief  16, Error Tracking Register */
#define MC44_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063C16u)

/** \\brief  18, Error Tracking Register */
#define MC44_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063C18u)

/** \\brief  1A, Error Tracking Register */
#define MC44_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063C1Au)

/** \\brief  4, MBIST Control Register */
#define MC44_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063C04u)

/** \\brief  6, Status Register */
#define MC44_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063C06u)

/** \\brief  8, Range Register, single address mode */
#define MC44_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063C08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC44_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC44_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC44_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC44_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC44_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC44_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC44_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC44_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC44_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC44_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC44_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC44_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC44_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC44_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC44_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC44_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC44_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC44_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC44_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC44_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC44_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC44_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC44_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC44_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC44_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC44_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC44_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC44_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC44_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC44_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC44_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC44_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC44_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC44_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC44_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC44_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC44_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC44_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC44_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC44_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063CB2u)

/** \\brief  C, Revision ID Register */
#define MC44_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0063C0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc45
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC45_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063D00u)

/** \\brief  2, Configuration Register 1 */
#define MC45_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063D02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC45_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063D10u)

/** \\brief  E, ECC Safety Register */
#define MC45_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0063D0Eu)

/** \\brief  12, Error Tracking Register */
#define MC45_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063D12u)

/** \\brief  14, Error Tracking Register */
#define MC45_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063D14u)

/** \\brief  16, Error Tracking Register */
#define MC45_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063D16u)

/** \\brief  18, Error Tracking Register */
#define MC45_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063D18u)

/** \\brief  1A, Error Tracking Register */
#define MC45_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063D1Au)

/** \\brief  4, MBIST Control Register */
#define MC45_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063D04u)

/** \\brief  6, Status Register */
#define MC45_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063D06u)

/** \\brief  8, Range Register, single address mode */
#define MC45_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063D08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC45_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC45_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC45_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC45_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC45_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC45_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC45_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC45_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC45_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC45_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC45_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC45_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC45_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC45_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC45_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC45_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC45_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC45_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC45_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC45_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC45_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC45_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC45_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC45_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC45_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC45_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC45_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC45_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC45_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC45_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC45_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC45_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC45_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC45_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC45_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC45_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC45_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC45_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC45_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC45_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063DB2u)

/** \\brief  C, Revision ID Register */
#define MC45_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0063D0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc46
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC46_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063E00u)

/** \\brief  2, Configuration Register 1 */
#define MC46_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063E02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC46_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063E10u)

/** \\brief  E, ECC Safety Register */
#define MC46_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0063E0Eu)

/** \\brief  12, Error Tracking Register */
#define MC46_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063E12u)

/** \\brief  14, Error Tracking Register */
#define MC46_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063E14u)

/** \\brief  16, Error Tracking Register */
#define MC46_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063E16u)

/** \\brief  18, Error Tracking Register */
#define MC46_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063E18u)

/** \\brief  1A, Error Tracking Register */
#define MC46_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063E1Au)

/** \\brief  4, MBIST Control Register */
#define MC46_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063E04u)

/** \\brief  6, Status Register */
#define MC46_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063E06u)

/** \\brief  8, Range Register, single address mode */
#define MC46_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063E08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC46_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC46_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC46_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC46_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC46_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC46_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC46_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC46_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC46_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC46_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC46_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC46_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC46_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC46_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC46_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ECAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC46_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ECCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC46_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ECEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC46_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ED0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC46_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ED2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC46_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ED4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC46_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ED6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC46_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063ED8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC46_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC46_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC46_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC46_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC46_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC46_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC46_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC46_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC46_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC46_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC46_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC46_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC46_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC46_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC46_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC46_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC46_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC46_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063EB2u)

/** \\brief  C, Revision ID Register */
#define MC46_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0063E0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc47
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC47_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0063F00u)

/** \\brief  2, Configuration Register 1 */
#define MC47_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0063F02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC47_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0063F10u)

/** \\brief  E, ECC Safety Register */
#define MC47_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0063F0Eu)

/** \\brief  12, Error Tracking Register */
#define MC47_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063F12u)

/** \\brief  14, Error Tracking Register */
#define MC47_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063F14u)

/** \\brief  16, Error Tracking Register */
#define MC47_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063F16u)

/** \\brief  18, Error Tracking Register */
#define MC47_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063F18u)

/** \\brief  1A, Error Tracking Register */
#define MC47_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0063F1Au)

/** \\brief  4, MBIST Control Register */
#define MC47_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0063F04u)

/** \\brief  6, Status Register */
#define MC47_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0063F06u)

/** \\brief  8, Range Register, single address mode */
#define MC47_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0063F08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC47_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC47_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC47_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC47_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC47_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC47_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC47_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC47_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC47_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC47_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC47_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC47_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC47_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC47_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC47_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC47_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC47_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC47_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC47_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC47_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC47_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC47_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC47_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC47_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC47_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC47_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC47_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC47_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC47_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC47_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC47_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC47_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC47_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC47_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC47_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC47_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC47_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC47_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC47_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC47_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0063FB2u)

/** \\brief  C, Revision ID Register */
#define MC47_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0063F0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc48
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC48_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064000u)

/** \\brief  2, Configuration Register 1 */
#define MC48_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064002u)

/** \\brief  10, Memory ECC Detection Register */
#define MC48_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064010u)

/** \\brief  E, ECC Safety Register */
#define MC48_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006400Eu)

/** \\brief  12, Error Tracking Register */
#define MC48_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064012u)

/** \\brief  14, Error Tracking Register */
#define MC48_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064014u)

/** \\brief  16, Error Tracking Register */
#define MC48_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064016u)

/** \\brief  18, Error Tracking Register */
#define MC48_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064018u)

/** \\brief  1A, Error Tracking Register */
#define MC48_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006401Au)

/** \\brief  4, MBIST Control Register */
#define MC48_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064004u)

/** \\brief  6, Status Register */
#define MC48_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064006u)

/** \\brief  8, Range Register, single address mode */
#define MC48_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064008u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC48_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC48_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC48_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC48_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC48_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC48_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC48_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC48_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC48_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC48_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC48_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC48_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC48_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC48_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC48_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC48_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC48_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC48_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC48_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC48_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC48_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC48_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC48_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC48_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC48_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC48_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC48_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC48_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC48_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC48_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC48_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC48_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC48_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC48_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC48_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC48_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC48_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC48_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC48_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC48_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00640B2u)

/** \\brief  C, Revision ID Register */
#define MC48_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006400Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc49
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC49_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064100u)

/** \\brief  2, Configuration Register 1 */
#define MC49_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064102u)

/** \\brief  10, Memory ECC Detection Register */
#define MC49_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064110u)

/** \\brief  E, ECC Safety Register */
#define MC49_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006410Eu)

/** \\brief  12, Error Tracking Register */
#define MC49_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064112u)

/** \\brief  14, Error Tracking Register */
#define MC49_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064114u)

/** \\brief  16, Error Tracking Register */
#define MC49_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064116u)

/** \\brief  18, Error Tracking Register */
#define MC49_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064118u)

/** \\brief  1A, Error Tracking Register */
#define MC49_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006411Au)

/** \\brief  4, MBIST Control Register */
#define MC49_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064104u)

/** \\brief  6, Status Register */
#define MC49_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064106u)

/** \\brief  8, Range Register, single address mode */
#define MC49_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064108u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC49_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC49_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC49_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC49_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC49_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC49_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC49_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC49_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC49_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC49_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC49_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC49_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC49_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC49_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC49_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC49_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC49_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC49_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC49_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC49_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC49_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC49_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC49_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC49_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC49_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC49_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC49_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC49_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC49_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC49_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC49_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC49_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC49_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC49_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC49_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC49_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC49_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC49_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC49_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC49_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00641B2u)

/** \\brief  C, Revision ID Register */
#define MC49_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006410Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc50
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC50_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064200u)

/** \\brief  2, Configuration Register 1 */
#define MC50_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064202u)

/** \\brief  10, Memory ECC Detection Register */
#define MC50_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064210u)

/** \\brief  E, ECC Safety Register */
#define MC50_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006420Eu)

/** \\brief  12, Error Tracking Register */
#define MC50_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064212u)

/** \\brief  14, Error Tracking Register */
#define MC50_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064214u)

/** \\brief  16, Error Tracking Register */
#define MC50_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064216u)

/** \\brief  18, Error Tracking Register */
#define MC50_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064218u)

/** \\brief  1A, Error Tracking Register */
#define MC50_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006421Au)

/** \\brief  4, MBIST Control Register */
#define MC50_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064204u)

/** \\brief  6, Status Register */
#define MC50_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064206u)

/** \\brief  8, Range Register, single address mode */
#define MC50_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064208u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC50_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC50_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC50_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC50_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC50_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC50_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC50_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC50_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC50_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC50_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC50_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC50_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC50_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC50_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC50_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC50_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC50_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC50_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC50_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC50_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC50_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC50_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC50_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC50_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC50_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC50_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC50_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC50_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC50_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC50_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC50_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC50_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC50_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC50_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC50_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC50_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC50_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC50_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC50_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC50_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00642B2u)

/** \\brief  C, Revision ID Register */
#define MC50_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006420Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc51
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC51_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064300u)

/** \\brief  2, Configuration Register 1 */
#define MC51_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064302u)

/** \\brief  10, Memory ECC Detection Register */
#define MC51_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064310u)

/** \\brief  E, ECC Safety Register */
#define MC51_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006430Eu)

/** \\brief  12, Error Tracking Register */
#define MC51_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064312u)

/** \\brief  14, Error Tracking Register */
#define MC51_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064314u)

/** \\brief  16, Error Tracking Register */
#define MC51_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064316u)

/** \\brief  18, Error Tracking Register */
#define MC51_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064318u)

/** \\brief  1A, Error Tracking Register */
#define MC51_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006431Au)

/** \\brief  4, MBIST Control Register */
#define MC51_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064304u)

/** \\brief  6, Status Register */
#define MC51_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064306u)

/** \\brief  8, Range Register, single address mode */
#define MC51_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064308u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC51_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC51_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC51_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC51_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC51_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC51_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC51_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC51_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC51_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC51_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC51_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC51_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC51_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC51_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC51_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC51_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC51_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC51_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC51_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC51_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC51_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC51_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC51_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC51_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC51_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC51_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC51_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC51_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC51_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC51_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC51_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC51_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC51_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC51_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC51_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC51_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC51_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC51_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC51_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC51_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00643B2u)

/** \\brief  C, Revision ID Register */
#define MC51_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006430Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc52
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC52_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064400u)

/** \\brief  2, Configuration Register 1 */
#define MC52_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064402u)

/** \\brief  10, Memory ECC Detection Register */
#define MC52_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064410u)

/** \\brief  E, ECC Safety Register */
#define MC52_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006440Eu)

/** \\brief  12, Error Tracking Register */
#define MC52_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064412u)

/** \\brief  14, Error Tracking Register */
#define MC52_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064414u)

/** \\brief  16, Error Tracking Register */
#define MC52_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064416u)

/** \\brief  18, Error Tracking Register */
#define MC52_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064418u)

/** \\brief  1A, Error Tracking Register */
#define MC52_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006441Au)

/** \\brief  4, MBIST Control Register */
#define MC52_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064404u)

/** \\brief  6, Status Register */
#define MC52_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064406u)

/** \\brief  8, Range Register, single address mode */
#define MC52_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064408u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC52_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC52_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC52_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC52_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC52_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC52_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC52_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC52_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC52_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC52_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC52_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC52_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC52_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC52_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC52_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC52_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC52_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC52_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC52_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC52_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC52_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC52_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC52_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC52_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC52_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC52_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC52_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC52_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC52_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC52_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC52_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC52_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC52_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC52_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC52_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC52_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC52_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC52_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC52_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC52_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00644B2u)

/** \\brief  C, Revision ID Register */
#define MC52_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006440Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc53
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC53_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064500u)

/** \\brief  2, Configuration Register 1 */
#define MC53_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064502u)

/** \\brief  10, Memory ECC Detection Register */
#define MC53_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064510u)

/** \\brief  E, ECC Safety Register */
#define MC53_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006450Eu)

/** \\brief  12, Error Tracking Register */
#define MC53_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064512u)

/** \\brief  14, Error Tracking Register */
#define MC53_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064514u)

/** \\brief  16, Error Tracking Register */
#define MC53_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064516u)

/** \\brief  18, Error Tracking Register */
#define MC53_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064518u)

/** \\brief  1A, Error Tracking Register */
#define MC53_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006451Au)

/** \\brief  4, MBIST Control Register */
#define MC53_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064504u)

/** \\brief  6, Status Register */
#define MC53_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064506u)

/** \\brief  8, Range Register, single address mode */
#define MC53_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064508u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC53_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC53_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC53_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC53_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC53_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC53_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC53_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC53_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC53_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC53_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC53_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC53_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC53_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC53_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC53_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC53_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC53_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC53_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC53_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC53_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC53_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC53_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC53_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC53_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC53_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC53_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC53_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC53_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC53_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC53_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC53_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC53_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC53_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC53_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC53_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC53_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC53_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC53_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC53_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC53_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00645B2u)

/** \\brief  C, Revision ID Register */
#define MC53_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006450Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc54
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC54_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064600u)

/** \\brief  2, Configuration Register 1 */
#define MC54_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064602u)

/** \\brief  10, Memory ECC Detection Register */
#define MC54_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064610u)

/** \\brief  E, ECC Safety Register */
#define MC54_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006460Eu)

/** \\brief  12, Error Tracking Register */
#define MC54_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064612u)

/** \\brief  14, Error Tracking Register */
#define MC54_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064614u)

/** \\brief  16, Error Tracking Register */
#define MC54_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064616u)

/** \\brief  18, Error Tracking Register */
#define MC54_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064618u)

/** \\brief  1A, Error Tracking Register */
#define MC54_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006461Au)

/** \\brief  4, MBIST Control Register */
#define MC54_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064604u)

/** \\brief  6, Status Register */
#define MC54_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064606u)

/** \\brief  8, Range Register, single address mode */
#define MC54_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064608u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC54_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC54_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC54_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC54_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC54_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC54_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC54_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC54_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC54_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC54_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC54_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC54_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC54_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC54_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC54_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC54_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC54_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC54_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC54_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC54_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC54_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC54_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC54_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC54_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC54_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC54_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC54_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC54_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC54_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC54_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC54_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC54_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC54_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC54_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC54_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC54_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC54_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC54_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC54_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC54_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00646B2u)

/** \\brief  C, Revision ID Register */
#define MC54_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006460Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc55
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC55_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064700u)

/** \\brief  2, Configuration Register 1 */
#define MC55_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064702u)

/** \\brief  10, Memory ECC Detection Register */
#define MC55_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064710u)

/** \\brief  E, ECC Safety Register */
#define MC55_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006470Eu)

/** \\brief  12, Error Tracking Register */
#define MC55_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064712u)

/** \\brief  14, Error Tracking Register */
#define MC55_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064714u)

/** \\brief  16, Error Tracking Register */
#define MC55_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064716u)

/** \\brief  18, Error Tracking Register */
#define MC55_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064718u)

/** \\brief  1A, Error Tracking Register */
#define MC55_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006471Au)

/** \\brief  4, MBIST Control Register */
#define MC55_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064704u)

/** \\brief  6, Status Register */
#define MC55_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064706u)

/** \\brief  8, Range Register, single address mode */
#define MC55_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064708u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC55_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC55_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC55_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC55_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC55_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC55_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC55_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC55_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC55_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC55_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC55_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC55_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC55_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC55_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC55_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC55_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC55_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC55_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC55_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC55_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC55_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC55_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC55_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC55_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC55_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC55_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC55_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC55_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC55_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC55_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC55_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC55_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC55_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC55_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC55_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC55_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC55_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC55_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC55_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC55_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00647B2u)

/** \\brief  C, Revision ID Register */
#define MC55_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006470Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc56
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC56_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064800u)

/** \\brief  2, Configuration Register 1 */
#define MC56_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064802u)

/** \\brief  10, Memory ECC Detection Register */
#define MC56_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064810u)

/** \\brief  E, ECC Safety Register */
#define MC56_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006480Eu)

/** \\brief  12, Error Tracking Register */
#define MC56_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064812u)

/** \\brief  14, Error Tracking Register */
#define MC56_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064814u)

/** \\brief  16, Error Tracking Register */
#define MC56_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064816u)

/** \\brief  18, Error Tracking Register */
#define MC56_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064818u)

/** \\brief  1A, Error Tracking Register */
#define MC56_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006481Au)

/** \\brief  4, MBIST Control Register */
#define MC56_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064804u)

/** \\brief  6, Status Register */
#define MC56_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064806u)

/** \\brief  8, Range Register, single address mode */
#define MC56_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064808u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC56_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC56_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC56_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC56_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC56_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC56_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC56_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC56_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC56_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC56_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC56_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC56_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC56_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC56_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC56_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC56_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC56_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC56_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC56_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC56_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC56_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC56_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC56_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC56_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC56_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC56_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC56_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC56_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC56_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC56_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC56_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC56_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC56_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC56_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC56_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC56_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC56_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC56_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC56_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC56_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00648B2u)

/** \\brief  C, Revision ID Register */
#define MC56_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006480Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc57
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC57_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064900u)

/** \\brief  2, Configuration Register 1 */
#define MC57_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064902u)

/** \\brief  10, Memory ECC Detection Register */
#define MC57_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064910u)

/** \\brief  E, ECC Safety Register */
#define MC57_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006490Eu)

/** \\brief  12, Error Tracking Register */
#define MC57_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064912u)

/** \\brief  14, Error Tracking Register */
#define MC57_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064914u)

/** \\brief  16, Error Tracking Register */
#define MC57_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064916u)

/** \\brief  18, Error Tracking Register */
#define MC57_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064918u)

/** \\brief  1A, Error Tracking Register */
#define MC57_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006491Au)

/** \\brief  4, MBIST Control Register */
#define MC57_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064904u)

/** \\brief  6, Status Register */
#define MC57_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064906u)

/** \\brief  8, Range Register, single address mode */
#define MC57_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064908u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC57_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC57_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC57_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC57_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC57_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC57_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC57_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC57_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC57_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC57_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC57_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC57_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC57_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC57_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC57_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC57_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC57_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC57_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC57_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC57_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC57_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC57_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC57_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC57_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC57_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC57_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC57_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC57_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC57_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC57_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC57_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC57_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC57_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC57_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC57_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC57_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC57_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC57_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC57_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC57_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00649B2u)

/** \\brief  C, Revision ID Register */
#define MC57_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006490Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc58
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC58_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064A00u)

/** \\brief  2, Configuration Register 1 */
#define MC58_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064A02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC58_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064A10u)

/** \\brief  E, ECC Safety Register */
#define MC58_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0064A0Eu)

/** \\brief  12, Error Tracking Register */
#define MC58_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064A12u)

/** \\brief  14, Error Tracking Register */
#define MC58_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064A14u)

/** \\brief  16, Error Tracking Register */
#define MC58_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064A16u)

/** \\brief  18, Error Tracking Register */
#define MC58_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064A18u)

/** \\brief  1A, Error Tracking Register */
#define MC58_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064A1Au)

/** \\brief  4, MBIST Control Register */
#define MC58_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064A04u)

/** \\brief  6, Status Register */
#define MC58_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064A06u)

/** \\brief  8, Range Register, single address mode */
#define MC58_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064A08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC58_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC58_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC58_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC58_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC58_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC58_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ABAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC58_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ABCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC58_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ABEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC58_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC58_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC58_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC58_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC58_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC58_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC58_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ACAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC58_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ACCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC58_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ACEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC58_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC58_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC58_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC58_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC58_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC58_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ADAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC58_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC58_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ADCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC58_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ADEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC58_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC58_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC58_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC58_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC58_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC58_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC58_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC58_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC58_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC58_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC58_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC58_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC58_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC58_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064AB2u)

/** \\brief  C, Revision ID Register */
#define MC58_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0064A0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc59
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC59_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064B00u)

/** \\brief  2, Configuration Register 1 */
#define MC59_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064B02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC59_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064B10u)

/** \\brief  E, ECC Safety Register */
#define MC59_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0064B0Eu)

/** \\brief  12, Error Tracking Register */
#define MC59_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064B12u)

/** \\brief  14, Error Tracking Register */
#define MC59_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064B14u)

/** \\brief  16, Error Tracking Register */
#define MC59_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064B16u)

/** \\brief  18, Error Tracking Register */
#define MC59_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064B18u)

/** \\brief  1A, Error Tracking Register */
#define MC59_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064B1Au)

/** \\brief  4, MBIST Control Register */
#define MC59_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064B04u)

/** \\brief  6, Status Register */
#define MC59_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064B06u)

/** \\brief  8, Range Register, single address mode */
#define MC59_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064B08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC59_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC59_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC59_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC59_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC59_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC59_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC59_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC59_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC59_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC59_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC59_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC59_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC59_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC59_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC59_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC59_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC59_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC59_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC59_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC59_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC59_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC59_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC59_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC59_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC59_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC59_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC59_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC59_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC59_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC59_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC59_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC59_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC59_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC59_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC59_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC59_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC59_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC59_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC59_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC59_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064BB2u)

/** \\brief  C, Revision ID Register */
#define MC59_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0064B0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc60
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC60_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064C00u)

/** \\brief  2, Configuration Register 1 */
#define MC60_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064C02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC60_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064C10u)

/** \\brief  E, ECC Safety Register */
#define MC60_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0064C0Eu)

/** \\brief  12, Error Tracking Register */
#define MC60_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064C12u)

/** \\brief  14, Error Tracking Register */
#define MC60_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064C14u)

/** \\brief  16, Error Tracking Register */
#define MC60_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064C16u)

/** \\brief  18, Error Tracking Register */
#define MC60_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064C18u)

/** \\brief  1A, Error Tracking Register */
#define MC60_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064C1Au)

/** \\brief  4, MBIST Control Register */
#define MC60_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064C04u)

/** \\brief  6, Status Register */
#define MC60_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064C06u)

/** \\brief  8, Range Register, single address mode */
#define MC60_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064C08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC60_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC60_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC60_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC60_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC60_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC60_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC60_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC60_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC60_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC60_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC60_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC60_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC60_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC60_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC60_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC60_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC60_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC60_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC60_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC60_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC60_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC60_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC60_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC60_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC60_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC60_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC60_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC60_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC60_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC60_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC60_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC60_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC60_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC60_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC60_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC60_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC60_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC60_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC60_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC60_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064CB2u)

/** \\brief  C, Revision ID Register */
#define MC60_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0064C0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc61
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC61_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064D00u)

/** \\brief  2, Configuration Register 1 */
#define MC61_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064D02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC61_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064D10u)

/** \\brief  E, ECC Safety Register */
#define MC61_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0064D0Eu)

/** \\brief  12, Error Tracking Register */
#define MC61_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064D12u)

/** \\brief  14, Error Tracking Register */
#define MC61_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064D14u)

/** \\brief  16, Error Tracking Register */
#define MC61_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064D16u)

/** \\brief  18, Error Tracking Register */
#define MC61_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064D18u)

/** \\brief  1A, Error Tracking Register */
#define MC61_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064D1Au)

/** \\brief  4, MBIST Control Register */
#define MC61_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064D04u)

/** \\brief  6, Status Register */
#define MC61_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064D06u)

/** \\brief  8, Range Register, single address mode */
#define MC61_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064D08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC61_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC61_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC61_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC61_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC61_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC61_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC61_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC61_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC61_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC61_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC61_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC61_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC61_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC61_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC61_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC61_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC61_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC61_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC61_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC61_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC61_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC61_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC61_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC61_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC61_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC61_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC61_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC61_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC61_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC61_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC61_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC61_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC61_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC61_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC61_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC61_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC61_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC61_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC61_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC61_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064DB2u)

/** \\brief  C, Revision ID Register */
#define MC61_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0064D0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc62
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC62_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064E00u)

/** \\brief  2, Configuration Register 1 */
#define MC62_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064E02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC62_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064E10u)

/** \\brief  E, ECC Safety Register */
#define MC62_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0064E0Eu)

/** \\brief  12, Error Tracking Register */
#define MC62_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064E12u)

/** \\brief  14, Error Tracking Register */
#define MC62_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064E14u)

/** \\brief  16, Error Tracking Register */
#define MC62_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064E16u)

/** \\brief  18, Error Tracking Register */
#define MC62_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064E18u)

/** \\brief  1A, Error Tracking Register */
#define MC62_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064E1Au)

/** \\brief  4, MBIST Control Register */
#define MC62_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064E04u)

/** \\brief  6, Status Register */
#define MC62_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064E06u)

/** \\brief  8, Range Register, single address mode */
#define MC62_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064E08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC62_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC62_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC62_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC62_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC62_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC62_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC62_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC62_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC62_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC62_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC62_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC62_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC62_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC62_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC62_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ECAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC62_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ECCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC62_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ECEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC62_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ED0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC62_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ED2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC62_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ED4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC62_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ED6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC62_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064ED8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC62_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC62_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC62_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC62_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC62_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC62_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC62_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC62_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC62_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC62_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC62_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC62_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC62_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC62_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC62_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC62_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC62_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC62_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064EB2u)

/** \\brief  C, Revision ID Register */
#define MC62_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0064E0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc63
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC63_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0064F00u)

/** \\brief  2, Configuration Register 1 */
#define MC63_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0064F02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC63_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0064F10u)

/** \\brief  E, ECC Safety Register */
#define MC63_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0064F0Eu)

/** \\brief  12, Error Tracking Register */
#define MC63_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064F12u)

/** \\brief  14, Error Tracking Register */
#define MC63_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064F14u)

/** \\brief  16, Error Tracking Register */
#define MC63_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064F16u)

/** \\brief  18, Error Tracking Register */
#define MC63_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064F18u)

/** \\brief  1A, Error Tracking Register */
#define MC63_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0064F1Au)

/** \\brief  4, MBIST Control Register */
#define MC63_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0064F04u)

/** \\brief  6, Status Register */
#define MC63_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0064F06u)

/** \\brief  8, Range Register, single address mode */
#define MC63_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0064F08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC63_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC63_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC63_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC63_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC63_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC63_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC63_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC63_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC63_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC63_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC63_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC63_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC63_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC63_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC63_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC63_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC63_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC63_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC63_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC63_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC63_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC63_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC63_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC63_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC63_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC63_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC63_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC63_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC63_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC63_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC63_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC63_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC63_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC63_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC63_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC63_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC63_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC63_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC63_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC63_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0064FB2u)

/** \\brief  C, Revision ID Register */
#define MC63_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0064F0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc64
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC64_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065000u)

/** \\brief  2, Configuration Register 1 */
#define MC64_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065002u)

/** \\brief  10, Memory ECC Detection Register */
#define MC64_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065010u)

/** \\brief  E, ECC Safety Register */
#define MC64_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006500Eu)

/** \\brief  12, Error Tracking Register */
#define MC64_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065012u)

/** \\brief  14, Error Tracking Register */
#define MC64_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065014u)

/** \\brief  16, Error Tracking Register */
#define MC64_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065016u)

/** \\brief  18, Error Tracking Register */
#define MC64_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065018u)

/** \\brief  1A, Error Tracking Register */
#define MC64_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006501Au)

/** \\brief  4, MBIST Control Register */
#define MC64_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065004u)

/** \\brief  6, Status Register */
#define MC64_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065006u)

/** \\brief  8, Range Register, single address mode */
#define MC64_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065008u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC64_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC64_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC64_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC64_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC64_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC64_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC64_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC64_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC64_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC64_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC64_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC64_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC64_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC64_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC64_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC64_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC64_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC64_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC64_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC64_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC64_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC64_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC64_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC64_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC64_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC64_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC64_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC64_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC64_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC64_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC64_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC64_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC64_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC64_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC64_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC64_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC64_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC64_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC64_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC64_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00650B2u)

/** \\brief  C, Revision ID Register */
#define MC64_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006500Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc65
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC65_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065100u)

/** \\brief  2, Configuration Register 1 */
#define MC65_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065102u)

/** \\brief  10, Memory ECC Detection Register */
#define MC65_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065110u)

/** \\brief  E, ECC Safety Register */
#define MC65_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006510Eu)

/** \\brief  12, Error Tracking Register */
#define MC65_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065112u)

/** \\brief  14, Error Tracking Register */
#define MC65_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065114u)

/** \\brief  16, Error Tracking Register */
#define MC65_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065116u)

/** \\brief  18, Error Tracking Register */
#define MC65_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065118u)

/** \\brief  1A, Error Tracking Register */
#define MC65_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006511Au)

/** \\brief  4, MBIST Control Register */
#define MC65_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065104u)

/** \\brief  6, Status Register */
#define MC65_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065106u)

/** \\brief  8, Range Register, single address mode */
#define MC65_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065108u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC65_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC65_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC65_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC65_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC65_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC65_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC65_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC65_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC65_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC65_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC65_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC65_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC65_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC65_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC65_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC65_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC65_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC65_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC65_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC65_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC65_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC65_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC65_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC65_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC65_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC65_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC65_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC65_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC65_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC65_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC65_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC65_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC65_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC65_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC65_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC65_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC65_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC65_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC65_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC65_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00651B2u)

/** \\brief  C, Revision ID Register */
#define MC65_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006510Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc66
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC66_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065200u)

/** \\brief  2, Configuration Register 1 */
#define MC66_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065202u)

/** \\brief  10, Memory ECC Detection Register */
#define MC66_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065210u)

/** \\brief  E, ECC Safety Register */
#define MC66_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006520Eu)

/** \\brief  12, Error Tracking Register */
#define MC66_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065212u)

/** \\brief  14, Error Tracking Register */
#define MC66_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065214u)

/** \\brief  16, Error Tracking Register */
#define MC66_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065216u)

/** \\brief  18, Error Tracking Register */
#define MC66_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065218u)

/** \\brief  1A, Error Tracking Register */
#define MC66_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006521Au)

/** \\brief  4, MBIST Control Register */
#define MC66_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065204u)

/** \\brief  6, Status Register */
#define MC66_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065206u)

/** \\brief  8, Range Register, single address mode */
#define MC66_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065208u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC66_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC66_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC66_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC66_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC66_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC66_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC66_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC66_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC66_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC66_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC66_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC66_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC66_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC66_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC66_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC66_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC66_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC66_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC66_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC66_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC66_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC66_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC66_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC66_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC66_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC66_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC66_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC66_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC66_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC66_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC66_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC66_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC66_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC66_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC66_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC66_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC66_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC66_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC66_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC66_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00652B2u)

/** \\brief  C, Revision ID Register */
#define MC66_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006520Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc67
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC67_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065300u)

/** \\brief  2, Configuration Register 1 */
#define MC67_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065302u)

/** \\brief  10, Memory ECC Detection Register */
#define MC67_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065310u)

/** \\brief  E, ECC Safety Register */
#define MC67_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006530Eu)

/** \\brief  12, Error Tracking Register */
#define MC67_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065312u)

/** \\brief  14, Error Tracking Register */
#define MC67_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065314u)

/** \\brief  16, Error Tracking Register */
#define MC67_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065316u)

/** \\brief  18, Error Tracking Register */
#define MC67_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065318u)

/** \\brief  1A, Error Tracking Register */
#define MC67_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006531Au)

/** \\brief  4, MBIST Control Register */
#define MC67_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065304u)

/** \\brief  6, Status Register */
#define MC67_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065306u)

/** \\brief  8, Range Register, single address mode */
#define MC67_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065308u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC67_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC67_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC67_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC67_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC67_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC67_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC67_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC67_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC67_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC67_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC67_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC67_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC67_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC67_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC67_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC67_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC67_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC67_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC67_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC67_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC67_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC67_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC67_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC67_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC67_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC67_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC67_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC67_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC67_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC67_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC67_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC67_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC67_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC67_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC67_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC67_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC67_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC67_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC67_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC67_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00653B2u)

/** \\brief  C, Revision ID Register */
#define MC67_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006530Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc68
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC68_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065400u)

/** \\brief  2, Configuration Register 1 */
#define MC68_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065402u)

/** \\brief  10, Memory ECC Detection Register */
#define MC68_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065410u)

/** \\brief  E, ECC Safety Register */
#define MC68_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006540Eu)

/** \\brief  12, Error Tracking Register */
#define MC68_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065412u)

/** \\brief  14, Error Tracking Register */
#define MC68_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065414u)

/** \\brief  16, Error Tracking Register */
#define MC68_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065416u)

/** \\brief  18, Error Tracking Register */
#define MC68_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065418u)

/** \\brief  1A, Error Tracking Register */
#define MC68_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006541Au)

/** \\brief  4, MBIST Control Register */
#define MC68_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065404u)

/** \\brief  6, Status Register */
#define MC68_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065406u)

/** \\brief  8, Range Register, single address mode */
#define MC68_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065408u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC68_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC68_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC68_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC68_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC68_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC68_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC68_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC68_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC68_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC68_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC68_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC68_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC68_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC68_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC68_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC68_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC68_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC68_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC68_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC68_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC68_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC68_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC68_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC68_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC68_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC68_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC68_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC68_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC68_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC68_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC68_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC68_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC68_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC68_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC68_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC68_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC68_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC68_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC68_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC68_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00654B2u)

/** \\brief  C, Revision ID Register */
#define MC68_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006540Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc69
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC69_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065500u)

/** \\brief  2, Configuration Register 1 */
#define MC69_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065502u)

/** \\brief  10, Memory ECC Detection Register */
#define MC69_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065510u)

/** \\brief  E, ECC Safety Register */
#define MC69_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006550Eu)

/** \\brief  12, Error Tracking Register */
#define MC69_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065512u)

/** \\brief  14, Error Tracking Register */
#define MC69_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065514u)

/** \\brief  16, Error Tracking Register */
#define MC69_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065516u)

/** \\brief  18, Error Tracking Register */
#define MC69_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065518u)

/** \\brief  1A, Error Tracking Register */
#define MC69_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006551Au)

/** \\brief  4, MBIST Control Register */
#define MC69_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065504u)

/** \\brief  6, Status Register */
#define MC69_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065506u)

/** \\brief  8, Range Register, single address mode */
#define MC69_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065508u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC69_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC69_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC69_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC69_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC69_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC69_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC69_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC69_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC69_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC69_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC69_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC69_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC69_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC69_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC69_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC69_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC69_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC69_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC69_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC69_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC69_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC69_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC69_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC69_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC69_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC69_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC69_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC69_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC69_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC69_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC69_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC69_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC69_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC69_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC69_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC69_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC69_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC69_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC69_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC69_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00655B2u)

/** \\brief  C, Revision ID Register */
#define MC69_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006550Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc70
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC70_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065600u)

/** \\brief  2, Configuration Register 1 */
#define MC70_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065602u)

/** \\brief  10, Memory ECC Detection Register */
#define MC70_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065610u)

/** \\brief  E, ECC Safety Register */
#define MC70_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006560Eu)

/** \\brief  12, Error Tracking Register */
#define MC70_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065612u)

/** \\brief  14, Error Tracking Register */
#define MC70_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065614u)

/** \\brief  16, Error Tracking Register */
#define MC70_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065616u)

/** \\brief  18, Error Tracking Register */
#define MC70_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065618u)

/** \\brief  1A, Error Tracking Register */
#define MC70_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006561Au)

/** \\brief  4, MBIST Control Register */
#define MC70_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065604u)

/** \\brief  6, Status Register */
#define MC70_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065606u)

/** \\brief  8, Range Register, single address mode */
#define MC70_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065608u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC70_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC70_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC70_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC70_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC70_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC70_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC70_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC70_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC70_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC70_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC70_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC70_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC70_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC70_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC70_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC70_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC70_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC70_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC70_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC70_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC70_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC70_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC70_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC70_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC70_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC70_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC70_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC70_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC70_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC70_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC70_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC70_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC70_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC70_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC70_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC70_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC70_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC70_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC70_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC70_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00656B2u)

/** \\brief  C, Revision ID Register */
#define MC70_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006560Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc71
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC71_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065700u)

/** \\brief  2, Configuration Register 1 */
#define MC71_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065702u)

/** \\brief  10, Memory ECC Detection Register */
#define MC71_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065710u)

/** \\brief  E, ECC Safety Register */
#define MC71_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006570Eu)

/** \\brief  12, Error Tracking Register */
#define MC71_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065712u)

/** \\brief  14, Error Tracking Register */
#define MC71_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065714u)

/** \\brief  16, Error Tracking Register */
#define MC71_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065716u)

/** \\brief  18, Error Tracking Register */
#define MC71_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065718u)

/** \\brief  1A, Error Tracking Register */
#define MC71_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006571Au)

/** \\brief  4, MBIST Control Register */
#define MC71_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065704u)

/** \\brief  6, Status Register */
#define MC71_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065706u)

/** \\brief  8, Range Register, single address mode */
#define MC71_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065708u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC71_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC71_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC71_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC71_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC71_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC71_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC71_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC71_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC71_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC71_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC71_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC71_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC71_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC71_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC71_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC71_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC71_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC71_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC71_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC71_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC71_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC71_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC71_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC71_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC71_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC71_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC71_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC71_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC71_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC71_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC71_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC71_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC71_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC71_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC71_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC71_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC71_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC71_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC71_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC71_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00657B2u)

/** \\brief  C, Revision ID Register */
#define MC71_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006570Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc72
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC72_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065800u)

/** \\brief  2, Configuration Register 1 */
#define MC72_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065802u)

/** \\brief  10, Memory ECC Detection Register */
#define MC72_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065810u)

/** \\brief  E, ECC Safety Register */
#define MC72_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006580Eu)

/** \\brief  12, Error Tracking Register */
#define MC72_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065812u)

/** \\brief  14, Error Tracking Register */
#define MC72_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065814u)

/** \\brief  16, Error Tracking Register */
#define MC72_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065816u)

/** \\brief  18, Error Tracking Register */
#define MC72_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065818u)

/** \\brief  1A, Error Tracking Register */
#define MC72_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006581Au)

/** \\brief  4, MBIST Control Register */
#define MC72_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065804u)

/** \\brief  6, Status Register */
#define MC72_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065806u)

/** \\brief  8, Range Register, single address mode */
#define MC72_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065808u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC72_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC72_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC72_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC72_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC72_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC72_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC72_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC72_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC72_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC72_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC72_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC72_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC72_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC72_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC72_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC72_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC72_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC72_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC72_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC72_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC72_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC72_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC72_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC72_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC72_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC72_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC72_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC72_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC72_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC72_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC72_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC72_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC72_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC72_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC72_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC72_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC72_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC72_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC72_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC72_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00658B2u)

/** \\brief  C, Revision ID Register */
#define MC72_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006580Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc73
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC73_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065900u)

/** \\brief  2, Configuration Register 1 */
#define MC73_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065902u)

/** \\brief  10, Memory ECC Detection Register */
#define MC73_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065910u)

/** \\brief  E, ECC Safety Register */
#define MC73_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006590Eu)

/** \\brief  12, Error Tracking Register */
#define MC73_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065912u)

/** \\brief  14, Error Tracking Register */
#define MC73_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065914u)

/** \\brief  16, Error Tracking Register */
#define MC73_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065916u)

/** \\brief  18, Error Tracking Register */
#define MC73_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065918u)

/** \\brief  1A, Error Tracking Register */
#define MC73_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006591Au)

/** \\brief  4, MBIST Control Register */
#define MC73_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065904u)

/** \\brief  6, Status Register */
#define MC73_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065906u)

/** \\brief  8, Range Register, single address mode */
#define MC73_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065908u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC73_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC73_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC73_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC73_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC73_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC73_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC73_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC73_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC73_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC73_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC73_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC73_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC73_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC73_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC73_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC73_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC73_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC73_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC73_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC73_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC73_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC73_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC73_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC73_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC73_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC73_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC73_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC73_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC73_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC73_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC73_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC73_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC73_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC73_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC73_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC73_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC73_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC73_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC73_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC73_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00659B2u)

/** \\brief  C, Revision ID Register */
#define MC73_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006590Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc74
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC74_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065A00u)

/** \\brief  2, Configuration Register 1 */
#define MC74_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065A02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC74_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065A10u)

/** \\brief  E, ECC Safety Register */
#define MC74_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0065A0Eu)

/** \\brief  12, Error Tracking Register */
#define MC74_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065A12u)

/** \\brief  14, Error Tracking Register */
#define MC74_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065A14u)

/** \\brief  16, Error Tracking Register */
#define MC74_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065A16u)

/** \\brief  18, Error Tracking Register */
#define MC74_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065A18u)

/** \\brief  1A, Error Tracking Register */
#define MC74_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065A1Au)

/** \\brief  4, MBIST Control Register */
#define MC74_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065A04u)

/** \\brief  6, Status Register */
#define MC74_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065A06u)

/** \\brief  8, Range Register, single address mode */
#define MC74_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065A08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC74_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC74_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC74_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC74_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC74_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC74_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ABAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC74_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ABCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC74_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ABEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC74_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC74_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC74_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC74_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC74_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC74_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC74_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ACAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC74_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ACCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC74_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ACEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC74_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC74_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC74_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC74_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC74_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC74_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ADAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC74_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC74_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ADCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC74_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ADEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC74_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC74_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC74_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC74_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC74_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC74_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC74_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC74_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC74_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC74_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC74_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC74_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC74_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC74_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065AB2u)

/** \\brief  C, Revision ID Register */
#define MC74_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0065A0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc75
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC75_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065B00u)

/** \\brief  2, Configuration Register 1 */
#define MC75_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065B02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC75_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065B10u)

/** \\brief  E, ECC Safety Register */
#define MC75_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0065B0Eu)

/** \\brief  12, Error Tracking Register */
#define MC75_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065B12u)

/** \\brief  14, Error Tracking Register */
#define MC75_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065B14u)

/** \\brief  16, Error Tracking Register */
#define MC75_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065B16u)

/** \\brief  18, Error Tracking Register */
#define MC75_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065B18u)

/** \\brief  1A, Error Tracking Register */
#define MC75_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065B1Au)

/** \\brief  4, MBIST Control Register */
#define MC75_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065B04u)

/** \\brief  6, Status Register */
#define MC75_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065B06u)

/** \\brief  8, Range Register, single address mode */
#define MC75_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065B08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC75_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC75_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC75_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC75_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC75_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC75_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC75_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC75_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC75_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC75_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC75_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC75_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC75_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC75_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC75_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC75_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC75_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC75_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC75_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC75_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC75_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC75_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC75_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC75_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC75_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC75_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC75_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC75_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC75_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC75_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC75_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC75_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC75_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC75_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC75_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC75_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC75_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC75_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC75_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC75_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065BB2u)

/** \\brief  C, Revision ID Register */
#define MC75_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0065B0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc76
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC76_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065C00u)

/** \\brief  2, Configuration Register 1 */
#define MC76_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065C02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC76_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065C10u)

/** \\brief  E, ECC Safety Register */
#define MC76_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0065C0Eu)

/** \\brief  12, Error Tracking Register */
#define MC76_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065C12u)

/** \\brief  14, Error Tracking Register */
#define MC76_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065C14u)

/** \\brief  16, Error Tracking Register */
#define MC76_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065C16u)

/** \\brief  18, Error Tracking Register */
#define MC76_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065C18u)

/** \\brief  1A, Error Tracking Register */
#define MC76_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065C1Au)

/** \\brief  4, MBIST Control Register */
#define MC76_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065C04u)

/** \\brief  6, Status Register */
#define MC76_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065C06u)

/** \\brief  8, Range Register, single address mode */
#define MC76_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065C08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC76_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC76_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC76_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC76_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC76_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC76_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC76_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC76_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC76_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC76_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC76_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC76_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC76_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC76_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC76_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC76_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC76_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC76_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC76_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC76_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC76_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC76_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC76_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC76_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC76_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC76_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC76_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC76_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC76_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC76_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC76_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC76_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC76_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC76_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC76_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC76_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC76_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC76_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC76_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC76_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065CB2u)

/** \\brief  C, Revision ID Register */
#define MC76_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0065C0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc77
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC77_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065D00u)

/** \\brief  2, Configuration Register 1 */
#define MC77_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065D02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC77_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065D10u)

/** \\brief  E, ECC Safety Register */
#define MC77_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0065D0Eu)

/** \\brief  12, Error Tracking Register */
#define MC77_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065D12u)

/** \\brief  14, Error Tracking Register */
#define MC77_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065D14u)

/** \\brief  16, Error Tracking Register */
#define MC77_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065D16u)

/** \\brief  18, Error Tracking Register */
#define MC77_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065D18u)

/** \\brief  1A, Error Tracking Register */
#define MC77_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065D1Au)

/** \\brief  4, MBIST Control Register */
#define MC77_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065D04u)

/** \\brief  6, Status Register */
#define MC77_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065D06u)

/** \\brief  8, Range Register, single address mode */
#define MC77_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065D08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC77_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC77_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC77_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC77_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC77_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC77_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC77_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC77_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC77_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC77_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC77_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC77_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC77_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC77_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC77_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC77_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC77_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC77_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC77_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC77_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC77_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC77_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC77_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC77_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC77_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC77_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC77_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC77_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC77_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC77_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC77_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC77_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC77_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC77_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC77_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC77_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC77_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC77_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC77_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC77_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065DB2u)

/** \\brief  C, Revision ID Register */
#define MC77_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0065D0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc78
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC78_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065E00u)

/** \\brief  2, Configuration Register 1 */
#define MC78_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065E02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC78_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065E10u)

/** \\brief  E, ECC Safety Register */
#define MC78_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0065E0Eu)

/** \\brief  12, Error Tracking Register */
#define MC78_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065E12u)

/** \\brief  14, Error Tracking Register */
#define MC78_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065E14u)

/** \\brief  16, Error Tracking Register */
#define MC78_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065E16u)

/** \\brief  18, Error Tracking Register */
#define MC78_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065E18u)

/** \\brief  1A, Error Tracking Register */
#define MC78_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065E1Au)

/** \\brief  4, MBIST Control Register */
#define MC78_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065E04u)

/** \\brief  6, Status Register */
#define MC78_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065E06u)

/** \\brief  8, Range Register, single address mode */
#define MC78_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065E08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC78_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC78_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC78_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC78_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC78_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC78_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC78_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC78_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC78_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC78_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC78_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC78_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC78_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC78_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC78_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ECAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC78_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ECCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC78_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ECEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC78_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ED0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC78_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ED2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC78_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ED4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC78_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ED6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC78_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065ED8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC78_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC78_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC78_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC78_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC78_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC78_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC78_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC78_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC78_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC78_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC78_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC78_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC78_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC78_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC78_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC78_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC78_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC78_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065EB2u)

/** \\brief  C, Revision ID Register */
#define MC78_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0065E0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc79
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC79_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0065F00u)

/** \\brief  2, Configuration Register 1 */
#define MC79_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0065F02u)

/** \\brief  10, Memory ECC Detection Register */
#define MC79_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0065F10u)

/** \\brief  E, ECC Safety Register */
#define MC79_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF0065F0Eu)

/** \\brief  12, Error Tracking Register */
#define MC79_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065F12u)

/** \\brief  14, Error Tracking Register */
#define MC79_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065F14u)

/** \\brief  16, Error Tracking Register */
#define MC79_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065F16u)

/** \\brief  18, Error Tracking Register */
#define MC79_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065F18u)

/** \\brief  1A, Error Tracking Register */
#define MC79_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0065F1Au)

/** \\brief  4, MBIST Control Register */
#define MC79_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0065F04u)

/** \\brief  6, Status Register */
#define MC79_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0065F06u)

/** \\brief  8, Range Register, single address mode */
#define MC79_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0065F08u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC79_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FA0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC79_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FA2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC79_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FB4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC79_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FB6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC79_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FB8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC79_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FBAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC79_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FBCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC79_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FBEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC79_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FC0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC79_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FC2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC79_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FC4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC79_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FC6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC79_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FA4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC79_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FC8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC79_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FCAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC79_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FCCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC79_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FCEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC79_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FD0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC79_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FD2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC79_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FD4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC79_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FD6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC79_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FD8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC79_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FDAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC79_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FA6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC79_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FDCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC79_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FDEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC79_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FE0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC79_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FE2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC79_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FE4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC79_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FE6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC79_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FE8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC79_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FEAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC79_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC79_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FEEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC79_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FA8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC79_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FAAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC79_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC79_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FAEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC79_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FB0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC79_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF0065FB2u)

/** \\brief  C, Revision ID Register */
#define MC79_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF0065F0Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc80
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC80_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0066000u)

/** \\brief  2, Configuration Register 1 */
#define MC80_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0066002u)

/** \\brief  10, Memory ECC Detection Register */
#define MC80_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0066010u)

/** \\brief  E, ECC Safety Register */
#define MC80_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006600Eu)

/** \\brief  12, Error Tracking Register */
#define MC80_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066012u)

/** \\brief  14, Error Tracking Register */
#define MC80_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066014u)

/** \\brief  16, Error Tracking Register */
#define MC80_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066016u)

/** \\brief  18, Error Tracking Register */
#define MC80_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066018u)

/** \\brief  1A, Error Tracking Register */
#define MC80_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006601Au)

/** \\brief  4, MBIST Control Register */
#define MC80_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0066004u)

/** \\brief  6, Status Register */
#define MC80_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0066006u)

/** \\brief  8, Range Register, single address mode */
#define MC80_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0066008u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC80_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC80_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC80_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC80_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC80_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC80_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC80_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC80_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC80_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC80_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC80_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC80_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC80_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC80_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC80_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC80_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC80_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC80_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC80_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC80_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC80_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC80_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC80_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC80_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC80_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC80_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC80_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC80_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC80_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC80_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC80_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC80_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC80_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC80_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC80_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC80_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC80_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC80_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC80_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC80_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00660B2u)

/** \\brief  C, Revision ID Register */
#define MC80_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006600Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc81
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC81_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0066100u)

/** \\brief  2, Configuration Register 1 */
#define MC81_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0066102u)

/** \\brief  10, Memory ECC Detection Register */
#define MC81_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0066110u)

/** \\brief  E, ECC Safety Register */
#define MC81_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006610Eu)

/** \\brief  12, Error Tracking Register */
#define MC81_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066112u)

/** \\brief  14, Error Tracking Register */
#define MC81_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066114u)

/** \\brief  16, Error Tracking Register */
#define MC81_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066116u)

/** \\brief  18, Error Tracking Register */
#define MC81_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066118u)

/** \\brief  1A, Error Tracking Register */
#define MC81_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006611Au)

/** \\brief  4, MBIST Control Register */
#define MC81_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0066104u)

/** \\brief  6, Status Register */
#define MC81_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0066106u)

/** \\brief  8, Range Register, single address mode */
#define MC81_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0066108u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC81_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC81_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC81_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC81_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC81_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC81_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC81_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC81_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC81_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC81_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC81_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC81_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC81_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC81_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC81_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC81_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC81_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC81_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC81_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC81_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC81_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC81_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC81_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC81_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC81_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC81_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC81_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC81_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC81_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC81_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC81_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC81_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC81_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC81_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC81_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC81_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC81_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC81_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC81_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC81_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00661B2u)

/** \\brief  C, Revision ID Register */
#define MC81_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006610Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc82
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC82_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0066200u)

/** \\brief  2, Configuration Register 1 */
#define MC82_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0066202u)

/** \\brief  10, Memory ECC Detection Register */
#define MC82_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0066210u)

/** \\brief  E, ECC Safety Register */
#define MC82_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006620Eu)

/** \\brief  12, Error Tracking Register */
#define MC82_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066212u)

/** \\brief  14, Error Tracking Register */
#define MC82_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066214u)

/** \\brief  16, Error Tracking Register */
#define MC82_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066216u)

/** \\brief  18, Error Tracking Register */
#define MC82_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066218u)

/** \\brief  1A, Error Tracking Register */
#define MC82_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006621Au)

/** \\brief  4, MBIST Control Register */
#define MC82_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0066204u)

/** \\brief  6, Status Register */
#define MC82_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0066206u)

/** \\brief  8, Range Register, single address mode */
#define MC82_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0066208u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC82_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC82_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC82_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC82_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC82_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC82_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC82_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC82_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC82_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC82_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC82_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC82_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC82_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC82_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC82_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC82_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC82_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC82_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC82_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC82_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC82_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC82_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC82_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC82_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC82_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC82_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC82_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC82_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC82_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC82_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC82_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC82_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC82_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC82_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC82_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC82_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC82_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC82_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC82_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC82_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00662B2u)

/** \\brief  C, Revision ID Register */
#define MC82_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006620Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc83
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC83_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0066300u)

/** \\brief  2, Configuration Register 1 */
#define MC83_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0066302u)

/** \\brief  10, Memory ECC Detection Register */
#define MC83_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0066310u)

/** \\brief  E, ECC Safety Register */
#define MC83_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006630Eu)

/** \\brief  12, Error Tracking Register */
#define MC83_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066312u)

/** \\brief  14, Error Tracking Register */
#define MC83_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066314u)

/** \\brief  16, Error Tracking Register */
#define MC83_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066316u)

/** \\brief  18, Error Tracking Register */
#define MC83_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066318u)

/** \\brief  1A, Error Tracking Register */
#define MC83_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006631Au)

/** \\brief  4, MBIST Control Register */
#define MC83_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0066304u)

/** \\brief  6, Status Register */
#define MC83_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0066306u)

/** \\brief  8, Range Register, single address mode */
#define MC83_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0066308u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC83_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC83_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC83_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC83_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC83_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC83_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC83_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC83_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC83_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC83_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC83_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC83_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC83_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC83_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC83_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC83_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC83_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC83_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC83_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC83_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC83_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC83_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC83_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC83_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC83_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC83_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC83_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC83_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC83_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC83_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC83_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC83_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC83_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC83_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC83_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC83_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC83_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC83_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC83_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC83_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00663B2u)

/** \\brief  C, Revision ID Register */
#define MC83_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006630Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc84
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC84_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0066400u)

/** \\brief  2, Configuration Register 1 */
#define MC84_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0066402u)

/** \\brief  10, Memory ECC Detection Register */
#define MC84_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0066410u)

/** \\brief  E, ECC Safety Register */
#define MC84_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006640Eu)

/** \\brief  12, Error Tracking Register */
#define MC84_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066412u)

/** \\brief  14, Error Tracking Register */
#define MC84_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066414u)

/** \\brief  16, Error Tracking Register */
#define MC84_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066416u)

/** \\brief  18, Error Tracking Register */
#define MC84_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066418u)

/** \\brief  1A, Error Tracking Register */
#define MC84_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006641Au)

/** \\brief  4, MBIST Control Register */
#define MC84_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0066404u)

/** \\brief  6, Status Register */
#define MC84_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0066406u)

/** \\brief  8, Range Register, single address mode */
#define MC84_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0066408u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC84_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC84_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC84_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC84_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC84_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC84_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC84_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC84_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC84_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC84_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC84_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC84_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC84_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC84_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC84_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC84_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC84_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC84_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC84_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC84_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC84_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC84_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC84_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC84_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC84_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC84_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC84_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC84_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC84_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC84_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC84_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC84_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC84_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC84_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC84_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC84_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC84_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC84_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC84_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC84_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00664B2u)

/** \\brief  C, Revision ID Register */
#define MC84_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006640Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc85
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC85_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0066500u)

/** \\brief  2, Configuration Register 1 */
#define MC85_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0066502u)

/** \\brief  10, Memory ECC Detection Register */
#define MC85_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0066510u)

/** \\brief  E, ECC Safety Register */
#define MC85_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006650Eu)

/** \\brief  12, Error Tracking Register */
#define MC85_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066512u)

/** \\brief  14, Error Tracking Register */
#define MC85_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066514u)

/** \\brief  16, Error Tracking Register */
#define MC85_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066516u)

/** \\brief  18, Error Tracking Register */
#define MC85_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066518u)

/** \\brief  1A, Error Tracking Register */
#define MC85_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006651Au)

/** \\brief  4, MBIST Control Register */
#define MC85_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0066504u)

/** \\brief  6, Status Register */
#define MC85_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0066506u)

/** \\brief  8, Range Register, single address mode */
#define MC85_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0066508u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC85_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC85_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC85_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC85_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC85_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC85_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC85_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC85_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC85_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC85_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC85_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC85_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC85_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC85_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC85_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC85_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC85_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC85_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC85_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC85_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC85_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC85_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC85_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC85_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC85_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC85_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC85_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC85_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC85_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC85_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC85_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC85_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC85_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC85_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC85_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC85_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC85_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC85_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC85_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC85_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00665B2u)

/** \\brief  C, Revision ID Register */
#define MC85_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006650Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc86
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC86_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0066600u)

/** \\brief  2, Configuration Register 1 */
#define MC86_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0066602u)

/** \\brief  10, Memory ECC Detection Register */
#define MC86_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0066610u)

/** \\brief  E, ECC Safety Register */
#define MC86_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006660Eu)

/** \\brief  12, Error Tracking Register */
#define MC86_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066612u)

/** \\brief  14, Error Tracking Register */
#define MC86_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066614u)

/** \\brief  16, Error Tracking Register */
#define MC86_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066616u)

/** \\brief  18, Error Tracking Register */
#define MC86_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066618u)

/** \\brief  1A, Error Tracking Register */
#define MC86_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006661Au)

/** \\brief  4, MBIST Control Register */
#define MC86_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0066604u)

/** \\brief  6, Status Register */
#define MC86_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0066606u)

/** \\brief  8, Range Register, single address mode */
#define MC86_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0066608u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC86_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC86_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC86_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC86_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC86_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC86_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC86_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC86_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC86_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC86_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC86_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC86_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC86_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC86_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC86_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC86_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC86_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC86_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC86_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC86_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC86_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC86_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC86_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC86_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC86_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC86_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC86_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC86_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC86_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC86_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC86_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC86_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC86_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC86_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC86_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC86_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC86_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC86_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC86_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC86_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00666B2u)

/** \\brief  C, Revision ID Register */
#define MC86_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006660Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_mc_cfg_mc87
 * \{  */

/** \\brief  0, Configuration Register 0 */
#define MC87_CONFIG0 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG0*)0xF0066700u)

/** \\brief  2, Configuration Register 1 */
#define MC87_CONFIG1 /*lint --e(923)*/ (*(volatile Ifx_MC_CONFIG1*)0xF0066702u)

/** \\brief  10, Memory ECC Detection Register */
#define MC87_ECCD /*lint --e(923)*/ (*(volatile Ifx_MC_ECCD*)0xF0066710u)

/** \\brief  E, ECC Safety Register */
#define MC87_ECCS /*lint --e(923)*/ (*(volatile Ifx_MC_ECCS*)0xF006670Eu)

/** \\brief  12, Error Tracking Register */
#define MC87_ETRR0 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066712u)

/** \\brief  14, Error Tracking Register */
#define MC87_ETRR1 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066714u)

/** \\brief  16, Error Tracking Register */
#define MC87_ETRR2 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066716u)

/** \\brief  18, Error Tracking Register */
#define MC87_ETRR3 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF0066718u)

/** \\brief  1A, Error Tracking Register */
#define MC87_ETRR4 /*lint --e(923)*/ (*(volatile Ifx_MC_ETRR*)0xF006671Au)

/** \\brief  4, MBIST Control Register */
#define MC87_MCONTROL /*lint --e(923)*/ (*(volatile Ifx_MC_MCONTROL*)0xF0066704u)

/** \\brief  6, Status Register */
#define MC87_MSTATUS /*lint --e(923)*/ (*(volatile Ifx_MC_MSTATUS*)0xF0066706u)

/** \\brief  8, Range Register, single address mode */
#define MC87_RANGE /*lint --e(923)*/ (*(volatile Ifx_MC_RANGE*)0xF0066708u)

/** \\brief  A0, Read Data and Bit Flip Register */
#define MC87_RDBFL0 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667A0u)

/** \\brief  A2, Read Data and Bit Flip Register */
#define MC87_RDBFL1 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667A2u)

/** \\brief  B4, Read Data and Bit Flip Register */
#define MC87_RDBFL10 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667B4u)

/** \\brief  B6, Read Data and Bit Flip Register */
#define MC87_RDBFL11 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667B6u)

/** \\brief  B8, Read Data and Bit Flip Register */
#define MC87_RDBFL12 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667B8u)

/** \\brief  BA, Read Data and Bit Flip Register */
#define MC87_RDBFL13 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667BAu)

/** \\brief  BC, Read Data and Bit Flip Register */
#define MC87_RDBFL14 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667BCu)

/** \\brief  BE, Read Data and Bit Flip Register */
#define MC87_RDBFL15 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667BEu)

/** \\brief  C0, Read Data and Bit Flip Register */
#define MC87_RDBFL16 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667C0u)

/** \\brief  C2, Read Data and Bit Flip Register */
#define MC87_RDBFL17 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667C2u)

/** \\brief  C4, Read Data and Bit Flip Register */
#define MC87_RDBFL18 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667C4u)

/** \\brief  C6, Read Data and Bit Flip Register */
#define MC87_RDBFL19 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667C6u)

/** \\brief  A4, Read Data and Bit Flip Register */
#define MC87_RDBFL2 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667A4u)

/** \\brief  C8, Read Data and Bit Flip Register */
#define MC87_RDBFL20 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667C8u)

/** \\brief  CA, Read Data and Bit Flip Register */
#define MC87_RDBFL21 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667CAu)

/** \\brief  CC, Read Data and Bit Flip Register */
#define MC87_RDBFL22 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667CCu)

/** \\brief  CE, Read Data and Bit Flip Register */
#define MC87_RDBFL23 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667CEu)

/** \\brief  D0, Read Data and Bit Flip Register */
#define MC87_RDBFL24 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667D0u)

/** \\brief  D2, Read Data and Bit Flip Register */
#define MC87_RDBFL25 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667D2u)

/** \\brief  D4, Read Data and Bit Flip Register */
#define MC87_RDBFL26 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667D4u)

/** \\brief  D6, Read Data and Bit Flip Register */
#define MC87_RDBFL27 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667D6u)

/** \\brief  D8, Read Data and Bit Flip Register */
#define MC87_RDBFL28 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667D8u)

/** \\brief  DA, Read Data and Bit Flip Register */
#define MC87_RDBFL29 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667DAu)

/** \\brief  A6, Read Data and Bit Flip Register */
#define MC87_RDBFL3 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667A6u)

/** \\brief  DC, Read Data and Bit Flip Register */
#define MC87_RDBFL30 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667DCu)

/** \\brief  DE, Read Data and Bit Flip Register */
#define MC87_RDBFL31 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667DEu)

/** \\brief  E0, Read Data and Bit Flip Register */
#define MC87_RDBFL32 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667E0u)

/** \\brief  E2, Read Data and Bit Flip Register */
#define MC87_RDBFL33 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667E2u)

/** \\brief  E4, Read Data and Bit Flip Register */
#define MC87_RDBFL34 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667E4u)

/** \\brief  E6, Read Data and Bit Flip Register */
#define MC87_RDBFL35 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667E6u)

/** \\brief  E8, Read Data and Bit Flip Register */
#define MC87_RDBFL36 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667E8u)

/** \\brief  EA, Read Data and Bit Flip Register */
#define MC87_RDBFL37 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667EAu)

/** \\brief  EC, Read Data and Bit Flip Register */
#define MC87_RDBFL38 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667ECu)

/** \\brief  EE, Read Data and Bit Flip Register */
#define MC87_RDBFL39 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667EEu)

/** \\brief  A8, Read Data and Bit Flip Register */
#define MC87_RDBFL4 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667A8u)

/** \\brief  AA, Read Data and Bit Flip Register */
#define MC87_RDBFL5 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667AAu)

/** \\brief  AC, Read Data and Bit Flip Register */
#define MC87_RDBFL6 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667ACu)

/** \\brief  AE, Read Data and Bit Flip Register */
#define MC87_RDBFL7 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667AEu)

/** \\brief  B0, Read Data and Bit Flip Register */
#define MC87_RDBFL8 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667B0u)

/** \\brief  B2, Read Data and Bit Flip Register */
#define MC87_RDBFL9 /*lint --e(923)*/ (*(volatile Ifx_MC_RDBFL*)0xF00667B2u)

/** \\brief  C, Revision ID Register */
#define MC87_REVID /*lint --e(923)*/ (*(volatile Ifx_MC_REVID*)0xF006670Cu)
/** \}  */
/******************************************************************************/
/******************************************************************************/
#endif /* IFXMC_REG_H */
